2007-06-06  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-decorate.el (semantic-momentary-highlight-pulse-flag):
	Wrap logic on condition-case.

	* wisent/Makefile (VERSION): Regress to 2.0 prerelease 4

	* tests/testsubclass.hh (deer::alces):
	Updated for testsubclass.cpp changes.

	* tests/testsubclass.cpp (animal::moose::doNothing):
	Add some completable code.
	(deer::alces::doLatinStuff): Add args and such.
	(deer::alces::createMoose): New test fcn for completion engine.

	* tests/Makefile, doc/Makefile (VERSION): Regress to 2.0 prerelease 4

	* doc/lang-support-guide.texi (Tag Structure):
	Add description of ATTRIBUTES.  Fix names property
	accessor functions.

	* bovine/Makefile (VERSION): Regress to 2.0 prerelease 4

	* semantic-sort.el (semantic-tag-external-member-parent-default):
	Remove iff

	* semantic-lex-spp.el: Add ToDo item.

	* semantic.el (semantic-version): Regress to 2.0 pre 4.
	(Commentary): Update doc.

	* Project.ede ("semantic"): Regress version to prerelease 4.

	* Makefile (VERSION): Regress to 2.0 prerelease 4

2007-06-05  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-complete.el (semantic-complete-inline-exit):
	Restore original window configuration
	(semantic-complete-inline-tag-engine): Store window configuration
	(semantic-complete-inline-analyzer-displayor-class): New option.
	(semantic-complete-inline-analyzer): Create a display based on the above.

2007-06-04  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-find.el (semanticdb-find-default-throttle): Add 'unloaded.

2007-05-31  Eric M. Ludlam  <zappo@gnu.org>

	* doc/installation.texi (Canned Configuration):
	Update code-helpers w/ MRU bookmarks

	* doc/minor-modes.texi (Code Helpers): Addd below
	(MRU Bookmarks Mode): New node on new minor-mode.

	* semantic-load.el (semantic-load-enable-code-helpers):
	Add semantic-mru-bookmark-mode.

	* semanticdb-ebrowse.el (semanticdb-ebrowse-get-ebrowse-structure):
	Update doc
	(semanticdb-project-database-ebrowse::semanticdb-create-database): Add c-mode
	(semanticdb-ebrowse-dump): Use adebug.

	* Makefile (tools_LISP): Add semantic-mru-bookmark.el

	* Project.ede ("semantic"): Add semantic-mru-bookmark.el

	* semantic-mru-bookmark.el (semantic-mru-bookmark-mode): Update doc.

	* semantic-decorate.el (semantic-momentary-highlight-pulse-flag):
	New option.
	(semantic-momentary-highlight-one-tag-line)
	(semantic-momentary-highlight-tag): Only pulse based on option.

2007-05-22  Eric M. Ludlam  <zappo@gnu.org>

	* tests/testspp.c: Added sections for:
	#if defined
	#elif
	#else
	for macro parsing testing.

	* bovine/c.by (DEFINE, UNDEFINE): Removed.
	(define): Fix default value to correct token.

	* bovine/semantic-c.el (semantic-c-end-of-macro): Moved.
	(semantic-lex-cpp-define): Move end point to the end of the macro.
	(semantic-c-skip-conditional-section): New function
	(semantic-lex-c-if): Skip only subsets of a #if section.
	Add warnings when we skip.
	(semantic-lex-c-macrobits): Remove if handling.
	(semantic-lex-c-macro-else): New lexer.
	(semantic-c-lexer): Add semantic-lex-c-macro-else.

	* semantic-lex-spp.el (define-lex-spp-macro-declaration-analyzer):
	Support shifting lex-end-point.
	(edebug-setup-hook): Add edebug knowledge about these new macros.

	* semantic.el (semantic-clear-toplevel-cache): Clear parser warnings
	(semantic-fetch-tags): Keep parser warnings during full parse.
	(semantic-parser-warnings): New local variable
	(semantic-clear-parser-warnings, semantic-push-parser-warning)
	New functions
	(semantic-dump-parser-warnings): New Command

2007-05-21  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/semantic-c.el (semantic-c-add-preprocessor-symbol):
	Allow resetting of values in the
	C list.

	* semantic-lex-spp.el (semantic-lex-spp-symbol-set):
	Treat value of "" as nil.
	(semantic-lex-make-spp-table): Pass value directly to new symbol.

	* bovine/c.by (__ATTRIBUTE__): New symbol
	(opt-attribute): Optional gcc attribute thingy.
	(type,fun-or-proto-end): Use opt-attribute

2007-05-20  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-texi.el (document):
	Stop requiring this.  Causes fail in Makefile build.

	* semantic-fw.el (semantic-subst-char-in-string): Remove sample impl.
	Moved to cedet-compat.

	* semanticdb-file.el (cedet-files): New requirement.
	(semanticdb-dir-sep-char): Moved to here.
	Marked for later deletion.
	(semanticdb-fix-pathname): Moved to here.
	Replaced body w/ `file-name-as-directory'.
	Marked for later deletion.
	(semanticdb-project-database-file::semanticdb-file-name-directory):
	Replace inner path conversion to a call to `semanticdb-file-name-directory'.

	* semanticdb.el (semanticdb-dir-sep-char, semanticdb-fix-pathname):
	Moved.

2007-05-19  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-decorate.el:
	(semantic-tag-highlight-start-face, semantic-tag-highlight-face):
	New faces.
	(semantic-decorate-int-to-hex, semantic-color-values-to-hex):
	New fcns copied from Drew Adams.
	(semantic-pulse-iterations): New configurable variable.
	(semantic-lighten-highlight, semantic-highlight-reset-face):
	(semantic-decorate-pulse, semantic-decorate-test-pulse):
	New core color pulsing functions
	(semantic-highlight-tag): Change default face
	 to 'semantic-tag-highlight-face.
	(semantic-momentary-highlight-one-tag-line)
	(semantic-momentary-highlight-tag): Use tag pulsing if no face is provided.

	* doc/installation.texi (Installation):
	New name.  Many new sections w/ basic configuration advice.

	* doc/user-guide.texi (Semanticdb Search Configuration):
	Add ref to ebrowse.
	(Search Throttle): Add example.

	* doc/semantic.texi (top): Copyright
	(Installation/Basic Configuration): New name.

	* semantic-adebug.el:
	(semantic-adebug-insert-property-list, semantic-adebug-insert-stuff-list):
	Add autoload cookie.

2007-05-17  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-analyze.el (semantic-analyze-select-best-tag):
	Prefer tags w/ type info.

	* bovine/semantic-c.el (semantic-lex-c-if):
	Support #if defined() type syntax.

	* tests/testspp.c:
	Add #if defined() and #if !defined() macros for testing SPP.

	* semantic-tag.el (semantic-tag-with-position-p):
	If it has an overlay, it must be live.

	* bovine/semantic-c.el (semantic-c-add-preprocessor-symbol):
	New command.

	* semantic-tag-file.el (semantic-dependency-tag-file):
	Add todo comment.

	* semantic-load.el (semantic-load-enable-minimum-features): doc fix.

	* semantic-dep.el:
	(semantic-add-system-include, semantic-remove-system-include):
	Force passed in dirs to be directory names.
	(semantic-reset-system-include): New command

	* semanticdb-find.el (semanticdb-find-load-unloaded-default):
	Fix varname typo!
	(semanticdb-find-test-translate-path,semanticdb-brute-deep-find-tags-for-completion):
	Add autoload cookies.

	* semanticdb-file.el:
	(semanticdb-project-database-file::semanticdb-save-db):
	Make robust to various types of errors that may occur.

	* semanticdb.el (semanticdb-dump-all-table-summary):
	Convert to use adebug.

	* semanticdb-ebrowse.el (semanticdb-ebrowse-C-file-p):
	make robust to itty-bitty files
	(semanticdb-create-ebrowse-database): Force / to tail of dir names.
	(semanticdb-ebrowse-get-ebrowse-structure): Turn off undo.

2007-05-16  Eric M. Ludlam  <zappo@gnu.org>

	* doc/user-guide.texi:
	Add new section about configuring semanticdb search routines.

2007-05-10  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-mru-bookmark.el (semantic-mrub-completing-read):
	Fix case of only one entry in ring.
	(set-mark-command): Advise better function.

	* semantic-mru-bookmark.el: New bookmark/mru tag mode.

	* semantic-tag.el (semantic-tag-copy): Enhance doc string.

	* semantic-adebug.el (semantic-adebug-insert-tag-parts):
	Make tag start/end display more robust.
	(semantic-adebug-insert-ring-contents)
	(semantic-adebug-insert-ring-items-from-point)
	(semantic-adebug-insert-ring-button): New ring debug support.
	(semantic-adebug-insert-thing): Add rings.
	(semantic-adebug-analyze): Fix buffer name.
	(semantic-adebug-edebug-expr): New command to be bound into EDEBUG support.

	* semantic-adebug-eieio.el (semantic-adebug-insert-object-fields):
	Add autoload cookie.

2007-05-01  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-complete.el (semantic-complete-do-completion):
	Support 'displayend option.
	Use exactmatch completion list if we have it, otherwise the full list.
	If displayend, then always use the fulll list.
	(semantic-complete-next-action): Allow displayor and collector to both
	have a say.
	(semantic-collector-abstract::semantic-collector-next-action):
	When the exact-match list is 1 long, but there are lots of regular
	completions, then don't say done on second matching keystroke.
	(semantic-displayor-focus-abstract::semantic-displayor-next-action):
	When the focus cycles, return 'displayend.

2007-04-15  Eric M. Ludlam  <zappo@gnu.org>

	* doc/tags.texi (Tag Hooks): Added unlink-copy-hook.
	(Creating Tags): Updated semantic-tag-copy w/ unlink-copy-hook.

	* semantic-decorate.el (semantic-tag-create-secondary-overlay):
	Add an unlink-copy-hook.
	(semantic--tag-unlink-copy-secondary-overlays): New function
	(semantic--tag-unlink-secondary-overlays): Remove unlink-copy-hook.

	* semantic-tag.el (semantic-tag-copy):
	Run unlink-copy-hook on the copied tag.
	Added comments a bout trying to do special copy things to the tag members.

2007-04-03  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-tag-file.el (semantic-dependency-tag-file):
	Save point location when calculating a
	filename for a given include tag.

2007-03-26  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-find.el (semantic-adebug): Remove requirement.

	* semantic-adebug.el (semantic-adebug-new-buffer): autoload cookie.

2007-03-25  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-find.el (require): Add semantic-adebug during compile
	(semanticdb-find-table-for-include-default): Take out special stuff
	for omniscient databases.  Simplify case where we know where the file is.
	(semanticdb-find-test-translate-path): Convert to use adebug.

	* semanticdb-find.el:
	(semanticdb-strip-find-results, semanticdb-find-results-p)
	(semanticdb-find-result-with-nil-p)
	(semanticdb-find-reslut-nth, semanticdb-find-result-nth-in-buffer):
	Add autoload cookie.

2007-03-23  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-find.el (semanticdb-find-throttle-custom-list):
	Add autoload cookie.
	(semanticdb-find-result-prin1-to-string): Fix doc.

2007-03-19  Eric M. Ludlam  <zappo@gnu.org>

	* doc/user-guide.texi (Analyzer): Update various command strings.
	(Smart Idle Completion): new section

	* semanticdb.el: Add comment.

	* semanticdb-ebrowse.el (semanticdb-project-database-ebrowse):
	Doc update.

	* semantic-adebug.el (semantic-adebug-bovinate): Doc updates.

	* doc/app-dev-guide.texi: (top)
	(Tag Sorting)
	(Tag Completion Convenience Functions)
	(Custom Tag Completion Functions)
	(Tag Collectors)
	(Tag Displayors)
	(Old Tag Completion)
	(Override Methods)
	(Format Tag)
	(Tag Members)
	(Tag Details)
	(Parser Hooks)
	(Semanticdb in Programs)
	(DB Results)
	(DB Basic Name Search)
	(DB Basic Brute Search)
	(DB Advanced Search)
	(DB Generic Brute Search)
	(System Databases)
	(Blocks)
	(Local Variables)
	(Derived Context)
	(Context Analysis)
	(Analysis Overview): Update @defun's from source.
	(App Debugger): New Section

	* semantic-complete.el: (semantic-collector-abstract)
	(semantic-collector-buffer-abstract)
	(semantic-collector-buffer-deep)
	(semantic-collector-project-abstract)
	(semantic-displayor-abstract)
	(semantic-displayor-traditional)
	(semantic-displayor-traditional-with-focus-highlight)
	(semantic-complete-read-tag-analyzer)
	(semantic-complete-inline-analyzer): Doc Enhancements.

2007-03-18  Eric M. Ludlam  <zappo@gnu.org>

	* wisent/Makefile (LOADPATH): Strip out duplicates
	(wy_SEMANTIC_GRAMMER_EL, dist): Spelling fix

	* bovine/Makefile (LOADPATH): Remove duplicates
	(by_SEMANTIC_GRAMMAR_EL,dist): Spelling fix.

	* semantic-ede-grammar.el:
	(semantic-ede-proj-target-grammar::ede-proj-makefile-insert-variables):
	Use `ede-proj-makefile-insert-loadpath-items'.

	* Makefile (LOADPATH): Remove duplicates

	* Makefile (metagrammar_SEMANTIC_GRAMMAR_EL, dist): Spelling fix.
	(tools_LISP): Add adebug files.

	* Project.ede ("tools"): Add adebug files.

	* semantic-analyze.el (semantic-analyze-possible-completions-default):
	:operator-flag.

	* bovine/semantic-c.el (semantic-c-reconstitute-token):
	Add an operator-flag

	* semantic-analyze.el (semantic-analyze-possible-completions-default):
	Revamp raw results
	stripping.  Strip operators, destructor/constructor.

	* semantic-adebug.el (semantic-adebug-insert-find-results-from-point):
	Remove 'parent'.

	* semantic-adebug-eieio.el: Adebug support for EIEIO objects.

	* semantic-adebug.el: Basic debugger for Semantic data structures.

2007-03-17  Eric M. Ludlam  <zappo@gnu.org>

	* doc/tags.texi (Tag Attributes Internals, Tag Properties Internals):
	Fix @dots.
	Delete duplicates.

	* semanticdb-system.el:
	(semanticdb-project-database-system::semanticdb-load-system-database):
	use oref-default for major-modes.  Thanks Jamie Macbeth.

	* document.el (document-texify-elisp-docstring): Fix @dots replacement.

2007-03-13  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/semantic-c.el (semantic-c-reconstitute-token):
	Use `semantic-tag-new-type'
	when fabricating the :type of a constructor.

2007-03-12  Eric M. Ludlam  <zappo@gnu.org>

	* document.el (document-texify-elisp-docstring):
	Fix byte-comp found warning.

	* document.el (document-massage-to-texinfo):
	Do not @var the variable 'a'.
	(document-texify-elisp-docstring): Add @dots.

	* doc/tags.texi (Tag Basics): Added a few extra blurbs.
	(Tag Query): Rearranged, sorted, added subsections.
	(Tag Overlay, Tag Hooks, Misc Tag Functions,Tag Attributes Internals)
	(Tag Properties Internals,Tag Overlay Internals,Creating Tags):
	Updated doc of @defuns from the source.

	* bovine/semantic-c.el (c-mode::semantic-format-tag-type): Move fcn.
	Do not print 'class' if the type is of type class.

	* semantic-format.el (semantic-test-all-format-tag-functions):
	Add argument.
	Universal argument now prints the text w/out color.
	(semantic-format-tag-type-default): Obey the color argument.

	* semantic-tag.el:
	(semantic-tag-name, semantic-tag-overlay, semantic-equivalent-tag-p)
	(semantic-tag-of-type-p, semantic-tag-new-variable)
	(semantic-tag-new-function, semantic-tag-new-type)
	(semantic-tag-new-include,semantic-tag-new-package,
	semantic-tag-new-code,semantic-tag-modifiers,semantic-tag-include-filename)
	(semantic-tag-components,semantic-narrow-to-tag):
	Updated doc strings with more details.

	* semantic-texi.el (semantic-texi-update-doc-from-texi):
	Use a deep search to find fcns
	within a document.
	(semantic-texi-update-doc-from-source)
	(semantic-texi-goto-source): Use `semanticdb-with-match-any-mode' and
	a brutish deep search.

	* semanticdb.el (semanticdb-match-any-mode): New variable
	(semanticdb-with-match-any-mode): New macro
	(semanticdb-equivalent-mode-for-search): Obey semanticdb-match-any-mode.

	* semantic-tag.el (semantic-tag-file-name): Update doc.

2007-03-11  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-analyze.el (semantic-analyze-tag-type):
	When finding a tag for a type,  ask for
	only tags that are class 'type.
	(semantic-analyze-possible-completions-default): When matching name
	matching completions loop over each one, and validate the type name is
	the same, or that the symbol is a compound type.  Compound type
	detection is now looked up.  (Thanks Jamie Macbeth.)

2007-03-10  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-el.el:
	(semanticdb-project-database-emacs-lisp::semanticdb-get-database-tables):
	Nicer name.
	(semanticdb-project-database-emacs-list::semanticdb-find-translate-path):
	Delete.
	(semanticdb-table-emacs-lisp::semanticdb-equivalent-mode): Doc fix.

	* semanticdb-find.el (semanticdb-find-translate-path-includes-default):
	Always append
	omniscient system databases to our load path.
	(semanticdb-find-load-unloaded): New override function for loading in
	a database that is currently not in any databases.
	(semanticdb-find-table-for-include-default): Use above.

2007-03-08  Eric M. Ludlam  <zappo@gnu.org>

	* doc/wisent.texi:
	(Grammar format, Compiling a grammar, Conflicts, Iterative style)
	(Bison style): Minor language changes.

	* bovine/c.by (opt-template-equal): Support =SYM and not just =<SYM>
	(func-decl): Add support for arg-listless function that has a TRY
	at the end.
	(fun-or-proto-end): Use fun-try-end.
	(fun-try-end): new for try blocks.
	(fun-try-several-catches): Multiple stacked catch blocks after a try.
	(function-call): Add more function call options.

	* bovine/semantic-el.el (semantic-elisp-form-to-doc-string):
	Add TODO comment about Lisp.

	* semantic-ede-grammar.el:
	(semantic-ede-proj-target-grammar::ede-proj-makefile-insert-variables)
	(semantic-ede-proj-target-grammar::ede-proj-makefile-insert-dist-dependencies):
	Fix spelling error of SEMANTIC_GRAMMAR_EL.  Thanks Tetsurou Okazaki.

	* semantic-lex.el (define-lex):
	Override `parse-sexp-lookup-properties' so that
	text properties can't screw up our modified syntax table.

	* tests/test.py: Added test cases for implicity joining.

	* wisent/wisent-python.wy: (function_parameter_list, paren_class_list):
	Set wisent-python-EXPANDING-block to t when expanding the sub-block.

	* wisent/wisent-python.el (wisent-python-EXPANDING-block):
	New lexical state variable.
	(wisent-python-implicit-line-joining-p): Use above, no searching.
	(wisent-python-end-of-block): Fix doc string.

	* INSTALL: Fix counting.

	* semantic-load.el (noninteractive):
	Do not load minimum features by default.

2007-02-23  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-analyze.el (semantic-analyze-dereference-metatype): Moved
	(semantic-analyze-type-parts): Moved.
	(semantic-analyze-select-best-tag): New fcn
	(semantic-analyze-find-tag): Replace comple mess at end w/
	`semantic-analyze-select-best-tag'.
	(semantic-analyze-tag-type): Replace FIXME comment with
	`semantic-analyze-select-best-tag'.
	(semantic-analyze-find-tag-sequence): Replace `should be smarter'
	comment with `semantic-analyze-select-best-tag'.
	Replace `semantic-find-first-tag-by-name' with the plural version.
	Replace "should be smarter" comment with
	`semantic-analyze-select-best-tag'.

	* bovine/c.by (typesimple):
	Class/struct w/ no body is considered a prototype.

2007-02-22  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-ebrowse.el (semanticdb-create-ebrowse-database):
	Load file should use the helper.
	(semanticdb-load-ebrowse-caches): Remove comments
	(semanticdb-ebrowse-load-helper): New function.  Check for obsolete files.

	* semantic-ia.el (semantic-ia-complete-symbol-menu):
	Use senator if semantic gets nothing.

	* semantic-analyze.el (semantic-analyze-dereference-metatype):
	Add scope argument, pass down.
	(semantic-analyze-tag-type): Add scope argument, pass down.
	(semantic-analyze-find-tag-sequence): Pass scope through to above.
	(semantic-analyze-scoped-tags): For any namespace, search for all
	other occurances and merge.

	* bovine/semantic-c.el (c-mode::semantic-analyze-dereference-metatype):
	Add scope argument.

	* semantic-complete.el (semantic-complete-self-insert):
	Handy function for doing completion
	when typing in a key that needs to insert itself.

	* semanticdb-ebrowse.el (semanticdb-ebrowse-add-tree-to-table):
	Fixed bugs found when run
	against C files.

2007-02-21  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-ebrowse.el (semanticdb-ebrowse-file-match): New variable
	(semanticdb-ebrowse-C-file-p): New predicate
	(semanticdb-create-ebrowse-database): Use new predicate instead of old code.

2007-02-19  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-ebrowse.el (comments): Deleted
	(semanticdb-table-ebrowse::semanticdb-find-tags-by-name-method)
	(semanticdb-table-ebrowse::semanticdb-find-tags-by-name-regexp-method)
	(semanticdb-table-ebrowse::semanticdb-find-tags-for-completion-method)
	(semanticdb-table-ebrowse::semanticdb-find-tags-external-children-of-type-method):
	Updated various to describe new methods.

	(jvebrowse-find, fvebrowse-find2, jvebrowse-find-name): Deleted

	* semanticdb-ebrowse.el (ebrowse):
	Add eval-and-compile to fix byte-comp warnings.
	(semanticdb-project-database-ebrowse): Remove the 'globals' slot.
	(semanticdb-project-database-ebrowse::semanticdb-create-database):
	Track default-directory.  Don't track the 'globals'.
	(semanticdb-project-database-ebrowse::semanticdb-ebrowse-strip-trees):
	New function

	(semanticdb-ebrowse-strip-tables)
	(semanticdb-project-database-ebrowse::semanticdb-ebrowse-add-etree-to-table)
	(semanticdb-table-ebrowse::semanticdb-file-table-add)
	(semanticdb-project-database-ebrowse::semanticdb-ebrowse-extract-globals)
	(semanticdb-project-database-ebrowse::semanticdb-ebrowse-extract-globals-from-sublist):
	Deleted

	(semanticdb-normalize-tag): Renamed.
	(semanticdb-table-ebrowse::semanticdb-get-tags): Deleted.
	(semanticdb-ebrowse-add-globals-to-table): New fcn
	(semanticdb-ebrowse-add-tree-to-table): New fcn


	(semanticdb-table-ebrowse::semanticdb-ebrowse-find-tags-by-name-method)
	(semanticdb-table-ebrowse::semanticdb-find-tags-by-name-regexp-method)
	(semanticdb-table-ebrowse::semanticdb-find-tags-for-completion-method)
	(semanticdb-find-tags-by-class-method)
	(semanticdb-table-ebrowse::semanticdb-find-tags-external-children-of-type-method):
	Revamped to use `call-next-method'.

	* semanticdb-find.el (eieio): Add require
	(semanticdb-find-translate-path-brutish-default):
	Use `semanticdb-equivalent-mode-for-search'.
	Only get the baseDB's dir if there is a base DB.
	(semanticdb-find-translate-path-includes-default):
	Use `semanticdb-equivalent-mode-for-search'.
	(semanticdb-find-table-for-include-default):
	Revamp how explicitly identified file's tables are loaded to also
	go through system style databases, if available.
	Obey the 'unloaded' throttle as well.
	(semanticdb-strip-find-results): Use 'semanticdb-normalize-tags'.

	* semanticdb-el.el (semanticdb-table-emacs-lisp::semanticdb-normalize-tags):
	Add method.

	* semanticdb.el (semanticdb-abstract-table::semanticdb-normalize-tags):
	Change name.
	Takes and returns a list.
	(semanticdb-equivalent-mode-for-search): New function.
	Allows some modes to search in any other modes buffers.

	* semantic-ctxt.el (semantic-command-separation-character):
	Add autoload cookie.

	* semantic-complete.el (semantic-complete-inline-force-display):
	Add autoload cookie.

	* wisent/wisent.el (wisent-char-p): Fix byte-comp warnings.

	* wisent/wisent-debug.el (wisent-debug-pp-to-string):
	Fix byte-comp warning.

	* wisent/wisent-comp.el (wisent-check-$N): Use string-to-number.

	* bovine/semantic-java.el (semantic-doc): add require
	(semantic-java-expand-tag): Add a variable to a let statement.

	* bovine/semantic-el.el:
	(emacs-lisp-mode::semantic-documentation-for-tag):
	Use documentation-property as documented.

	* bovine/semantic-c.el (semantic-lex-c-if):
	Remove erroneous debug message.
	(semantic-c-end-of-macro): Remove byte-comp warning.

	* bovine/semantic-bovine.el: Doc fix.
	(bovine-debug): Add require
	(semantic-bovinate-nonterminal-check-obarray): Add autoload cookie.

	* bovine/erlang-edoc.el (document-vars): Add require
	(erlang-edoc-type-spec, erlang-edoc-desc-spec): Add customize group.

	* bovine/bovine-grammar.el (bovine-grammar-expand-form):
	Use string-to-number
	(bovine-grammar-parsetable-builder): Fix format string.

	* senator.el (semanticdb-find): add require.

	* semantic-util-modes.el (semantic-stickyfunc-indent-string):
	Add to customize group.

	* semantic-util.el (semantic-assert-valid-token):
	Fix a message w/ not enough arguments.

	* semantic-tag-file.el:
	Remove ede require.  It had some wierd byte-comp issues.

	* semantic-sb.el (semantic-sb-detail-parent): Use string-to-number.

	* semantic-lex.el (semantic-flex):
	Add noisy message to encourage conversion.

	* semantic-imenu.el: Add some autoload cookies.

	* semantic-html.el (semantic-default-html-setup):
	Fix typo for imenu support.

	* semantic-fw.el (string-to-number): Add alias if we have an old emacs.

2007-02-18  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-tag-file.el (ede): Require in EDE during byte-comp.

	* semantic-tag.el (semantic--tag-expand):
	Explain why there is a byte-comp warning.

	* semantic-grammar.el (semantic-idle): Add require.
	(semantic-grammar-mode::senator-add-log-tags): Use newer name.

	* semantic-fw.el (semantic-alias-obsolete):
	Do not throw warning if within the CEDET
	tool suite.  I have to use those fns for compatibility issues.

	* semantic.el (semantic): Add semantic group to 'lisp' group.

	* semantic-edit.el (semantic-edits-verbose-flag): Add autoload cookie.

	* semantic-dep.el (semantic--dependency-find-file-on-path):
	Add autoload cookie.

	* semantic-decorate.el (semantic-momentary-highlight-one-tag-line):
	Use semantic-make-overlay.

	* semantic-complete.el (semanticdb-find):
	Require it.  Fix byte-comp warnings
	(minibuffer-contents): Fix byte-comp warnings

	* document.el (ede): Try to get it loaded for byte-comp.
	(document-get-date-time-string): Use string-to-number

2007-02-15  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-ebrowse.el (semanticdb-create-ebrowse-database):
	Expand the dirname
	(semanticdb-ebrowse-file-for-directory): Expand the dirname
	(semanticdb-project-database-ebrowse::semanticdb-ebrowse-add-etree-to-table):
	Formatting change.

	* semanticdb.el (semanticdb-current-database-list):
	Remove erroneous test before
	including a DB.
	(semanticdb-kill-hook): Doc fix.
	(semanticdb-file-table-object): Add dontload argument.

2007-02-08  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-grammar.el (semantic-grammar-batch-build-packages):
	Add msg when batch compiling
	to debug the source of the compiler function.

	* semantic-load.el (compat vars):
	Do not use compatibility variables in batch mode.

	* wisent/wisent-java-tags.wy (unicode):
	Quote in the \ for the syntax regexp.

2007-02-08  David Ponce  <david@dponce.com>

	* wisent/wisent-java-tags.wy (<unicode>):
	add missing `syntax' property.
	(epilogue): Replace `wisent-java-tags-unicode-analyzer'
	declaration by auto-generated declaration of
	`wisent-java-tags-wy--<unicode>-regexp-analyzer'.

2007-02-08  Eric M. Ludlam  <zappo@gnu.org>

	* wisent/wisent-java-tags.wy (wisent-java-tags-unicode-analyzer):
	New lexical analyzer.
	(wisent-java-tags-lexer): Added unicode support.

2007-02-06  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-ia.el (semantic-ia-complete-symbol):
	Fix case when the context's prefix
	is a tag, not a string.

2007-02-05  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb.el: (semanticdb-abstract-table::semanticdb-normalize-tag):
	Changed the baseclass this derives from.

2007-02-03  Eric M. Ludlam  <zappo@gnu.org>

	* Project.ede (tools): Added semantic-utest.el

	* Makefile (tools_LISP): Added semantic-utest.el

	* tests/test.cpp:
	(class3::method1_for_class3, namespace1, funny_prototype):
	Added various features for testing code the analyzer.

	* doc/tags.texi (Tag Query):
	Add semantic-tag-type-compound-p and semantic-tag-faux-p.

	* semantic-utest.el (semantic-utest-Python-buffer-contents):
	Change from setq to defvar.

	* semantic-format.el:
	(semantic-format-tag-uml-protection-to-string-default):
	Copy our protection strings so fonts that are applied don't change
	the original stored string.

2007-01-28  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-analyze.el (semantic-analyze-merge-namespaces):
	New function.
	(semantic-analyze-find-tag): Merge namespaces if a tag found is a namespace.

	* tests/testsubclass.cpp, tests/testsubclass.hh (deer::alces):
	Adding new namespace and class for testing this case in
	the analyzer.

2007-01-25  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-analyze.el (semantic-analyze-inherited-tags):
	Child classes can see protected
	memebers of parents.

	* bovine/semantic-c.el (c-mode::semantic-analyze-split-name):
	Use older interface to split-string.

	* semantic-format.el (semantic-format-tag-prototype-default):
	Remove display of a compound
	type's contents.  Big and messy.

	* tests/testsubclass.hh, tests/testsubclass.cpp:
	Test case for subclasses in C++ for the semantic analyzer.

	* bovine/semantic-c.el (c-mode::semantic-analyze-split-name):
	New implementation for C.

	* semantic-analyze.el (semantic-analyze-split-name):
	New overload function.
	(semantic-analyze-find-tag): Test if NAME is splittable.
	Use alternate lookup method if it is.
	(semantic-analyze-find-tag-sequence): Handle the case if the first
	entry in the sequence is a type we can use directly.

2007-01-24  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-utest.el: Unit tests.

2007-01-23  David Ponce  <david@dponce.com>

	* wisent/semantic-wisent.el (wisent-parse-stream):
	Signal when wisent-parse-max-stack-size
	might need to be increased.

2007-01-23  Eric M. Ludlam  <zappo@gnu.org>

	* tests/testspp.c: Test various states of SPP lexing.

	* bovine/c.by (BOOL): New token for C++.  Sadly, also added for C.
	(macro, macro-or-include, define): Use new SPP token symbols.
	(builtintype-types): Added BOOL.

	* bovine/semantic-c.el (semantic-lex-spp): new requirement
	(semantic-lex-c-preprocessor-symbol-map): Change the customize format.
	(semantic-lex-c-preprocessor-dynamic-symbol-map)
	(semantic-lex-c-preprocessor-p, semantic-lex-c-define)
	(semantic-lex-c-preprocess-replace-or-symbol-or-keyword)
	(semantic-lex-c-if-0, semantic-lex-c-if): Deleted.
	(semantic-lex-cpp-define, semantic-lex-cpp-undef)
	(semantic-lex-c-if, semantic-lex-c-macrobits): New functions
	(semantic-c-lexer): Use SPP instead of previously hacked preprocessor stuff.
	(c-mode::semantic-dependency-system-include-path):
	(semantic-default-c-path): New value is nil.
	(semantic-dependency-system-include-path): New variable
	(semantic-default-c-setup): Add the SPP reset hook.

	* semantic-lex.el (semantic-lex-reset-hooks): new variable.
	(define-lex): Call the lexical reset hooks.

	* semantic-lex-spp.el (semantic-lex-spp-reset-hook):
	New function to use as a hook.
	(semantic-lex-spp-describe): Improve the layout a little.

	* semantic-lex-spp.el (semantic-lex-spp-reset-dynamic-table): New fcn.

	* semanticdb-ebrowse.el:
	(semanticdb-table-ebrowse::semanticdb-find-tags-by-name-method):
	Remove message.
	(jvebrowse-find2): Add comment about last fix.

	* semantic-format.el: (semantic-format-tag-name-from-anything):
	If anything is a tag, and that tag has no name, then use the type
	of the tag instead.

	* semanticdb-find.el (semanticdb-find-translate-path-includes-default):
	When using
	semanticdb to find tags in a table, use the method, not the generic
	search term.  This avoids recursion.

2007-01-22  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-ebrowse.el (semanticdb-create-ebrowse-database):
	Fix post loading of a created
	EBROWSE file.

2007-01-21  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-ebrowse.el (ebrowse): Catch errors while loading.
	(semanticdb-table-ebrowse): Add 'global-extract' slot.
	(semanticdb-project-database-ebrowse): Remove 'mytables' slot.
	Add a 'globals' slot.
	(semanticdb-get-database-tables): Deleted
	(semanticdb-ebrowse-get-ebrowse-structure): Block ebrowse from
	displaying a progress bar.
	(semanticdb-project-database-ebrowse::semanticdb-create-database):
	Search for globals.  Apply globals to constructed tables.
	(semanticdb-project-database-ebrowse::semanticdb-ebrowse-strip-tables):
	Find globals.
	(semanticdb-project-database-ebrowse::semanticdb-ebrowse-add-etree-to-table):
	Use `semanticdb-create-table' to construct new tables.
	(semanticdb-project-database-ebrowse::semanticdb-ebrowse-extract-globals)
	(semanticdb-project-database-ebrowse::semanticdb-ebrowse-extract-globals-from-sublist)
	(semanticdb-project-database-ebrowse::semanticdb-normalize-tag)
	New methods.
	(semanticdb-table-ebrowse::semanticdb-equivalent-mode)
	(semanticdb-table-ebrowse::semanticdb-find-translate-path):
	Deleted methods.
	(semanticdb-table-ebrowse::semanticdb-find-tags-by-name-method):
	Better doc.
	Constructed tags are marked as 'faux', since they are not tightly
	bound to the buffer.

	* semantic-load.el: (semantic-load-enable-minimum-features):
	Add support for loading in ebrowse caches.
	No ebrowse cache loading on XEmacs.

	* semantic-dep.el (semantic--dependency-find-file-on-path):
	Add autoload cookie.
	Mmm... cookies.

	* semanticdb-find.el: (semanticdb-strip-find-results):
	Allow each table in which a match was found to convert the found
	tags into something better.

	* semanticdb.el: (semanticdb-table::semanticdb-normalize-tag):
	New method.

	* semantic-analyze.el: (semantic-analyze-current-context-default):
	Don't do scope analysis if there are no bounds to a symbol to analyze
	later.

2007-01-13  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-fw.el (semantic-fw-font-lock-keywords):
	Add two spp lexical macros.

	* bovine/semantic-bovine.el (semantic-bovinate-stream):
	Use `semantic-lex-token-end' and
	`semantic-lex-token-start' instead of directly referencing into the
	lexical tokens w/ car and cdr.

2007-01-12  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-lex-spp.el (semantic-lex-spp-describe):
	Fix compiler warning.

	* semantic-lex.el (semantic-lex-keyword-symbol): Update doc.
	(semantic-lex-test): Add timing information
	(semantic-lex-token): Allow an optional string to be added to a token.
	(semantic-lex-token-bounds): If a token has a string (it's a macro),
	then bounds are in a different place.
	(semantic-lex-token-start): When a token contains a string return that
	instead of extracting the string from the current buffer.

	* semantic-lex-spp.el (semantic-lex-make-spp-table):
	Fix some argument calls.

	* Makefile (semantic_LISP, tolls_lisp): Added new files.

	* Project.ede: Add semantic-dep.el and semanticdb-ebrowse.el

	* semanticdb-find.el (semanticdb-find-translate-path-brutish-default):
	Fix reference to
	list of tables.
	(semanticdb-find-translate-path-includes-default):
	When recursing into dependency files for more dependencies, do a
	semanticdb specific search if the found table is based on semanticdb.
	(semanticdb-find-test-translate-path): Be robust to tables that do no
	provide a raw list of tags.

	* semantic-decorate.el (semantic-momentary-unhighlight-one-tag-line):
	Fix doc.

	* semantic-tag-file.el (semantic-dependency-tag-file):
	Move some parts to semantic-dep.el.
	Use routines in semantic-dep.el.

	* semantic-dep.el: Functions for dependency lookup (include tags).
	Contains the search path that was in semantic-tag-file.

	* semanticdb-ebrowse.el (semanticdb-create-ebrowse-database):
	Added autoload tag.
	Force load of created loader file.
	(semanticdb-ebrowse-database-list): deleted.
	(semanticdb-project-database-ebrowse): Remove tracking symbol.
	Add system-include-p flag.
	(c++-mode::semanticdb-find-default-throttle): Change to `project system recursive'.
	(semanticdb-project-database-ebrowse::semanticdb-create-database):
	Recycled ebrowse database objects that are pointing at the same place.
	(semanticdb-project-database-ebrowse::semanticdb-file-table):
	Search the table list with only the filename.

2007-01-09  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-el.el:
	(semanticdb-table-emacs-lisp::semanticdb-find-tags-by-name-method):
	Fix a typeo.

	* semantic-edit.el (semantic-edits-change-over-tokens):
	When searching end-of-buffer tags
	for hits, do not compare against next tag unless there is a next tag.

2007-01-08  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-ebrowse.el: Merge in changes from Joakim Verona.
	Updated commentary.
	(semanticdb-create-ebrowse-database, semanticdb-load-ebrowse-caches):
	New user functions for setting up databases.
	(semanticdb-needs-refresh-p): New JV * EL.
	(semanticdb-ebrowse-file-for-directory): new utility.
	(semanticdb-ebrowse-database-list): Local tracker variable.
	(*): Updates from JV.

2006-09-12  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-idle.el (semantic-idle-scheduler-function):
	Remove the kill/restart of the
	idle timer.

2006-08-07  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-decorate.el: (semantic-momentary-highlight-one-tag-line)
	(semantic-momentary-unhighlight-on-tag-line): New fcns
	(semantic-momentary-highlight-tag): If a tag has no overlay,
	use above.

2006-07-29  Eric M. Ludlam  <zappo@gnu.org>

	* senator.el (senator-find-tag-for-completion):
	Add semantic-analysis mode as an
	option for finding completions.  Add semanticdb results stripping here.
	(senator-complete-symbol): Removed semanticdb result stripping.
	(senator-completion-menu-item): Removed semanticdb result stripping.

	* semantic-tag-ls.el (semantic-tag-protection):
	Add extra check that the tag has an overlay.

	* semantic-sb.el (semantic-sb-token-jump):
	Add an extra means of extracting a file name
	from a token.

	* semantic-ia-sb.el (semantic-ia-speedbar):
	Set the active mode for tag-display
	(semantic-ia-sb-string-list): Better non-tag tag word.

	* semantic-edit.el (semantic-edits-verbose-flag): Make customizable.

	* semanticdb-skel.el:
	Removed refs to emacs-lisp, replace with generic terms

	* semanticdb-find.el: (semanticdb-find-translate-path-brutish-default):
	Only return tables in a DB of the same major mod as the current major-mode.

	* semanticdb.el: (semanticdb-get-buffer)
	(semanticdb-file-table-object): Pass extra option to
	find-file-noselect to avoid displaying warnings.

2006-07-04  David Ponce  <david@dponce.com>

	* semantic-ede-grammar.el:
	Fix recursive (require 'semantic-ede-grammar) error on Emacs 22.

2006-05-31  David Ponce  <david@dponce.com>

	* wisent/wisent-java.wy (wildcard, wildcard_1, wildcard_2, wildcard_3):
	Add space around
	keywords in the returned value.
	(method_declarator, constructor_declarator, annotation): Pass $I
	placeholder to SKIP-BLOCK.
	(method_header, constructor_declaration): Set :template-specifier
	as a string for now.
	(type_parameters, type_parameter_list, type_parameter_list_1)
	(type_parameter, type_parameter_1, type_bound_opt, type_bound)
	(type_bound_1, additional_bound_list_opt)
	(additional_bound_list, additional_bound_list_1)
	(additional_bound, additional_bound_1): Produce a string for now.

	* wisent/wisent-java-tags.el, wisent/wisent-java.el (wisent-java-expand-tag):
	Remove.
	(wisent-java-default-setup): Use `semantic-java-expand-tag'.

	* wisent/wisent-grammar-macros.el (wisent-grammar-SKIP-BLOCK):
	Receive an optional $I placeholder
	symbol.

	* bovine/semantic-java.el:
	(semantic-java-dim, semantic-java-expand-tag)
	(semantic-java-type): New functions.
	(semantic-java-prototype-variable): Use `semantic-java-type'.
	(semantic-java-prototype-function): Likewise.  Include
	:template-specifier.
	(semantic-java-prototype-type): Include :template-specifier.

2006-05-19  David Ponce  <david@dponce.com>

	* semantic-format.el (semantic--format-tag-arguments): Fix last change.

2006-04-06  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-ctxt.el: (semantic-get-local-variables-default)
	(semantic-get-local-arguments): Add a :filename property to
	every found tag so the source buffer can be found later.

2006-03-27  David Ponce  <david@dponce.com>

	* wisent/wisent.el (wisent-parse-verbose-flag, wisent-recovering):
	Doc fix.

	* wisent/wisent-comp.el:
	(wisent-debug-flag, wisent-new-log-flag, wisent-verbose-flag)
	(wisent-single-start-flag, wisent-compile-grammar): Doc fix.
	(wisent-automaton-lisp-form): New function renamed from
	`wisent-byte-compile-automaton'.  Don't byte-compile here.
	(wisent-byte-compile-grammar): Use it.  byte-compile here.

2006-02-24  David Ponce  <david@dponce.com>

	* wisent/wisent-java.wy (modifiers, modifier): Revert last change.
	(class_body_declaration)
	(interface_member_declaration): Use the SKIP-TOKEN macro.
	(enum_body, enum_arguments_opt)
	(constructor_body, array_initializer, block, switch_block)
	(dim_expr, annotation_type_body)
	(member_value_array_initializer): Use the SKIP-BLOCK macro.
	(method_declarator)
	(constructor_declarator): Likewise.  Improve recovery rule.
	(annotation): Return the annotation name.

	* wisent/wisent-grammar-macros.el: (wisent-grammar-SKIP-BLOCK)
	(wisent-grammar-SKIP-TOKEN): New functions.
	(wisent-grammar-mode::semantic-grammar-macros): Add SKIP-BLOCK and
	SKIP-TOKEN macros.

	* wisent/wisent.el (wisent-skip-block):
	Accept the starting location of the block as
	an optional parameter.

2006-02-24  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-lex-spp.el:
	Semantic Pre-processor, for emulating pre-processors and their symbols.

2006-02-23  David Ponce  <david@dponce.com>

	* wisent/wisent-java.wy (package_declaration):
	Simplify. Store package modifiers for
	future use.
	(modifiers): Ignore nil values.
	(modifier): Don't store annotation for now.
	(formal_parameter, local_variable_declaration, foreach_statement)
	(foreach_statement_no_short_if): Handle annotations.

2006-02-17  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/semantic-c.el (semantic-lex-c-preprocessor-symbol-map):
	New option
	(semantic-lex-c-preprocessor-dynamic-symbol-map): New var (unused)
	(semantic-lex-c-preprocessor-p): New fn
	(semantic-lex-c-define): New lexer (unused)
	(semantic-lex-c-preprocessor-replace-or-symbol-or-keyword): New lexer
	(semantic-c-lexer): Use new lexer

2006-02-16  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-edit.el (semantic-edits-assert-valid-region): New macro
	(semantic-edits-incremental-parser-1): Protect against a bug where
	psrse-start is after parse-end.
	Added debugging assistance.
	Added some comments in some confusing code.

	* tests/test.py (HTTPServer.server_bind): Uncomment.

	* wisent/wisent-python.el (wisent-python-default-setup):
	Remove errant paren.

	* semantic-load.el (semantic-load-enable-semantic-debugging-helpers):
	Enable incremental
	parser verbosity.

	* doc/user-guide.texi (Speed Debug): New node.

2006-02-09  Eric M. Ludlam  <zappo@gnu.org>

	* wisent/wisent-python.el (wisent-python-default-setup):
	Apply the semantic imenu override
	so we don't use the one in python.el.
	Add symbol-> name association lists.

2006-02-08  Eric M. Ludlam  <zappo@gnu.org>

	* doc/Project.ede (images): Added grammar-fw-ov.txt

	* wisent/Makefile, tests/Makefile, doc/Makefile, bovine/Makefile (VERSION):
	updated

	* semantic-load.el (semantic-load-enable-guady-code-helpers): Alias.

	* semantic.el (semantic-version): Updated

	* Project.ede (:version): updated

	* Makefile (VERSION): updated

	* semantic-ia.el (semantic-ia-show-summary): New fcn/example

	* senator.el (semantic-narrow-to-tag):
	Undo previous... already defined as narrow-to-defun

	* semantic-tag.el (semantic-narrow-to-tag): Make this interactive.

	* senator.el (senator-menu-bar): Add item for senator-narrow-to-tag.

	* semantic-load.el, INSTALL: Fix gaudy typo

2006-01-12  David Ponce  <david@dponce.com>

	* wisent/wisent-java-tags.wy (variable_declarators):
	Include the COMMA delimiter into compound
	declaration bounds.

2006-01-09  David Ponce  <david@dponce.com>

	* wisent/wisent-java.wy (variable_declarators):
	Include the COMMA delimiter into compound
	declaration bounds.

	* senator.el (senator-search-tag-name):
	Search the tag name between word
	delimiters, whitespaces, or punctuations.

2006-01-03  David Ponce  <david@dponce.com>

	* semantic-ctxt.el (semantic-ctxt-current-symbol-default):
	Skip array-like
	expressions around symbols.

	* bovine/semantic-c.el (c-mode::semantic-type-relation-separator-character):
	Revert last
	change.

2005-12-07  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/semantic-c.el:
	(c-mode::semantic-type-relation-separator-character):
	Add simple Arrays as occuring between symbols.

2005-11-22  David Ponce  <david@dponce.com>

	* wisent/wisent-java.wy (static_initializer):
	Use :typemodifiers attribute.
	(block_statements): Use :members attribute.
	(method_declaration, constructor_declaration): Don't store the
	:body attribute to save place in the tag database.

	* senator.el (senator-previous-tag-or-parent): Don't use
	`semantic-find-tag-by-overlay-prev' which skips the current tag
	when point is at the end of a tag overlay.

2005-11-17  David Ponce  <david@dponce.com>

	* wisent/wisent-java.wy (local_variable_declaration):
	Fix tag production.

2005-11-03  David Ponce  <david@dponce.com>

	* semantic-ia.el (semantic-ia-complete-symbol-menu):
	XEmacs `imenu--mouse-menu'
	compatibility fix.

2005-10-23  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-ia.el (semantic-ia-complete-symbol):
	Use `senator-complete-symbol' as backup
	technique if smart stuff fails.

	* semantic-ia.el (semantic-ia-complete-symbol-menu):
	Fix case with only one menu item.

	* bovine/semantic-c.el (semantic-expand-c-tag):
	Replace obsolete 'token-parent' call with
	'tag-type-superclasses' call instead.

	* bovine/c.by (typesimple): For typedef, pass 'parent' in as a list

2005-09-30  Eric M. Ludlam  <zappo@gnu.org>

	* tests/test.cpp (stdio.h): New include.
	(simple1): New function.
	(class1): Add var12
	(class3): Add operator^=
	(class3::method1_for_class3): Various smart completion testing changes.
	(class4): Add constructor initializers
	(Action): Add operator+=.

	* tests/test.c (fun1): New.

	* tests/gr-test.wy, doc/fdl.texi, wisent/wisent-python.wy, wisent/wisent-python.el, wisent/wisent-java.wy, wisent/wisent-java-tags.wy, wisent/wisent-java-tags.el, wisent/wisent-java.el, wisent/wisent-grammar-macros.el, wisent/wisent-grammar.el, wisent/wisent-expr.el, wisent/wisent.el, wisent/wisent-debug.el, wisent/wisent-c.wy, wisent/wisent-comp.el, wisent/wisent-cim.wy, wisent/wisent-c.el, wisent/wisent-calc.wy, wisent/wisent-calc.el, wisent/wisent-awk.wy, wisent/semantic-wisent.el, wisent/bison-wisent.el, bovine/skeleton.by, bovine/semantic-skeleton-by.el, bovine/semantic-skel.el, bovine/semantic-scm.el, bovine/semantic-make.el, bovine/semantic-java.el, bovine/semantic-erlang.el, bovine/semantic-el.el, bovine/semantic-c.el, bovine/semantic-bovine.el, bovine/scheme.by, bovine/make.by, bovine/erlang-edoc.el, bovine/erlang.by, bovine/c.by, bovine/bovine-grammar-macros.el, bovine/bovine-grammar.el, bovine/bovine-debug.el, senator.el, semantic-util-modes.el, semantic-util.el, semantic-texi.el, semantic-tag-ls.el, semantic-tag-file.el, semantic-tag.el, semantic-sort.el, semantic-sb.el, semantic-regtest.el, semantic-load.el, semantic-lex.el, semantic-inc.el, semantic-imenu.el, semantic-idle.el, semantic-ia-sb.el, semantic-ia.el, semantic-html.el, semantic-grammar-wy.el, semantic-grammar.wy, semantic-grammar.el, semantic-fw.el, semantic-format.el, semantic-fold.el, semantic-find.el, semantic-example.el, semantic.el, semantic-edit.el, semantic-ede-grammar.el, semantic-doc.el, semantic-decorate-mode.el, semantic-decorate.el, semantic-debug.el, semanticdb-system.el, semanticdb-skel.el, semanticdb.sh, semanticdb-search.el, semanticdb-mk.el, semanticdb-java.el, semanticdb-find.el, semanticdb-file.el, semanticdb-el.el, semanticdb.el, semanticdb-ebrowse.el, semantic-ctxt.el, semantic-complete.el, semantic-chart.el, semantic-cb.el, semantic-ast.el, semantic-analyze.el, document-vars.el, document.el:
	Update all GPL headers with script from savannah.gnu.org.

2005-09-29  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/c.by (HAT): Fix regexp.

	* bovine/semantic-c.el (c-mode::semantic-format-tag-canonical-name):
	New override.

	* document.el (document-find-file): Fix warning.

	* document.el (document): Fix doc.
	(document-inline): Use overlays to find the current tag.

	* semantic-doc.el (semantic-documentation-for-tag):
	Use below for getting a comment.
	(semantic-documentation-comment-preceeding-tag): New function.
	Like code taken from above, but using overlays to find boundaries
	between tags.  Robust to functions with no preceeding comments.

	* semantic-debug.el (semantic-debug-interface::semantic-debug-highlight-rule):
	Make very
	long rules visible when focus changes to the end of those rules.

	* semantic-find.el (semantic-find-tag-by-overlay-prev):
	Find stops at END of tags when
	going backward.
	(semantic-brute-find-first-tag-by-function): Fix doc string.
	(semantic-brute-find-tag-by-position): Fix doc string.

2005-09-21  David Ponce  <david@dponce.com>

	* senator.el: (semantic-insert-foreign-tag-default)
	(semantic-insert-foreign-tag): Move to semantic-tag.el.
	(senator-copy-tag, senator-yank-tag)
	(senator-copy-tag-to-register)
	(insert-register, jump-to-register): Use foreign tags.

	* semantic-texi.el (semantic-insert-foreign-tag):
	Receive a foreign tag.  Use
	`semantic-tag-buffer'.

	* semantic-tag.el (semantic-tag-buffer):
	Handle tag with an originating file.
	(semantic-tag-mode)
	(semantic-foreign-tag-invalid, semantic-foreign-tag-p)
	(semantic-foreign-tag-check, semantic-foreign-tag)
	(semantic-obtain-foreign-tag): New functions.
	(semantic-insert-foreign-tag-default)
	(semantic-insert-foreign-tag): Move from senator.el.  Change
	arguments.

	* semantic-grammar.el: (semantic-ctxt-current-function)
	(semantic-ctxt-current-argument)
	(semantic-ctxt-current-assignment)
	(semantic-ctxt-current-class-list): Take into account the optional
	argument POINT.
	(semantic-ctxt-current-mode): New function.

	* semantic-ctxt.el: (semantic-ctxt-current-mode)
	(semantic-ctxt-current-mode-default): New functions.

	* document.el (document-massage-to-texinfo): Use `semantic-tag-mode'.

2005-09-16  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/c.by (operatorsym):
	 Move HAT EQUAL operatorysym to the end of the list.
	It breaks following rules.

2005-09-07  David Ponce  <david@dponce.com>

	* bovine/semantic-el.el (eval-and-compile, eval-when-compile):
	Make the nested form parser
	more robust.

2005-09-01  Eric M. Ludlam  <zappo@gnu.org>

	* senator.el (add-log-current-defun): Output canonical names too.
	Work harder at finding a parent to add to canonical name.

	* semantic-format.el (semantic-format-tag-functions):
	Add semantic-format-tag-canonical-name.
	(semantic-format-parent-separator): New option.
	(semantic--format-tag-arguments): Use below fcn
	(semantic-format-tag-name-from-anything): New function (from above)
	(semantic--format-tag-parent-tree): New unfinished function.
	(semantic-format-tag-canonical-name): New overload function.
	(semantic-format-tag-abbreviate-default): Use above.

2005-08-27  David Ponce  <david@dponce.com>

	* doc/tags.texi (Tag Overlay): Fix @strong{Note...} warning.

2005-08-26  Eric M. Ludlam  <zappo@gnu.org>

	* doc/tags.texi (Tag Query): New doc.

	* semantic-tag.el (semantic-tag-named-parent): New function
	(semantic-tag-function-parent): Use above.

2005-08-15  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-fold.el (semantic-folding-click): doc update
	(provide): Add one.

2005-07-14  David Ponce  <david@dponce.com>

	* Makefile, wisent/Makefile, bovine/Makefile: Re-generate.

	* semantic-ede-grammar.el: (semantic-ede-grammar-compiler-wisent)
	(semantic-ede-grammar-compiler-bovine): Add quotes around EMACS.

2005-06-30  Eric M. Ludlam  <zappo@gnu.org>

	* semantic.el (semantic-version): Updated.

	* Project.ede (:version): Updated.

	* wisent/Makefile, tests/Makefile, doc/Makefile, bovine/Makefile, Makefile (VERSION):
	Updated.

	* senator.el: toplevel: ran checkdoc, cleaned up errant whitespace.
	(senantor-fold-tag,senator-unfold-tag,senator-fold-tag-toggle): Doc fix.
	(senator-go-to-up-reference): Error fix.
	(semantic-up-reference-default): Error fix.

	* semantic-util-modes.el:
	toplevel: ran checkdoc, cleaned up errant whitespace.

	* semantic-util.el (semantic-recursive-find-nonterminal-by-name):
	Doc change pending deletion.

	* semantic-tag-file.el:
	toplevel: ran checkdoc, cleaned up errant whitespace.

	* semantic-tag.el (semantic-tag-faux-p): Doc fix.

	* semantic-sort.el:
	toplevel: ran checkdoc, cleaned up errant whitespace.

	* semantic-sb.el: (semantic-sb-tag-set-buffer)
	(semantic-sb-insert-tag-table): Doc fix.

	* semantic-load.el (semantic-load-enable-minimum-features):
	Fix broken if statement.

	* semantic-lex.el (semantic-lex-expand-block-specs): Doc fix.

	* semantic-idle.el, semantic-grammar.el:
	toplevel: ran checkdoc, cleaned up errant whitespace.

	* semantic-fw.el: Copyright updated.

	* semantic-example.el: Checkdoc fixes.

	* semantic.el: toplevel: ran checkdoc, cleaned up errant whitespace.
	(semantic-parse-region): Doc fix.
	(semantic-parse-region-default): Error msg fixes.

	* semantic-decorate-mode.el: (global-semantic-decoration-mode):
	(semantic-decoration-mode): Checkdoc fixes.

	* semantic-decorate.el (semantic-set-tag-folded-isearch): Doc fix.

	* semantic-debug.el: (semantic-debug-find-parser-source)
	(semantic-debug-set-breakpoint)
	(semantic-debug-parser-fames): Various checkdoc fixes.

	* semanticdb-system.el: (semanticdb-load-system-database)
	(semanticdb-collect-matching-filenames): Doc fix.

	* semanticdb-find.el: Commentary: updated.
	(semanticdb-find-table-for-include-default): Add comment about cache loading.
	(semanticdb-find-test-translate-path): doc fix.
	(semanticdb-find-result-test): Fix error message.

	* semanticdb-file.el:
	toplevel: ran checkdoc, cleaned up errant whitespace.
	(semanticdb-file-name-directory): Doc fix.
	Renamed argument PATH to DIRECTORY for GNU conventions.

	* semanticdb-el.el:
	toplevel: ran checkdoc, cleaned up errant whitespace.

	* semanticdb.el (semanticdb-file-table): Doc fix.

	* semantic-ctxt.el:
	toplevel: ran checkdoc, cleaned up errant whitespace.
	(semantic-ctt-current-argument-default): Doc fix.

	* semantic-complete.el, semantic-chart.el, semantic-analyze.el:
	toplevel: ran checkdoc, cleaned up errant whitespace.

2005-06-13  David Ponce  <david@dponce.com>

	* semantic-util-modes.el (semantic-stickyfunc-mode-setup):
	Fix last change.  Thanks to
	Nicholas Sandow <njsand@internode.on.net>.

2005-06-11  David Ponce  <david@dponce.com>

	* semantic-util-modes.el (semantic-stickyfunc-old-hlf):
	No more automatically buffer local.
	(semantic-stickyfunc-mode-setup): Fix save/restore of previous
	header line.

2005-06-02  David Ponce  <david@dponce.com>

	* semantic-grammar.el (semantic-grammar-mode):
	Use `semantic-run-mode-hooks'.

	* semantic-fw.el (semantic-run-mode-hooks): New compatibility function.
	(semantic-safe): Add the current buffer to the error message.

	* semantic-decorate-mode.el (semantic-build-decoration-mode-menu):
	Add autoload cookie.

2005-05-19  David Ponce  <david@dponce.com>

	* senator.el: (senator-search-ignore-tag-classes)
	(senator--search-filter): New variables.
	(senator-search-default-tag-filter): New function.
	(senator-search-tag-filter): Remove.
	(senator-search-tag-filter-functions): New hook.
	(senator-search): Use it.
	(senator-search-set-tag-class-filter): Likewise. Doc fix.

2005-05-13  David Ponce  <david@dponce.com>

	* senator.el (senator-search-tag-name):
	Don't fail if TAG name doesn't come
	from source. Doc fix.
	(senator-search): Likewise.

2005-05-08  Suraj Acharya <sacharya@gmail.com>

	* semantic-fw.el:
	added a binding for overlay-size/extent-length to semantic-overlay-size

2005-05-06  Eric M. Ludlam  <zappo@gnu.org>

	* wisent/Makefile (VERSION): Update version number
	(tools, wisent, languages): Add quotes around EMACS.

	* tests/Makefile (VERSION): Update version number

	* semantic-fold.el (semantic-tag-folding-decoration):
	Disable folding style by default.

	* semantic-debug.el (semantic-debug-find-parser-source):
	Provide a useful error if the
	parser source was not found.

	* semantic-load.el (semantic-load-system-cache-loaded): New variable.
	(semantic-load-enable-minimum-features): Do not load system caches
	more than once.

	* semantic-idle.el:
	(semantic-idle-summary-current-symbol-info-context):
	Be robust to failures in analysis calculation.

	* semantic.el (semantic-version): Update version number

	* semanticdb-system.el (semanticdb-load-system-caches):
	Disable loading non cache files.
	This allows other types of files in the cache directory.

	* INSTALL: Added semantic-load-enable-guady-code-helpers.
	Add custom setup section.

	* Makefile (VERSION): Update version number
	(autoloads, maintenance, init, semantic, Languages, tools, senator):
	Add quotes around EMACS.

	* Project.ede ("semantic"): Update version number

	* bovine/Makefile (VERSION): Update version number
	(bovinator, languages): Add quotes around EMACS.

	* doc/Makefile (VERSION): Update version number
	(semantic-user_info_TEXINFOS): Added minor-modes.texi.

	* doc/Project.ede ("semantic-user.info"):
	Broke out minor modes section to new file.

	* doc/user-guide.texi (senator): Add some new keybindings
	(Analyzer): Replace 'token' with 'tag'.
	(Class Browser): Tidy up some text.
	(Idle Scheduler): Menu update.
	(Idle Summary Mode): Add new variable.  Remove completions mode.
	(Idle Completions Mode): New section.
	(Minor Modes): Moved into a sub-file.

	* doc/minor-modes.texi: Doc for various minor modes.

2005-05-01  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-ebrowse.el: Ebrowse semanticdb backend.

2005-04-30  Eric M. Ludlam  <zappo@gnu.org>

	* senator.el (senator-register-custom-menu):
	Add space to menu item name.
	(senator-menu-bar): Move some items.
	Add decoration sub-menu.

	* semantic-load.el (semantic-load-enable-code-helpers):
	Remove some items
	(semantic-load-enable-guady-code-helpers): New
	(semantic-load-enable-excessive-code-helpers): Remove ref to old variable.

	* semantic-decorate-mode.el (semantic-decoration-style-enabled-p):
	New fcn.
	(semantic-decoration-menu-cache, semantic-decoration-build-style-menu)
	(semantic-build-decoration-mode-menu): New.
	(define-semantic-decoration-style): Enable a set of optional flags.
	(semantic-tag-boundary-p-default): Remove minimum size constraint.
	(semantic-decoration-on-private-members)
	(semantic-decoration-on-protected-members): Disable by default.

2005-04-23  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-util-modes.el (semantic-stickyfunc-mode-map):
	Add keypress for menu in header line.
	(semantic-stickyfunc-popup-menu): New variable and menu.
	(semantic-stickyfunc-menu): Command.

2005-04-22  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-tag.el: Update Commentary.

2005-04-20  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-load.el (semantic-load-enable-code-helpers):
	For code helpers, do not turn on
	completions mode if there are no tooltips.

2005-04-19  Eric M. Ludlam  <zappo@gnu.org>

	* semantic.el (semantic-version): Update version number.

	* wisent/Makefile, tests/Makefile, doc/Makefile, bovine/Makefile, Makefile (VERSION):
	Updated.

	* Project.ede ("semantic"): Update version number.

	* bovine/semantic-el.el (semantic-dependency-tag-file):
	Renamed from old not compatible name.

	* semantic-sort.el (semantic-tag-external-member-parent): Fix Typo.

	* NEWS: Add section on lexical debugging.

2005-04-17  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-fold.el (semantic-tag-folding-decoration-p-default):
	Fix comment.
	Only show +/- if in folding mode.
	(semantic-tag-folding-decoration-highlight-default):
	Fix doc.

2005-04-16  David Ponce  <david@dponce.com>

	* semantic-tag.el (semantic-tag-faux-p, semantic-tag-set-faux):
	Rename the 'faux
	property to :faux-flag.

	* semantic-sort.el (semantic-adopt-external-members):
	Use `semantic-tag-set-faux'.

	* bovine/c.by (operatorsym): Fix previous change.

2005-04-16  Eric M. Ludlam  <zappo@gnu.org>

	* senator.el (senator-go-to-up-reference): New command.
	(semantic-up-reference[-default]): New override method.
	(senator-prefix-map): Add up-reference command.
	(senator-menu-bar): same.

2005-04-15  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/semantic-c.el (semantic-tag-protection):
	Use tag equivalency, not eq.

	* bovine/c.by (MOD, HAT, OR): New tokens.
	(operatorsym): Add many more possible overloadable operators.

	* semantic-sort.el (semantic-adopt-external-members):
	Revamp to use 'faux' tag interface
	added to semantic-tag.el

	* semantic-tag.el (semantic-tag-faux-p, semantic-tag-set-faux):
	New functions

2005-04-01  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/c.by (fun-or-proto-end): Allow arguments after catch.

	* bovine/c.by (fun-or-proto-end): Allow initializers after TRY.

	* bovine/c.by (TRY, CATCH): New tokens
	(fun-or-proto-end): Add TRY/CATCH option to function body.

	* semantic-idle.el (semantic-idle-core-handler):
	Allow services to run if lexical unsafe.
	(semantic-idle-summary-current-symbol-info-context):
	Use new analyzer API call to get an interesting tag.

	* semantic-analyze.el: (semantic-analyze-interesting-tag):
	New methods for `semantic-analyze-context', `-functionarg', and
	`-assignment'.

	* semantic-ctxt.el (semantic-end-of-context-default):
	Make robust to incomplete syntax.

	* semantic.el (semantic-refresh-tags-safe): New function.

	* semantic-lex.el (semantic-lex-debug-analyzers): New option.
	(semantic-lex-unterminated-syntax-protection): Debug syntax problems
	iff both lex debug and debug-on-error is active.

2005-03-24  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-imenu.el: (semantic-imenu-index-directory)
	(semantic-imenu-auto-rebuild-directory-indexes): New default value is nil.

2005-03-01  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-sb.el (semantic-sb-token-jump):
	Be sure to switch to the buffer being
	jumped to by `semantic-go-to-tag'.

2005-02-20  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-tag-file.el (semantic-go-to-tag): Use `cond'.
	Use `semantic-tag-file-name' when applicable.
	If no position is found, use current buffer and re-search-forward.
	(semantic-dependency-tag-file): Switch to tag originating buffer
	before calling any override methods.
	Add caching mechanism around the override part.

2005-02-17  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/semantic-el.el (semantic--elisp-parse-table):
	Fix reverse issue on tag lists.
	(semantic-elisp-setup-form-parser): New parser entity
	(defvar): Add defezimage.
	(defmethod): Don't specify parent of not specified in arg list.
	(define-mode-overload-implementation): Add obsolete comment.

	* tests/test.el: New test functions for Emacs Lisp.

	* semantic-util-modes.el (semantic-stickyfunc-mode-setup):
	Pass a second argument to
	local-variable-p.

2005-02-15  Klaus Berndl <klaus.berndl@sdm.de>

	* semantic-regtest.el: - Removed the semantic 1.4 support
	- Whitespace-normalizing of tag-name and tag-text
	- Added help-echos for semantic-regtest-mode
	- distinction between user-commands and internal-equivalents for being used
	  from within elisp
	- new option semantic-regtest-print-tag-boundaries

2005-02-13  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-util-modes.el (semantic-stickyfunc-indent-string):
	New default value calculated from
	the environment.
	(semantic-stickyfunc-fetch-stickyline): Replace tabs with spaces
	before presenting the string.

	* semantic-tag-file.el (semantic-dependency-tag-file):
	Cache found dependency in tag
	property.  If it isn't found, cache that too.

	* semantic-idle.el (semantic-idle-scheduler-verbose-flag): New option
	(semantic-idle-core-handler)
	(semantic-idle-scheduler-refresh-tags): Be verbose if flag is
	non-nil.

2005-02-04  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-system.el (semanticdb-system-database-warn-level):
	New option
	(semanticdb-system-db-directory-search-recursed): New state
	(semanticdb-load-system-database): Ask if files list is very long
	(semanticdb-collect-matching-filenames): Add not-recursive option.

	* senator.el:
	(semantor-fold-tag, senator-unfold-tag, senator-fold-tag-tooggle):
	New commands.
	(senator-prefix-map): Add folding commands.
	(senator-menu-bar): Add folding commands.

2005-02-03  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-fold.el: Folding decoration/mode.

	* wisent/Makefile, tests/Makefile (VERSION): Updated version number.

	* tests/test.cpp (method1_for_class3):
	Added space where completion tests cn occur
	(method5_for_class3): Added 'doc' string in comment at top.

	* doc/user-guide.texi (semanticdb): Refer to updated install mechanism.
	(Semanticdb Search Configuration): Added throttle discussion.
	(Semanticdb System Backends): Mention the omniscience throttle key.

	* doc/app-dev-guide.texi (top): Add Tag Decoration node
	(Tag Decoration): New chapter with several subsections
	(Semanticdb Tag Queries): Fixed up first paragraph
	Remove path translation.
	(DB Results): Change "token" to "tag".
	(DB Search Paths): New section

	* doc/Makefile, bovine/Makefile (VERSION): Updated version number.

	* NEWS: Added folded tags to news.
	Fixed name of a function with -nonterminal-
	Added info about texi parser.

	* Makefile (VERSION): Updated version number.

	* Makefile (VERSION): Updated version number.
	(example_MISC): Added semanticdb-skel.el

	* Project.ede ("semantic"): Update version number.
	("example"): Added semanticdb-skel.el

	* semantic-fold.el: A hack for a folding mode with +/- in the fringe.

	* semantic-decorate.el (semantic-set-tag-folded, semantic-tag-folded-p):
	New functions.
	(semantic-set-tag-folded-isearch): New callback

2005-02-02  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-find.el (semanticdb-find-test-translate-path):
	Refer to the throttle
	variable in doc string.

2005-02-01  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-skel.el:
	First pass at a skeleton for making new semanticdb system databases.

2005-01-30  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-el.el (semanticdb-find-default-throttle):
	Rename 'omnipotent' to 'omniscience'

	* semanticdb-find.el: (semanticdb-find-throttle-custom-list)
	(semanticdb-find-default-throttle)
	(semanticdb-find-table-for-include-default): Rename 'omnipotent' to
	'omniscience', which is a better word.

2005-01-29  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/semantic-c.el (semantic-default-c-path):
	Add to semantic custom group.

	* semantic-load.el (semantic-load-enable-minimum-features): Fix doc

	* semanticdb-system.el (semanticdb-load-system-caches):
	Don't load backup files.
	(semanticdb-load-system-database): Force tag parsing at load
	time since this is no longer guaranteed.

	* semanticdb-find.el (semanticdb-find-throttle-custom-list):
	New variable
	(semanticdb-find-default-throttle): New user option.
	(semanticdb-find-throttle-active-p): New predicate
	(semanticdb-find-translate-path-includes-default):
	Only recurse if recursion is enabled.
	(semanticdb-find-table-for-include-default):
	Add throttling code.
	Re-enable old system database loading.
	Use new commnds to get system databases if available, then
	resort to a normal load.
	(semanticdb-find-test-translate-path): Update from Jan's input.

	* semanticdb-el.el (semanticdb-find-default-throttle):
	Specifiy an Emacs Lisp value.

	* semanticdb.el (semanticdb-dump-all-table-summary):
	New debugging command.
	(semanticdb-file-table-object): When loading a table, make sure
	we grab system databases too.

2005-01-28  David Ponce  <david@dponce.com>

	* semantic-tag.el (semantic-tag-buffer):
	Ensure the tag's overlay is living.

	* semantic-fw.el: (semantic-overlay-live-p) [XEmacs]: Align with Emacs'
	`overlay-buffer' behavior.

2005-01-20  Eric M. Ludlam  <zappo@gnu.org>

	* doc/user-guide.texi (Minor Modes): Update doc to many minor modes.
	highlight-by-attribute mode was replaced with decoration mode.
	(semanticdb): Update doc with doc-strings, usually by
	adding an achor.

	* semantic.el (semantic-version): Update to 2.0!  Whoo Hoo!
	(semantic-repeat-parse-whole-stream): Add infinite loop detection.

	* semantic-cb.el: (semantic-cb-tag)
	(semantic-cb-type)
	(semantic-cb-add-incomplete-type)
	(semantic-cb-new-class-browser)
	(semantic-cb-complete-type)
	(semantic-cb-convert-type)
	(semantic-cb-convert-children)
	(initialize-instance)
	(semantic-dot*)
	(eieio-speedbar-*): Replace all references to TOKEN with TAG.
	(semantic-cb-speedbar-key-map): Create an eieio-speedbar-key-map.

	* semanticdb.el (semanticdb-current-database-list):
	If no roots are found, use the
	current directory as the root.

2005-01-20  David Ponce  <david@dponce.com>

	* doc/internals.texi (Semanticdb): New section.

	* doc/semantic.texi: Copyright update.

2005-01-17  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-complete.el (semantic-complete-inline-analyzer):
	Allow completion when the
	current symbol is empty, but there is an active parent symbol.

2005-01-16  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-texi.el (semantic-sb-tag-children-to-expand): Delete.
	The semantic support file already does this.

	* bovine/semantic-el.el: Fix copyright.

2005-01-13  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-edit.el, semantic-grammar.el, semantic-ia.el, semantic-sb.el, semanticdb-find.el:
	Fix copyright year listing

2005-01-12  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/semantic-el.el (semantic-documentation-for-tag):
	For tags with no known
	documentation, cheat and snag some from the Emacs environment.

	* semanticdb.el (semanticdb-project-root-functions): Update doc.
	(semanticdb-current-database-list): Allow prev to return multiple
	roots.

	* semanticdb-el.el (semanticdb-find-translate-path):
	Prevent the systemdb from being
	added when we recurse into this fcn.

	* semanticdb-find.el (semanticdb-find-test-translate-path): Fix doc
	(semanticdb-strip-find-results): Implement previously missing
	feature for `find-file-match'.
	(semanticdb-find-tags-collector): Reverse return results so they
	are in the same order as the input path.

	* doc/user-guide.texi (Smart Completion): Added semantic-ia-show-doc

	* semantic-ia.el (semantic-ia-sow-doc): New command.

	* semantic-sb.el: Update comment/TODO

	* semantic-sb.el (semantic-sb-tag-set-buffer, semantic-sb-with-tag-buffer):
	New fcn/macro
	(semantic-sb-tag-children-to-expand-default)
	(semantc-sb-one-button, semantic-sb-insert-details)
	(semantic-sb-fetch-tag-table): Wrap calls to override methods
	with new macro.

2005-01-12  David Ponce  <david@dponce.com>

	* wisent/wisent-grammar-macros.el (wisent-grammar-ALIAS-TAG):
	New function.
	(semantic-grammar-macros): Add ALIAS-tAG.

2005-01-11  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-sb.el (semantic-sb-one-button):
	Replace old logic with new override function.

	* semantic-grammar.el (semantic-grammar-syntax-help):
	Add ALIAS-TAG help.

	* doc/lang-support-guide.texi (Incremental Parser Debugging):
	Add verbosity flag.

	* semantic-edit.el (semantic-edits-verbose-flag): New flag.
	(semantic-parse-changes-failed, semantic-edits-incremental-fail)
	(semantic-edits-incremental-parser-1): Use above new flag.

	* doc/lang-support-guide.texi (Incremental Parser Debugging):
	Updated to changes in lisp code.

	* semantic-util-modes.el (semantic-show-parser-state-marker):
	change state symbol so it is
	more visible.

	* bovine/bovine-grammar-macros.el (bovine-grammar-ALIAS-TAG): New fcn
	(semantic-grammar-macros): Add above.

2005-01-10  David Ponce  <david@dponce.com>

	* semantic.el (semantic-parse-region-default):
	Try to reuse tokens from inside
	collapsed blocks.
	(semantic-fetch-tags): Initialize `semantic-lex-block-streams'.

	* semantic-lex.el: (semantic-lex-block-streams)
	(semantic-lex-block-stack): New variables.
	(define-lex): Use them.  Improved error messages.  Handle
	unterminated collapsed blocks.
	(semantic-lex-start-block, semantic-lex-end-block): New functions.
	(semantic-lex-expand-block-specs): New function.
	(semantic-lex-push-token): Use it.  Doc fix.

2005-01-07  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-html.el: (semantic-html-extract-section-name):
	Fix up requires.
	Improve robustness of anchor text extraction.

2005-01-06  David Ponce  <david@dponce.com>

	* semantic-tag.el: (semantic-tag-new-alias, semantic-tag-alias-class)
	(semantic-tag-alias-definition): New functions.

2005-01-06  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-util.el:
	(semantic-describe-tag, semantic-add-label, semantic-show-label):
	Convert "token" names to "tag".

2005-01-05  David Ponce  <david@dponce.com>

	* wisent/wisent.el (wisent-production-bounds):
	Ensure i doesn't go beyond j.

	* bovine/semantic-el.el (defstruct):
	Don't put doc string in structure members.  Handle
	defstruct name when it is a simple symbol.

2005-01-04  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-cb.el (semantic-cb-speedbar-mode):
	Force a new class browser to be created
	before initializing speedbar.

2004-12-18  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-complete.el (semantic-complete-default-to-tag):
	Get car of search results.
	(semantic-displayor-focus-request): Have match index be 1 based.

2004-12-15  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-find.el (semanticdb-find-translate-path-brutish-default):
	Fix comments
	(semanticdb-find-test-translate-path): New command.

2004-12-01  David Ponce  <david@dponce.com>

	* senator.el (senator-add-log-tags): Doc fix.
	(add-log-current-defun): Process tags in reverse order to examine
	the ones closest to point first (thanks to Alan Shutko
	<ashutko@express-scripts.com>).  Minor code improvements.

2004-10-26  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-fw.el (subst-char-in-string):
	Removed previous re-implementation.

	* semanticdb-file.el: (semanticdb-file-name-directory):
	 Use compatible version of subst-char-in-string.

	* semantic-fw.el (subst-char-in-string):
	New alias/compat function.  Thanks Andrey Slusar.
	(semantic-safe): Notes to self.

2004-10-21  David Ponce  <david@dponce.com>

	* semantic-imenu.el (working): Require it.
	(semantic-imenu-rebuild-directory-indexes): Use
	`working-temp-message' to not obscure other important messages.

2004-10-19  David Ponce  <david@dponce.com>

	* semantic-fw.el (subst-char-in-string):
	Define if not fboundp for compatibility
	with XEmacs.

2004-10-14  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-ia-sb.el (semantic-ia-sb-key-map): Fix name of info function
	(semantic-ia-sb-tag-info): Don't show info for non-tags.
	Remove use of old semantic-ia-sb-last-analysis.
	(semantic-ia-sb-line-path, semantic-ia-sb-complete):
	Remove use of old semantic-ia-sb-last-analysis.

2004-10-05  David Ponce  <david@dponce.com>

	* semantic-tag.el (semantic-tag-p): Fix last change.

2004-10-04  David Ponce  <david@dponce.com>

	* semantic-tag.el (semantic-tag-p): Return nil if an error occurs.

2004-09-22  David Ponce  <david@dponce.com>

	* bovine/skeleton.by (PERIOD):
	Replace \\b \\b by \\` \\' in token regexp.

	* bovine/make.by: (COLON, PLUS, EQUAL)
	(DOLLAR, BACKSLASH): Replace \\b \\b by \\` \\' in token regexp.

	* bovine/erlang.by: (HASH, PERIOD, COLON, SEMICOLON, STAR, AMPERSAND)
	(DIVIDE, PLUS, MINUS, BANG, WHY, EQUAL, LESS, GREATER)
	(COMA, VDE): Replace \\b \\b by \\` \\' in token regexp.

	* bovine/c.by: (HASH, PERIOD, COLON, SEMICOLON, STAR, AMPERSAND)
	(DIVIDE, PLUS, MINUS, BANG, EQUAL, LESS, GREATER)
	(COMA, TILDE): Replace \\b \\b by \\` \\' in token regexp.

2004-09-21  David Ponce  <david@dponce.com>

	* NEWS: Add note about Elisp parser improvement.

	* bovine/semantic-el.el (semantic-emacs-lisp-lexer): Move.
	(semantic-elisp-reuse-form-parser): New function.
	(semantic-elisp-setup-form-parser): New function.
	(semantic-elisp-use-read): Use it.
	(eval-and-compile, eval-when-compile, defun, defun*, defsubst)
	(defmacro, define-overload, defvar, defconst, defcustom)
	(defface, defimage, autoload, defmethod, defgeneric, defadvice)
	(defclass, defstruct, define-lex)
	(define-mode-overload-implementation, define-mode-local-override)
	(defvar-mode-local, require, provide): Setup form parsers.

2004-09-15  David Ponce  <david@dponce.com>

	* wisent/wisent-python.el (wisent-python-forward-line):
	Don't use forward-sexp to skip
	comment at end of line.
	(wisent-python-end-of-block): Include final newline in block.

	* wisent/wisent-python.wy:
	Reorder and cleanup token declarations to avoid warnings.
	Auto-generate symbol, keyword, number, block and punctuation
	analyzers.
	Use %keyword to declare keywords.
	(class_declaration): Fix TYPE-TAG production.
	(paren_class_list): Return a list of class names.
	(paren_class): Handle dotted name.

	* wisent/wisent-python.el: Remove obsolete code and update comments.
	Use variable and function names consistent with the library name.
	Cleanup and improve lexical analysis code.

	(wisent-python-explicit-line-continuation): Remove.
	(wisent-python-string-re): Update from python 2.3 specs.
	(wisent-python-indent-stack): Rename from
	wisent-python-lexer-indent-stack.  Move.  All uses changed.
	(semantic-lex-python-pop-indent-stack): Remove.
	(wisent-python-implicit-line-joining-p)
	(wisent-python-forward-string)
	(wisent-python-forward-line-skip-indented)
	(wisent-python-end-of-block): New functions.
	(wisent-python-scan-lists, scan-lists): Remove.
	(wisent-python-forward-line): Rename from python-next-line.
	Simplify and make more robust.
	(wisent-python-lex-beginning-of-line): Rename from
	semantic-lex-python-beginning-of-line.  All uses changed.
	Simplify with use of above new functions.  Don't hard code too
	much things.
	(semantic-lex-python-reset-continued-line): Remove.
	(wisent-python-lex-end-of-line): Rename from
	semantic-lex-python-newline.  All uses changed.  Does nothing if
	implicit line joining.  No more handle what remains in the
	indentation stack.
	(wisent-python-lex-string): Rename from
	semantic-lex-python-string.  All uses changed.  Simplify with use
	of wisent-python-forward-string.
	(wisent-python-lex-ignore-backslash): Rename from
	semantic-lex-python-charquote, simplify.  All uses changed.
	(semantic-lex-python-symbol, semantic-lex-python-number)
	(semantic-lex-python-blocks): Remove.  Auto-generate.
	(wisent-python-lexer): Rename from semantic-python-lexer.  All
	uses changed.  Use updated and auto-generated analyzers.
	(semantic-parse-region): Remove.
	(semantic-lex): Override in python-mode to handle the indentation
	stack.
	(semantic-get-local-variables): Move.
	(wisent-python-default-setup): Set parse-sexp-ignore-comments to
	non-nil.  Remove unnecessary code.
	(wisent-python-lex-buffer): Code cleanup.

	* semantic-lex.el (semantic-lex-init): Code cleanup.
	(semantic-lex-unterminated-syntax-protection): Don't catch errors
	when debug-on-error is set.
	(semantic-lex-catch-errors): Code cleanup.  Print the symbol on
	which lexical analysis failed.

	* semantic-idle.el (semantic-idle-core-handler):
	Ignore non file buffers.  Check here
	if the idle scheduler is enabled in current buffer.  Use dolist
	and with-current-buffer to simplify the code.
	(semantic-idle-scheduler-function): Let a chance to process other
	buffers even if the idle scheduler is not enabled in current
	buffer.  Ensure to always resume the idle scheduler timer.  Don't
	do unnecessary save match data.

	* semantic.el (semantic-new-buffer-fcn):
	Set semantic-new-buffer-fcn-was-run to
	non-nil before calling semantic functions.  Remove unnecessary
	call to semantic-parse-tree-set-needs-rebuild.
	(semantic-parse-region-default): Fix messages.  Remove obsolete
	code and comments.

2004-09-08  David Ponce  <david@dponce.com>

	* bovine/semantic-c.el (semantic-tag-abstract-p):
	Also check for virtual modifier in
	function tag.

2004-08-25  David Ponce  <david@dponce.com>

	* wisent/wisent-java.wy (prologue): Define `wisent-java-wy--anons'.
	(field_declaration): Include definition of anonymous classes.
	(variable_declarator): Handle definition of anonymous classes.
	(class_instance_creation_expression): Ditto.

	* wisent/wisent-java.el (wisent-java-default-setup): Setup
	`semantic-imenu-expandable-tag-classes' to expand types and
	variables.

	* doc/user-guide.texi (imenu):
	Document `semantic-imenu-expandable-tag-classes' in place
	of `semantic-imenu-expandable-tag-class'.

	* semantic-texi.el (semantic-default-texi-setup): Update to use
	`semantic-imenu-expandable-tag-classes'.

	* semantic-imenu.el (semantic-imenu-expandable-tag-classes):
	Rename from
	`semantic-imenu-expandable-tag-class'.  Accept a list of tag
	classes.  All uses changed.

	* semanticdb.el (semanticdb-file-table-object):
	After loading a file, ensure that
	the returned DB table contains tags.

2004-08-09  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-mk.el (toplevel): Remove "compare" message.
	Add better per-file message reporting number of toplevel tags.
	Fix bug when jumping between subdirectories.

2004-08-04  Eric M. Ludlam  <zappo@gnu.org>

	* wisent/wisent-python.el (python-next-line):
	Fix hang on unterminated lists.

2004-08-03  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-complete.el (initialize-instance):
	Make tooltip loading safe.

	* semanticdb-mk.el (semanticdb-mk-find-eieio): Deleted.
	("Old setup code"): Replaced with
	("New setup code"): load cedet.el from the usual place for a full seutp.
	("Argument parser"): Stop if there are no files found.

	* semanticdb.sh: Add smarter auto-path setup.

2004-07-30  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-html.el:
	(semantic-html-set-endpoint, semantic-html-recursive-combobulate-list):
	Fix locatins still refering to "texinfo" files.

	* semanticdb-find.el (semanticdb-find-translate-path-brutish-default):
	Update code comments.

2004-07-29  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-fw.el (semantic-fw-font-lock-keywords):
	Made Emacs 21.2 safe.

2004-07-26  David Ponce  <david@dponce.com>

	* doc/grammar-fw.texi (Editing grammars):
	Document `semantic-grammar-insert-keyword'.

2004-07-23  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/semantic-c.el (semantic-tag-abstract-p):
	Fix bug referencing cs.

2004-07-21  Eric M. Ludlam  <zappo@gnu.org>

	* NEWS: Added `semantic-decoration-mode'.

2004-07-20  Eric M. Ludlam  <zappo@gnu.org>

	* wisent/Makefile (VERSION): Updated to beta3

	* tests/test.cpp (method1_for_class3, method4_for_class3):
	Various completion tests.

	* tests/test.c (funcptr): Test function pointer parsing.

	* tests/scopetest.cpp (amethod2):
	Added some entries to test completion.

	* tests/Makefile, doc/Makefile, bovine/Makefile, Makefile (VERSION):
	Updated to beta3

	* semantic-fw.el (semantic-compile-warn):
	Make sure this alias is evaluated at compile time.

	* semantic-grammar.el (semantic-grammar-map, semantic-grammar-menu):
	Add
	semantic-grammar-insert-keyword function.
	(semantic-grammar-insert-keyword): New function.

	* semantic.el (semantic-version): Version change.

	* Project.ede ("semantic"): Version chane.

	* semanticdb-find.el (semanticdb-find-result-test): new function

2004-07-16  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-complete.el (semantic-complete-default-to-tag):
	Extract tag from find-result-nth
	correctly.
	(semantic-collector-abstract): Change datatype of
	last-all-completions to allow nil.
	(semantic-collector-calculate-completions-raw): Break it up so
	it is easier to debug.
	(semantic-collector-calculate-completions): Only calculate
	last-completion slot if there is a value for `completion'.

2004-07-15  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-file.el (semanticdb-persistent-path): doc fix.

	* semantic-ctxt.el (semantic-get-local-variables-default):
	Do nothing if there is no
	parser table.

	* semantic-html.el (html-helper-mode):
	Make this a child mode of html-mode.

	* semantic.el (semantic-parse-region-default):
	Do nothing if the parse table has a
	bad value.

	* bovine/semantic-c.el: (semantic-tag-expand-function)
	(semantic-dependency-include-path)
	(semantic-orphaned-member-metaparent-type)
	(semantic-symbol->name-assoc-list)
	(semantic-symbol->name-assoc-list-for-type-parts)
	(imenu-create-index-function)
	(semantic-type-relation-separator-character)
	(semantic-command-separation-character)
	(document-comment-start)
	(document-comment-line-prefix)
	(document-comment-end)
	(senator-step-at-tag-classes): New mode local variables
	(semantic-default-c-setup): Removed above from hook.

	* bovine/semantic-c.el:
	(semantic-format-tag-name, semantic-tag-protection)
	(semantic-tag-components, semantic-format-tag-type)
	(semantic-format-tag-concise-prototype)
	(semantic-format-tag-uml-prototype, semantic-tag-abstract-p)
	(semantic-analyze-dereference-metatype)
	(semantic-analyze-type-constants): Converted from semantic-c-* to
	methods created with `define-mode-local-override'.
	(semantic-default-c-setup): Remove old setup code
	(c++-mode): Declair as a mode-local child of c-mode.

2004-07-13  Eric M. Ludlam  <zappo@gnu.org>

	* INSTALL: Fix numbering issue.

2004-06-29  David Ponce  <david@dponce.com>

	* semantic-edit.el (working): Require.
	(semantic-parse-changes-failed): Use `working-temp-message'.
	(semantic-edits-incremental-fail)
	(semantic-edits-incremental-parser)
	(semantic-edits-incremental-parser-1): Likewise.

	* bovine/semantic-c.el (semantic-c-end-of-macro): New function.
	(semantic-lex-c-if): Use it.

	* semantic-decorate-mode.el (semantic-decoration-mode):
	Add autoload cookie.

2004-06-28  David Ponce  <david@dponce.com>

	* semantic-decorate-mode.el (semantic-decoration-styles):
	Remove duplicate definition.

2004-06-28  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-idle.el: (global-semantic-idle-scheduler-mode)
	(define-semantic-idle-service): Added to semantic-modes group.

	* semantic-decorate-mode.el (semantic-decoration-styles): Moved
	(global-semantic-decoration-mode): Add to semantic-modes group.
	(define-semantic-decoration-style): Do not eval-and-compile in the macro.

	* semantic-util-modes.el (semantic-modes): New customization group
	(global-semantic-highlight-edits-mode)
	(global-semantic-show-unmatched-syntax-mode)
	(global-semantic-stickyfunc-mode): Add to new customization group.

2004-06-28  David Ponce  <david@dponce.com>

	* wisent/wisent-python.el (semantic-get-local-variables): New override.

	* semantic-decorate-mode.el (semantic-decoration-styles):
	Move before first use and make
	available at compilation time.

2004-06-24  David Ponce  <david@dponce.com>

	* bovine/Makefile, doc/Makefile, Makefile, tests/Makefile, wisent/Makefile:
	Re-generated.

	* semantic.el (semantic-new-buffer-fcn):
	Don't setup semantic again if buffer is
	already semantic-enabled.

2004-06-24  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-load.el: (semantic-load-enable-minimum-features)
	(semantic-load-enable-code-helpers)
	(semantic-load-enable-excessive-code-helpers)
	(semantic-load-enable-semantic-debugging-helpers): New functions
	toplevel: Remove old enabling code, replace with call
	to new functions.

	* Makefile (tools_LISP): Includese semantic-decorate-mode.el

	* Project.ede: ("tools") Added semantic-decoration-mode.el

	* semantic-format.el (semantic-format-tag-custom-list):
	Add autoload cookie.

	* bovine/semantic-el.el (semantic-format-tag-abbreviate):
	Remove trailing space from name.
	(semantic-format-tag-prototype): If there are no arguments, remove
	trailing space from name.

	* semantic-complete.el (semantic-complete-inline-analyzer):
	Enable inline completion if there
	is only one match, and that match is not the same as the input symbol.

2004-06-22  David Ponce  <david@dponce.com>

	* semantic-fw.el (defvar-mode-local, defconst-mode-local):
	Remove setup of
	lisp-indent-function property now in common/mode-local.el.

	* semantic-fw.el (semantic-fw-font-lock-keywords): Add
	`define-semantic-decoration-style'.

2004-06-21  David Ponce  <david@dponce.com>

	* semantic-fw.el (semantic-compile-warn): New function.
	(semantic-alias-obsolete): Use it to issue less intrusive
	messages.
	(semantic-varalias-obsolete): Ditto.

2004-06-19  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-util-modes.el:
	Note: The functionality moved to semantic-decoration-mode:

	(global-semantic-show-tag-boundaries-mode)
	(semantic-show-tag-boundaries-setup)
	(semantic-show-tag-boundaries-mode)
	(semantic-tag-boundary-p-default)
	(semantic-tag-boundary-overlay-p)
	(semantic-stb-flush-rogue-boundaries)
	(semantic-stb-clear-boundaries)
	(semantic-stb-after-full-reparse-hook)
	(semantic-stb-reparse-hook)
	(semantic-stb-highlight-tag-line1)
	(global-semantic-highlight-by-attribute-mode)
	(semantic-highlight-by-attribute-setup)
	(semantic-highlight-by-attribute-mode)
	(semantic-hba-clear-highlighting)
	(semantic-hba-reparse-hook)
	(semantic-hba-highlight-tag): Deleted functions
	(semantic-show-tag-boundaries-mode)
	(semantic-highlight-by-attribute-mode): Deleted variables
	(global-semantic-show-tag-boundaries-mode)
	(semantic-show-tag-boundaries-hook)
	(global-semantic-highlight-by-attribute-mode)
	(semantic-highlight-by-attribute-hook)
	(semantic-highlight-attribute-alist): Deleted custom vars.

	* senator.el (senator-register-custom-menu): New function.
	(senator-register-mode-menu-entry): Add `custom' argument.
	Add customization menu entries to the dynamic list.
	(senator-build-mode-sub-menu): Support Customization menu entries.
	("Senator"): Add customize group entry.
	("Highlight changes", "Highlight Unmatched Syntax"):  Add customize face entry
	("Idle Scheduler"): Add entry to customize two variables.
	("Tag Decoration"): New entry.
	("Show Tag Boundaries", "Highlight Tags by attribute"): Deleted.

	* doc/lang-support-guide.texi (Parsing a language file):
	Add space between paragraphs

	* semantic-decorate-mode.el (semantic-decorate-add-decorations):
	Support invalid entries in the
	styles list.
	(semantic-decoration-styles): Enable customization.

2004-06-19  David Ponce  <david@dponce.com>

	* doc/lang-support-guide.texi (Parsing a language file): Doc for
	`semantic-fetch-available-tags'.

2004-06-18  David Ponce  <david@dponce.com>

	* semantic-decorate-mode.el (semantic-decoration-mode-setup): Use
	`semantic-fetch-available-tags' to postpone parse till after the
	buffer is displayed.

	* semantic.el (semantic-fetch-available-tags): New function.

2004-06-17  David Ponce  <david@dponce.com>

	* semantic-decorate-mode.el (semantic-decorate, cl): Require.
	(semantic-decorate-style-predicate)
	(semantic-decorate-style-highlighter)
	(semantic-decoration-p)
	(semantic-decoration-set-property)
	(semantic-decoration-get-property)
	(semantic-decoration-set-face)
	(semantic-decoration-face)
	(semantic-decoration-set-priority)
	(semantic-decoration-priority)
	(semantic-decoration-move)
	(semantic-decorate-tag)
	(semantic-decorate-clear-tag)
	(semantic-decorate-tag-decoration)
	(semantic-decorate-flush-decorations)
	(semantic-decorate-clear-decorations)
	(semantic-decorate-add-decorations)
	(semantic-decorate-tags-after-full-reparse)
	(semantic-decorate-tags-after-partial-reparse): New functions.
	(semantic-decoration-styles): New variable.
	(global-semantic-decoration-mode): Doc fix.
	(semantic-decoration-mode-hook): Rename from
	`semantic-decoration-hook'.  Callers updated.
	(semantic-decoration-mode-setup): Rename from
	`semantic-decoration-setup'.  Callers updated.  Use new functions.
	(semantic-decoration-mode): Doc fix.
	(semantic-decorate-tag-secondary-overlay-p)
	(semantic-dso-flush-rogue-overlays)
	(semantic-dso-clear)
	(semantic-dso-after-full-reparse-hook)
	(semantic-decorate-reparse-hook)
	(semantic-decoration-primary-alist)
	(semantic-decoration-secondary-alist)
	(define-semantic-decoration-on-primary-overlay)
	(define-semantic-decoration-on-secondary-overlay): Remove.
	(semantic-toggle-decoration-style): New command.
	(define-semantic-decoration-style): New macro.
	(semantic-tag-boundary-face): Doc fix.
	(semantic-tag-boundary-p-default): Doc fix and minor code change.
	(semantic-tag-boundary-highlight-default): Update doc and code.
	(semantic-decoration-on-private-members)
	(semantic-decoration-on-private-members-face)
	(semantic-decoration-on-private-members-p-default)
	(semantic-decoration-on-private-members-highlight-default) Rename
	from `semantic-decoration-private-*'.  Update doc and code.
	(semantic-decoration-on-protected-members)
	(semantic-decoration-on-protected-members-face)
	(semantic-decoration-on-protected-members-p-default)
	(semantic-decoration-on-protected-members-highlight-default):
	Rename from `semantic-decoration-protected-*'.  Update doc and
	code.

2004-06-15  David Ponce  <david@dponce.com>

	* wisent/wisent-java.wy (formal_parameter): Fix :typemodifiers value.
	(local_variable_declaration): Likewise.

2004-06-14  David Ponce  <david@dponce.com>

	* semantic-decorate-mode.el (global-semantic-decoration-mode):
	Fix :require.

2004-06-13  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-decorate-mode.el:
	Define a major mode for managing tag decorations.
	Define a way for creating decoration styles on the primary overlay.
	Define a way for creating decoration styles using a secondary overlay.
	Define replacements for defaults in semantic-higlight-by-attribute-mode
	and a replacement for semantic-show-tag-boundaries-mode.

2004-06-12  David Ponce  <david@dponce.com>

	* semantic-edit.el (semantic-edits-incremental-parser):
	Schedule a full re-parse
	on error, when `debug-on-error' is not set.

2004-06-11  David Ponce  <david@dponce.com>

	* senator.el (senator-minor-mode-setup):
	Remove unnecessary `condition-case'.

2004-06-10  Eric M. Ludlam  <zappo@gnu.org>

	* senator.el (senator-minor-mode-setup):
	Do not parse buffer when enabling senator.

	* semantic-util-modes.el (semantic-show-unmatched-syntax-mode-setup):
	When enabling the mode,
	if the syntax is out of date, do not immediatly display.
	(semantic-show-tag-boundaries-mode): Doc fix
	(semantic-highlight-by-attribute-mode): Doc fix

	* semantic-util-modes.el: Remove History: comment block.

	* semantic-idle.el (semantic-idle-scheduler-function):
	Wrap body in `save-match-data'

2004-06-09  David Ponce  <david@dponce.com>

	* semantic-edit.el (semantic-edits-change-between-tokens):
	Fix error on change after
	the last tag.
	(semantic-parse-changes-failed): Use `throw' instead of `signal'.
	(semantic-parse-changes-failed): Remove error condition.
	(semantic-edits-incremental-parser-1): Rename from
	`semantic-edits-incremental-parser'.  Remove `condition-case'.
	(semantic-edits-incremental-parser): Call it safely.

	* semantic-edit.el (semantic-parse-changes-failed):
	New error condition.
	(semantic-parse-changes-failed): New function.
	(semantic-edits-incremental-parser): Use it.

2004-06-08  David Ponce  <david@dponce.com>

	* semantic-grammar.el (semantic-grammar-create-package):
	Use Unix EOLs, so that the
	generated file is portable to all platforms.

2004-06-06  David Ponce  <david@dponce.com>

	* semantic-idle.el (semantic-idle-summary):
	Move (require 'eldoc), which always
	returns non-nil, outside of the `or' condition.

2004-05-26  David Ponce  <david@dponce.com>

	* wisent/wisent-python.wy (suite): Fix last change.

2004-05-25  David Ponce  <david@dponce.com>

	* bovine/Makefile, tests/Makefile, wisent/Makefile, Makefile:
	Re-generated to start Emacs with --no-site-file.

	* semantic-ede-grammar.el (semantic-ede-grammar-compiler-wisent):
	Start Emacs with
	--no-site-file option instead of -q.
	(semantic-ede-grammar-compiler-bovine): Likewise.

2004-05-22  Eric M. Ludlam  <zappo@gnu.org>

	* wisent/wisent-python.wy (suite):
	Do not reverse the list of items from the indented block.

	* semantic-idle.el (define-semantic-idle-service): Comment fixes.
	(semantic-idle-summary): Add require for eldoc in this function.

	* semantic-util-modes.el: (semantic-highlight-attribute-face-private)
	(semantic-highlight-attibute-face-protected): Convert light background
	from an overline to a background color.

2004-05-12  David Ponce  <david@dponce.com>

	* semantic.el: (semantic-symbol->name-assoc-list-for-type-parts)
	(semantic-expand-nonterminal, semantic--buffer-cache)
	(semantic-edits-are-safe, semantic--before-fetch-tags-hook)
	(semantic-after-toplevel-bovinate-hook)
	(semantic-after-toplevel-cache-change-hook)
	(semantic-init-db-hooks, semantic-parse-stream)
	(semantic-parse-region, semantic-parse-region-default)
	(semantic-clear-toplevel-cache, semantic-working-type)
	(semantic-bovinate-from-nonterminal): Doc fix.
	(bovinate): Fix message.

2004-05-08  David Ponce  <david@dponce.com>

	* semantic.el (semantic-inhibit-functions): New variable.
	(semantic-new-buffer-fcn): Use it.

2004-04-29  David Ponce  <david@dponce.com>

	* semantic-tag-ls.el (semantic-tag-abstract-p):
	Declare with `define-overload'.
	(semantic-tag-leaf-p): Likewise.
	(semantic-nonterminal-abstract): Make obsolete overload.  Fix alias.
	(semantic-nonterminal-leaf): Likewise.
	(semantic-tag-abstract-p-default)
	(semantic-tag-leaf-p-default)
	(semantic-tag-static-p-default): Doc fix.
	(semantic-nonterminal-abstract-default)
	(semantic-nonterminal-leaf)
	(semantic-nonterminal-leaf-default)
	(semantic-nonterminal-static-default): Fix alias.

	* semantic-tag-file.el (semantic-prototype-file):
	Declare with `define-overload'.

	* semantic-fw.el:
	(semantic-fetch-overload, define-mode-overload-implementation)
	(semantic-with-mode-bindings, define-semantic-child-mode): Mark
	obsolete.
	(semantic-fw-font-lock-keywords): Don't highlight them.

	* semantic-analyze.el (semantic-analyze-dereference-metatype):
	Declare with
	`define-overload'.
	(semantic-analyze-type-constants): Likewise.

	* semantic-grammar.el: Rename `define-mode-overload-implementation' to
	`define-mode-local-override', and `semantic-with-mode-bindings' to
	`with-mode-local'.

	* bovine/semantic-el.el:
	Rename `define-mode-overload-implementation' to
	`define-mode-local-override', and `define-semantic-child-mode' to
	`define-child-mode'.

	* bovine/semantic-java.el, bovine/semantic-make.el, bovine/semantic-scm.el, wisent/wisent-java-tags.el, wisent/wisent-java.el, wisent/wisent-python.el, semantic-html.el, semantic-texi.el, semanticdb-el.el:
	Rename `define-mode-overload-implementation' to
	`define-mode-local-override'.

2004-04-28  David Ponce  <david@dponce.com>

	* bovine/semantic-el.el (semantic-emacs-lisp-overridable-doc): Use
	`overload-docstring-extension'.
	(semantic-documentation-for-tag): Simplify.
	(semantic-insert-foreign-token): Rename to...
	(semantic-insert-foreign-tag): The right name.

	* senator.el (senator-insert-foreign-tag-default): Rename to...
	(semantic-insert-foreign-tag-default): Doc fix.
	(senator-insert-foreign-tag): Rename to...
	(semantic-insert-foreign-tag): Declare with
	`define-overload'.  Doc fix.  Update references.
	(semantic-insert-foreign-token): Declare obsolete overload.

	* semantic-texi.el (semantic-texi-expand-tag):
	Use `semantic-tag-components'.
	(semantic-sb-tag-children-to-expand): Likewise.
	(semantic-texi-components): Replace by...
	(semantic-tag-components): New mode local overload.
	(semantic-texi-insert-foreign-tag): Declare as mode local
	overload.
	(semantic-default-texi-setup): Don't install overrides here.

	* semantic-tag-ls.el (semantic-tag-protection):
	Declare with `define-overload'.
	(semantic-tag-full-name): Likewise.
	(semantic-nonterminal-protection): Declare obsolete overload.
	(semantic-nonterminal-full-name): Likewise.

	* semantic-tag-file.el (semantic-go-to-tag):
	Declare with `define-overload'.
	(semantic-dependency-tag-file): Likewise.
	(semantic-find-nonterminal): Declare obsolete overload.
	(semantic-find-dependency): Likewise.

	* semantic-idle.el (semantic-eldoc-current-symbol-info): Use
	`make-obsolete-overload'.

	* semantic-ia-sb.el (semantic-ia-sb-complete): Fix comment.

	* semantic-fw.el (mode-local): Require.
	(semantic-overload-symbol-from-function): Move.
	(semantic-alias-obsolete): Detect and make obsolete overload too.
	(semantic-make-obsolete-overload)
	(semantic-obsolete-overload): Remove.
	(semantic-map-buffers): Use `mode-local-map-file-buffers'.
	(semantic-map-mode-buffers): Alias of `mode-local-map-mode-buffers'.
	(semantic-set-parent-mode, semantic-get-parent-mode)
	(semantic-symbol-table, semantic-bindings-active-mode)
	(semantic-new-bindings, semantic-bind, semantic-symbol)
	(semantic-symbol-value, semantic-set-local-variable)
	(semantic-activate-mode-bindings)
	(semantic-deactivate-mode-bindings): Remove.
	(semantic-fetch-overload): Alias of `fetch-overload'.
	(define-mode-overload-implementation): Alias of
	`define-mode-local-override'.
	(semantic-with-mode-bindings): Alias of `with-mode-local'.
	(define-semantic-child-mode): Alias of `define-child-mode'.
	(defvar-mode-local, defconst-mode-local)
	(define-overload): Now in mode-local.
	(semantic-install-function-overrides): Use `mode-local-bind'.
	(semantic--override, semantic--expand-overrides)
	(semantic--overload-body, semantic-function-overload-p)
	(semantic-overload-docstring-extension)
	(semantic-augment-function-help, describe-function)
	(semantic-print-binding, semantic-print-bindings)
	(semantic-describe-bindings-2, semantic-describe-bindings-1)
	(semantic-describe-buffer-bindings)
	(semantic-describe-mode-bindings): Remove.
	(semantic-fw-font-lock-keywords, edebug-setup-hook): Update.

	* semantic.el (semantic-new-buffer-fcn): Remove call to
	`semantic-activate-mode-bindings'.
	(mode-local-init-hook): Add above to it.
	(semantic-changed-mode-buffers)
	(semantic-post-change-major-mode-function)
	(semantic-change-major-mode-hook-function): Remove.

	* semantic-doc.el (semantic-documentation-for-tag):
	Declare with `define-overload'.
	(semantic-find-documentation): Declare obsolete overload.

	* semanticdb-el.el (semanticdb-equivalent-mode):
	Use `mode-local-active-mode'.

	* semantic-ctxt.el (semantic-up-context):
	Declare with `define-overload'.
	(semantic-get-local-variables): Likewise.
	(semantic-get-local-variables-default): Remove unnecessary
	optional argument.  Doc fix.
	(semantic-get-local-arguments): Declare with `define-overload'.
	Save excursion.  Improve error message.
	(semantic-get-local-arguments-default): Remove unnecessary
	optional argument.  Doc fix.

	* semantic-analyze.el (semantic-analyze-current-context): Declare with
	`define-overload'.
	(semantic-analyze-possible-completions): Likewise.

2004-04-23  David Ponce  <david@dponce.com>

	* semantic-fw.el (semantic-current-bindings): Remove.
	(semantic-new-bindings): Just return an empty symbol table.
	(semantic-bind): Updated.
	(semantic-symbol): Lookup for symbol into buffer local and/or
	hierarchy of modes bindings.
	(semantic-set-local-variable): Move definition.
	(define-mode-overload-implementation): Use
	`semantic-overload-symbol-from-function'.  Doc fix.
	(semantic-with-mode-bindings): Doc fix.
	(semantic-print-bindings, semantic-print-binding)
	(semantic-describe-bindings-1, semantic-describe-bindings-2)
	(semantic-describe-buffer-bindings): New functions.
	(semantic-describe-mode-bindings): New commands.

2004-04-20  David Ponce  <david@dponce.com>

	* semantic-idle.el (semantic-idle-summary-current-symbol-info):
	New overload.
	(eldoc-current-symbol-info): Obsoleted by above overload.
	(semantic-idle-summary): Use above new overload.

	* semantic-fw.el: (semantic-make-obsolete-overload)
	(semantic-obsolete-overload): New function.
	(semantic-fetch-overload): Handle obsoleted overloads.
	(semantic--override, semantic--expand-overrides)
	(semantic--overload-body): New functions.
	(define-overload): Use them.
	(semantic-fw-font-lock-keywords): Add
	`semantic-make-obsolete-overload'.

2004-04-13  David Ponce  <david@dponce.com>

	* doc/lang-support-guide.texi, doc/semantic.texi, doc/user-guide.texi, doc/wisent.texi, doc/bovine.texi, doc/grammar-fw.texi, doc/app-dev-guide.texi:
	Add a table of contents.

2004-04-11  Eric M. Ludlam  <zappo@gnu.org>

	* Makefile (dist): Add autoloads

	* semanticdb-system.el (semanticdb-load-system-database):
	Fix variable name typo.

	* wisent/wisent.el (wisent-production-bounds): New function.

2004-04-06  Eric M. Ludlam  <zappo@gnu.org>

	* wisent/wisent-comp.el (wisent-check-$N):
	Return non-nil for valid $regionN symbols.
	Improve warning message.
	(wisent-semantic-action): Only bind referenced $regionN symbols.
	Compute $region directly from stack.  Avoid to generate
	unnecessary code.

	* semantic-lex.el (semantic-lex-push-token):
	Do not evaluate 'token twice.

2004-04-06  David Ponce  <david@dponce.com>

	* wisent/wisent.el (wisent-production-bounds): New function.

	* wisent/wisent-comp.el (wisent-check-$N):
	Return non-nil for valid $regionN symbols.
	Improve warning message.
	(wisent-semantic-action): Only bind referenced $regionN symbols.
	Compute $region directly from stack.  Avoid to generate
	unnecessary code.

	* semantic-lex.el (semantic-lex-push-token): Don't eval TOKEN twice.

2004-04-06  Eric M. Ludlam  <zappo@gnu.org>

	* doc/Makefile (clean): Clean all info files.

	* Makefile (dist): Distribute the autoload file

2004-04-05  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/semantic-c.el (semantic-default-c-setup):
	Add modified syntax entries for < > which
	are list constituents in newer versions of C++ mode.

	* bovine/semantic-c.el (semantic-default-c-setup):
	New versions of c++-mode declare < and >
	to make a list.  Disable it.

2004-04-01  Eric M. Ludlam  <zappo@gnu.org>

	* semantic.el (semantic-bovinate-toplevel):
	New function for backward compat.

	* bovine/semantic-make.el (semantic-make-expand-tag):
	Expand functions and includes the same way.

2004-03-31  David Ponce  <david@dponce.com>

	* bovine/semantic-make.el (semantic-make-expand-tag):
	Fix according to latest grammar
	change.

2004-03-30  Eric M. Ludlam  <zappo@gnu.org>

	* doc/Makefile (Documentation_TEXINFOS): Remove duplicate semantic.texi
	(all): New names for some info names.
	(semantic-user.info, semantic-appdev.info, semantic-langdev.info):
	New names.
	(clean): Update info garbage pattern.
	(dist): New names for some info names.

	* doc/Project.ede (Documentation): Remove second copy of semantic.texi

	* doc/Makefile (Documentation_TEXINFOS):
	Remove second copy of semantic.texi

	* doc/Project.ede (Documentation): Remove second copy of semantic.texi

	* wisent/wisent.el, wisent/wisent-comp.el (wisent-verbose-flag):
	add autoload cookie

	* doc/Makefile (images_MISC): New var
	(all): Add images
	(dist): Include images.

	* doc/Project.ede ("images"): new target.

2004-03-30  David Ponce  <david@dponce.com>

	* wisent/wisent.el (wisent-parse-verbose-flag): Add autoload cookie.

	* wisent/wisent-comp.el (wisent-verbose-flag): Add autoload cookie.

	* doc/Makefile: Rebuild.

	* doc/Project.ede ("images"): New target.

2004-03-28  David Ponce  <david@dponce.com>

	* semantic-grammar.el (semantic-grammar-mode):
	Merge `set' and `make-local-variable'.
	Make `semantic-format-face-alist' local to buffer.

	* wisent/Makefile: Rebuild.

	* wisent/Project.ede (taggers): Rename target to "wy".

	* wisent/wisent.el ($region, $nterm, $action): Initialize to nil to fix
	byte-compiler warnings in dependent libraries.

	* semantic-util.el (semantic-file-tag-table):
	Remove CHECKCACHE argument.
	(semantic-something-to-tag-table): Fix call to above.

	* semantic-html.el (semantic-html-recursive-combobulate-list): Use
	`assoc-ignore-case'.  `assoc-string' is a new function in GNU
	Emacs CVS.

2004-03-28  Eric M. Ludlam  <zappo@gnu.org>

	* Makefile (misc_AUX): Add renamelist.txt

	* Project.ede ("semantic"): Add renamelist.txt.

	* doc/tags.texi (Semantic Tags):
	Replace "bovine" type named fns with new names.

	* doc/lang-support-guide.texi:
	(Language Support Overview, Semantic Parser Structure)
	(Writing Lexers, Writing Parsers, Parsing a language file):
	(Semantic 1.4 Doc): Replace "bovine" type named fns with new names.

	* bovine/semantic-make.el (require):
	Add semantic-format and semantic-analyze

	* bovine/semantic-c.el (require): Add semantic-tag-ls.

	* semantic.el (semantic-fetch-tags): Doc fix.

	* semantic-ede-grammar.el (semantic-ede-grammar-compiler-class):
	Doc fix.

	* semantic-ctxt.el (semantic-get-local-variables): Doc fix

	* semantic-complete.el (semantic-displayor-show-request): Note to self.

	* renamelist.txt: List of all functions that have been renamed.

	* doc/app-dev-guide.texi (Override Methods):
	Removed Local Context from override methods list.
	(Lexical Safety): Fix ref to semantic-fetch-tags.
	(Blocks): Updated all deffn with automatic command.
	(Local Variables): same
	(Derived Context): same
	(Analysis Overview): Teaked the diagram.

2004-03-26  David Ponce  <david@dponce.com>

	* wisent/wisent-java.wy:
	Major revision of the grammar to support Java 1.5 specifications.

	* wisent/wisent-java.el: Code reordered.
	(wisent-java-expand-tag)
	(semantic-get-local-variables-java-mode): Update for new grammar.
	(wisent-java-init-parser-context): New function.
	(wisent-java-default-setup): Use it.  Doc fix.
	(wisent-java-parse-error): Remove.

2004-03-25  David Ponce  <david@dponce.com>

	* wisent/wisent-java.wy (constructor_declaration): Fix typo.

	* wisent/wisent-java-tags.wy, wisent/wisent-java.wy (constructor_declaration):
	Add :contructor-flag.

	* semantic-tag.el (semantic-tag-function-constructor-p): New function.

	* doc/wisent.texi (Grammar format): Fix doc and style.  Update example.
	(Compiling a grammar): Fix doc and style.
	(Grammar Debugging): Ditto.  Add doc for
	`wisent-toggle-verbose-flag'.
	(Understanding the automaton): Fix style.
	(Wisent Parsing): Fix style and doc.  Add variable indexes.
	(Writing a lexer): Add variable index.
	(Actions goodies): Fix doc.
	(Report errors): Add doc for `wisent-message',
	`wisent-token-to-string', `wisent-parse-verbose-flag' and
	`wisent-parse-toggle-verbose-flag'.
	(Error recovery): Fix doc and style.
	(Debugging actions): Ditto.
	(Wisent Lex): Ditto.

2004-03-24  David Ponce  <david@dponce.com>

	* wisent/semantic-wisent.el (wisent-error-function): Default to nil.

	* wisent/wisent.el (wisent-char-p): Move here from wisent-comp.el.
	(wisent-escape-sequence-strings): New constant.
	(wisent-region)
	(wisent-pre-parse-hook, wisent-post-parse-hook)
	(wisent-loop): Move declaration.
	(wisent-parse-verbose-flag): New variable.
	(wisent-item-to-string, wisent-token-to-string)
	(wisent-parse-toggle-verbose-flag)
	(wisent-message): New function.
	(wisent-parse-max-stack-size)
	(wisent-parse-max-recover)
	(wisent-parse-lexer-function)
	(wisent-parse-error-function)
	(wisent-input, wisent-recovering)
	(wisent-errok, wisent-clearin, wisent-abort)
	(wisent-parse-action): Doc fix.
	($region, $nterm): Remove default value and doc string.
	($action): New.
	(wisent-skip-token): No more inlined. Doc fix. Inform about
	skipped token.
	(wisent-skip-block): Doc fix.  Return nil.  Inform about skipped
	tokens.
	(wisent-parse): Use `wisent-message' as default error reporting
	function.  Report expected tokens on syntax error.  Inform about
	skipped tokens.  Simplify (and fix?) error recovery code.

	* wisent/wisent-comp.el (wisent-char-p): Move to from wisent.el.
	(wisent-context-name, wisent-reduce-grammar)
	(wisent-add-lookback-edge,  wisent-push-token)
	(wisent-push-var, wisent-parse-nonterminals)
	(wisent-parse-grammar): Fix error messages.
	(wisent-struct, wisent-debug-flag, wisent-new-log-flag)
	(wisent-verbose-flag, wisent-single-start-flag)
	(wisent-append-to-log-file, wisent-TC)
	(wisent-initialize-closure): Doc fix.
	(wisent-escape-sequence-tags): Remove.
	(wisent-tag): Use `wisent-item-to-string' from wisent.el.
	(wisent-map-goto): Fix doc and error message.
	(wisent-defcontext 'semantic-actions): Add NAME.
	(wisent-token-actions): Rename to...
	(wisent-state-actions): Fix working message.  Callers updated.
	(wisent-goto-actions): Fix working message.
	(wisent-check-$N): Include action name in message.
	(wisent-semantic-action-expand-body): Doc fix.  Rename $N-LIST
	argument to FOUND.
	(wisent-semantic-action): Share action name with called functions.

	* wisent/wisent-calc.wy (line): Add error recovery rule.

	* wisent/wisent-calc.el (wisent-calc):
	Use default syntax error reporting function.

2004-03-21  David Ponce  <david@dponce.com>

	* wisent/wisent-bovine.el: Renamed to semantic-wisent.el.

	* wisent/Makefile: Re-generated.

	* wisent/Project.ede (wisent):
	Include semantic-wisent instead of wisent-bovine.
	Add speedbar to aux packages to ensure that the cedet version of
	speedbar will be in the load-path.

	* wisent/wisent-java-tags.el, wisent/wisent-python.el, semantic-grammar.el, wisent/wisent-c.el, wisent/wisent-calc.el, wisent/wisent-java.el (semantic-wisent):
	Require instead of wisent-bovine.

	* wisent/semantic-wisent.el: Renamed from wisent-bovine.el.

	* semantic-util-modes.el, semantic-util.el: Commentary fix.

	* semantic-sb.el (semantic-sb-fetch-tag-table): Doc fix.

	* semantic-imenu.el: (semantic-create-imenu-index)
	(semantic-create-imenu-index-1): Doc fix.

	* semantic.el (semantic-fetch-tags): Doc fix.
	(semantic-bovinate-toplevel): Define as alias of the above.
	(semantic-repeat-parse-whole-stream): Doc fix.  Use tag instead
	of token.

2004-03-20  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/semantic-scm.el (semantic-format): Add compile time require

	* bovine/erlang-edoc.el (erlang-edoc--tag-name): Moved and renamed.
	(erlang-edoc-inline)
	(erlang-edoc-insert-comment-new)
	(erlang-edoc-insert-comment)
	(erlang-edoc--function-template)
	(erlang-edoc--record-template)
	(erlang-edoc--strip-arity)
	(erlang-edoc--type-specs)
	(erlang-edoc--nonterm-comment)
	(erlang-edoc): Use new names, such as `semantic-tag-name'.

2004-03-20  David Ponce  <david@dponce.com>

	* semantic-grammar-wy.el: Re-generated.

	* semantic.el (semantic-bovination-working-type): Fix typo in alias.

2004-03-20  Eric M. Ludlam  <zappo@gnu.org>

	* wisent/wisent-grammar.el: (wisent-grammar-setupcode-builder):
	Use new names.  See semantic.el V 1.177.

	* wisent/wisent-calc.el (wisent-calc):
	Use new names.  See semantic.el V 1.177.

	* wisent/wisent-bovine.el: (wisent-parse-stream, wisent-parse-region):
	Use new names.  See semantic.el V 1.177.

	* wisent/Makefile, doc/Makefile (Makefile):
	Updated from new EDE sources.

	* bovine/semantic-el.el (semantic-toplevel-elisp-bovine-table):
	Renamed to
	(semantic--elisp-parse-table): new name.
	(semantic-toplevel-bovine-table): Renamed mode value to
	(semantic--parse-table): New name.

	* bovine/semantic-bovine.el (semantic-bovinate-nonterminal-check-obarray):
	Moved this here.
	(semantic-bovinate-stream): Use new names.  See semantic.el V 1.177.

	* bovine/Makefile (Makefile): Updated from new EDE sources.

	* bovine/erlang-edoc.el: (erlang-edoc-inline):

	* bovine/bovine-grammar.el: (bovine-grammar-setupcode-builder):
	Use new names.  See semantic.el V 1.177.

	* senator.el: (senator-parse, senator-try-expand-semantic):
	Use new names.  See semantic.el V 1.177.

	* semantic-util-modes.el: (semantic-show-unmatched-syntax-mode-setup)
	(semantic-show-tag-boundaries-setup)
	(semantic-highlight-by-attribute-setup):
	Use new names.  See semantic.el V 1.177.

	* semantic-util.el (semantic-describe-token): Renamed to
	(semantic-describe-tag): New name.  Also use new names.
	(semantic-file-tag-table)
	(semantic-something-to-tag-table)
	(semantic-recursive-find-nonterminal-by-name)
	(semantic-read-symbol, semantic-add-label, semantic-show-label)
	(semantic-hack-search, semantic-sanity-check):
	Use new names.  See semantic.el V 1.177.

	* semantic-texi.el (semantic-texi-bovinate-headings): Rename to
	(semantic-texi-parse-headings): New name.
	(semantic-texi-parse-region, semantic-default-texi-setup)
	(semantic-texi-find-documentation)
	(semantic-texi-update-doc-from-texi)
	(semantic-texi-update-doc-from-source)
	(semantic-texi-goto-source): Use new names.  See semantic.el V 1.177.

	* semantic-tag-file.el (semantic-go-to-tag): Update comments.

	* semantic-tag.el: (semantic--tag-unlink-cache-from-buffer)
	(semantic--tag-link-cache-to-buffer):
	Use new names.  See semantic.el V 1.177.

	* semantic-sb.el (semantic-sb-maybe-token-to-button): Doc fix.
	(semantic-insert-bovine-list): Rename to
	(semantic-sb-insert-tag-table): New name.
	(semantic-fetch-dynamic-bovine): Rename to
	(semantic-sb-fetch-tag-table): new name.
	(semantic-sb-insert-details): Use new names above.
	(speedbar-dynamic-tags-function-list): Use new names.  See semantic.el V 1.177.

	* semantic-imenu.el: (semantic-create-imenu-index)
	(which-function): Use new names.  See semantic.el V 1.177.

2004-03-19  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-idle.el: (semantic-idle-scheduler-refresh-tags):
	Use new names.  See semantic.el V 1.177.

	* semantic-html.el: (semantic-default-html-setup):
	Use new names.  See semantic.el V 1.177.

	* semantic-grammar-wy.el: (semantic-grammar-wy--install-parser):
	Use new names.  See semantic.el V 1.177.

	* semantic-grammar.el (semantic-grammar-create-package):
	Use new names.  See semantic.el V 1.177.

	* semantic-format.el: (semantic-test-all-format-tag-functions):
	Use new names.  See semantic.el V 1.177.

	* semantic-find.el: (semantic-brute-find-tag-by-position):
	Use new names.  See semantic.el V 1.177.

	* semantic-example.el (se-jump):
	Use new names.  See semantic.el V 1.177.

	* semantic-debug.el (semantic-debug):
	Use new names.  See semantic.el V 1.177.

	* semanticdb-search.el (semanticdb-refresh-table): Update doc string.

	* semanticdb-file.el (object-write):
	Use new names.  See semantic.el V 1.177.

	* semanticdb.el:
	(semanticdb-refresh-table, semanticdb-semantic-init-hook-fcn)
	(semanticdb-kill-hook): Use new names.  See semantic.el V 1.177.
	(semanticdb-post-bovination): Renamed to
	(semantic-synchronize-table): New name.
	(semanticdb-hooks): Use new name above

	* semantic-ctxt.el: (semantic-get-local-variables)
	(semantic-get-local-variables-default): Use new names.
	See semantic.el V 1.177.

	* Makefile: misc_AUX: Add ONEWS.

	* Project.ede ("misc"): Add ONEWS.

	* document.el (document, document-inline, document-update-comment):
	Use new names.
	See semantic.el V 1.177.

	* semantic-edit.el (semantic-edits-change-function-handle-changes):
	Move call to set that
	the parse tree needs update up one level.
	(semantic-edits-change-between-tokens)
	(semantic-edits-change-over-tokens, semantic-edits-incremental-parser)
	(semantic-edits-splice-remove, semantic-edits-splice-insert):
	Use new names.  See semantic.el V 1.177.

	* semantic.el (semantic-after-toplevel-bovinate-hook):
	Fix obsoletion call.

	* semantic.el (Commentary): Rewrite last paragraph.
	(semantic-toplevel-bovine-table): Renamed to
	(semantic--parse-table): New name
	(semantic-toplevel-bovine-cache): Renamed to
	(semantic--buffer-cache): New name
	(semantic-edits-are-safe): Doc update
	(semantic-bovinate-nonterminal-check-obarray):
	Removed to bovine/semantic-bovine.el
	(semantic-before-toplevel-bovination-hook): Rename to
	(semantic--before-fetch-tags-hook): New name
	(semantic-after-toplevel-bovinate-hook): Made obsolete
	(semantic-bovine-unmatched-syntax-refresh-needed-p): Renamed to
	(semantic--umatched-syntax-needs-refresh-p): New name
	(semantic-new-buffer-fcn): Use new names.
	(semantic-rebovinate-quickly-hook): Renamed to
	(semantic-fetch-tags-fast): New name.
	(eval-defun-hooks): Use new function name above.
	(semantic-edebug): Doc change.
	(bovinate): New doc.  Use new names where apropriate.
	(bovinate-debug): Deleted.
	(semantic-parse-stream): New names in doc.
	(semantic-bovinate-unmatched-syntax): Renamed to
	(semantic-unmatched-syntax-tokens): New name.  Use new names.
	(semantic-clear-toplevel-cache): Use new names.
	(semantic-set-toplevel-bovine-cache): Renamed to
	(semantic--set-buffer-cache): New name.  Use new names.
	(semantic-bovination-working-type): Renamed to
	(semantic-working-type): New name.
	(semantic-bovinate-toplevel): Renamed to
	(semantic-fetch-tags): New name.
	(semantic-repeat-parse-whole-stream): Use new names.

	* semanticdb-find.el:
	(semanticdb-find-translate-path-includes-default):
	Add `semantic-throw-on-input' while looping over include tags.

2004-03-15  David Ponce  <david@dponce.com>

	* wisent/wisent-java.wy:
	Re-introduce rules to fully parse language constructs.
	Add Java 1.4 assert statement.
	First attempt to produce tags for declarations inside blocks.

	* semantic-lex.el (semantic-lex-preset-default-types):
	Fix punctuation regexp.

2004-03-11  David Ponce  <david@dponce.com>

	* doc/tags.texi:
	Info style fixes.  Use lowercase in @var markups.  Fix doc
	strings with renamed tag attributes.

	* doc/wisent.texi (Debugging actions): Fix doc string style.
	(Iterative style, Bison style): Fix examples with renamed tag
	attributes.

	* doc/bovine.texi (Optional Lambda Expression):
	Fix renamed tag attributes.

	* document.el (document-massage-to-texinfo):
	Use lowercase in @var markup.

2004-03-11  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-grammar.el:
	(semantic-ctxt-current-function, semantic-ctxt-current-argument):
	New overload implementations.
	(semantic-analyze-possible-completions): Use
	`semantic-with-mode-bindings' and recurse when in lisp code.

	* semantic-format.el: (semantic-test-all-format-tag-functions):
	Remove doc about semantic-token->text-functions.

	* semantic-example.el (se-show):
	Removed ref to semantic-token->text-functions.

	* semanticdb-el.el (semanticdb-equivalent-mode): Also pay attention to
	`semantic-bindings-active-mode'.
	(semanticdb-find-translate-path): New overload for
	`emacs-lisp-mode'.  Always includes the system database
	since all Emacs programs also include the system database.

	* semantic-analyze.el (semantic-analyze-current-context):
	make input arg optional.
	(semantic-analyze-current-context-default):
	Calculate the assignment tag in `condition-case'.
	(semantic-analyze-possible-completions-default):
	Uniquafy by name instead of by position and name.

	* semantic-sb.el: (semantic-sb-tag-children-to-expand)
	(semantic-sb-tag-children-to-expand-default):
	New override fcn and the default.
	(semantic-sb-one-button): Use above to choose to expand a tag.
	(semantic-sb-insert-details): If there is no built in way
	to show a child details, instead ask it for it's components
	and do something smiple to show them.

	* semantic-texi.el: (semantic-sb-tag-children-to-expand)
	(semantic-ctxt-current-class-list)
	(semantic-format-tag-abbreviate, semantic-format-tag-prototype)
	(semantic-analyze-current-contet)
	(semantic-analyze-possible-completions): New overloads
	(semantic-texi-command-completion-list): New variable.

	* Makefile (Languages_LISP): Added semantic-html.el
	(Makefile): New friendlier message if makefile out of date.

	* Project.ede (Languages): Added semantic-html.el.

	* NEWS (Smart Completion): New section.
	(HTML parser): New section added.
	(Makefile parser): Description of smart completion.

2004-03-10  David Ponce  <david@dponce.com>

	* wisent/wisent-java.wy:
	(goal, class_declaration, interface_declaration)
	(constructor_declaration, method_declaration)
	(formal_parameter, field_declarations_opt, field_declaration)
	(abstract_method_declaration): Rename attributes.

	* wisent/wisent-java-tags.wy:
	(class_declaration, interface_declaration)
	(constructor_declaration, method_declaration)
	(formal_parameter, field_declaration): Rename attributes.

	* wisent/wisent-java.el (wisent-java-expand-tag): Rename attribute.

	* wisent/wisent-c.wy: (declaration, parameter-declaration)
	(function-definition): Rename attribute.

	* wisent/wisent-c.el (wisent-c-expand-tag): Rename attributes.

	* bovine/semantic-el.el: (semantic-elisp-clos-args-to-semantic)
	(semantic-elisp-use-read)
	(semantic-tag-static-p): Rename attributes.
	(semantic-tag-protection): Ditto.  Doc fix.

	* bovine/semantic-c.el:
	(semantic-expand-c-tag, semantic-c-reconstitute-token)
	(semantic-c-reconstitute-template, semantic-c-format-tag-name)
	(semantic-c-format-tag-type, semantic-c-tag-template)
	(semantic-c-tag-template-specifier)
	(semantic-c-analyze-dereference-metatype)
	(semantic-c-tag-abstract-p): Rename attributes.

	* bovine/erlang.by (macro-def-list): Rename attribute.

	* bovine/c.by: (macro-or-include, define, enumsubparts)
	(typesimple, template-type, variablearg)
	(fun-or-proto-end): Rename attributes.

	* semantic-util-modes.el (semantic-tag-boundary-p-default):
	Rename attribute.

	* semantic-texi.el (semantic-texi-update-doc-from-texi):
	Rename attribute.

	* semantic-tag.el: (semantic-tag-modifiers)
	(semantic-tag-function-throws)
	(semantic-tag-function-parent)
	(semantic-tag-function-destructor-p)
	(semantic-tag-variable-constant-p): Rename attribute.

	* semantic-sort.el (semantic-tag-external-member-parent-default):
	Rename attribute.
	(semantic-tag-external-member-p): Doc fix.

	* semantic-format.el (semantic-format-tag-prototype-default):
	Rename attributes.
	(semantic-format-tag-concise-prototype-default): Ditto.

	* semanticdb-el.el (semanticdb-elisp-sym->tag): Rename attribute.

	* semantic-analyze.el (semantic-analyze-tag-prototype-p-default):
	Rename attribute.

	* document.el (document-insert-texinfo): Rename attribute.

2004-03-09  David Ponce  <david@dponce.com>

	* doc/bovine.texi (Optional Lambda Expressions): Fix info style.
	(Bovine Examples): Fix info style and update examples according to
	BY grammar specifications.

	* doc/grammar-fw.texi (start Decl): Fix inforef.

	* senator.el (senator-isearch-search-fun): New function.
	(senator-isearch-mode-hook): Use it when possible.
	(boundp 'isearch-search-fun-function): Don't advice built-in
	search functions.
	(isearch-mode-end-hook): Add `senator-isearch-mode-hook'.

2004-03-08  David Ponce  <david@dponce.com>

	* semantic-fw.el (semantic-activate-mode-bindings):
	Fix parent modes & mode order.

	* semantic-fw.el (semantic-activate-mode-bindings):
	Activate mode local bindings
	from parent modes.
	(semantic-activate-mode-bindings): Deactivate mode local bindings
	from parent modes.

	* semantic-fw.el (semantic-with-mode-bindings): Call
	semantic-[de]activate-mode-bindings with an explicit mode.
	(semantic-activate-mode-bindings): Revert previous change.
	(semantic-deactivate-mode-bindings): Use current major mode as
	default mode.

	* semantic-fw.el (semantic-current-bindings): Fix last change.
	(semantic-symbol): Don't change the local symbol table when
	`semantic-bindings-active-mode' is non-nil.

2004-03-07  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-html.el: HTML support.

2004-03-06  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-sb.el (semantic-sb-one-button):
	Format the string in the context of the
	originating buffer.

	* semantic-analyze.el: (semantic-analyze-current-context)
	(semantic-analyze-possible-completions):
	Only execute with the current modified syntax table.

	* bovine/semantic-make.el (semantic-ctxt-current-class-list):
	Variables can have functions, not
	variable parts.
	(semantic-format-tag-abbreviate)
	(semantic-format-tag-prototype): file -> filename confusion
	(semantic-analyze-possible-completions): Only calc file list if
	filename is a possible class.

	* bovine/semantic-make.el (semantic-default-make-setup):
	Add "Files" to assoc list.
	(semantic-function-argument-separator): New mode variable
	(semantic-ctxt-current-class-list)
	(semantic-format-tag-abbreviate)
	(semantic-format-tag-prototype)
	(semantic-format-tag-concise-prototype)
	(semantic-format-tag-uml-prototype)
	(semantic-analyze-possible-completions): New override methods.

	* bovine/make.by (elements): Splice them together.

	* semantic-grammar.el (semantic-grammar-complete):
	use `semantic-grammar-in-lisp-p'
	(eldoc-current-symbol-info): Renamed
	(semantic-idle-summary-current-symbol-info): to this.
	(semantic-ctxt-current-class-list): New method.
	(semantic-analyze-current-context)
	(semantic-analyze-possible-completions): New methods.

	* doc/tags.texi (Creating Tags):
	Reran defun generation script on some entries.

	* doc/app-dev-guide.texi (Override Methods):
	Add semantic-with-mode-bindings.

	* semantic-ctxt.el (semantic-ctxt-current-class-list-default):
	Make robust when there
	is not tag under point.

	* semantic-fw.el (semantic-bindings-active-mode): New variable
	(semantic-current-bindings): Also pay attention to above var.
	(semantic-activate-mode-bindings): Do not use major-mode.
	(semantic-with-mode-bindings): New macro.

	* semantic-analyze.el (semantic-analyze-tags-of-class-list):
	New function
	(semantic-analyze-possible-completions): Turn input arg to a
	context here.
	(semantic-analyze-possible-completions-default):
	Remove login in above.
	Use new fcn above.

2004-03-05  Eric M. Ludlam  <zappo@gnu.org>

	* doc/app-dev-guide.texi (Tag Details): Updated defuns via script.
	(Local Context): Updated defuns, and added
	`semantic-ctxt-current-class-list'.

	* semantic-texi.el (semantic-texi-update-doc-from-texi):
	Do not accept override-function
	tags to insert as doc.  Always look for the original.

	* semantic-tag.el (semantic-equivalent-tag-p):
	Allow two tags to not have a buffer.

	* semantic-ctxt.el (semantic-ctxt-current-class-list):
	new override method.
	(semantic-ctxt-current-class-list-default): new override implementation.

	* bovine/semantic-el.el (semantic-ctxt-current-function):
	Don't use built-in anymore.
	Find it ourselves.
	(semantic-ctxt-current-class-list): New override.

	* semantic-analyze.el (semantic-analyze-context):
	Added PREFIXCLASS slot.
	(semantic-analyze-current-context-default): Find and store the prefixclass
	(semantic-analyze-type-constraint): Only calculate on TAG input.
	(semantic-analyze-possible-completions): Made into an override method.
	(semantic-analyze-possible-completions-default): Old body of above.
	Added desired-class filter on output.
	(semantic-analyze-princ-sequence): More logical flow.

2004-03-04  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-analyze.el: (semantic-analyze-find-tags-by-prefix)
	(semantic-analyze-find-tag): Do not require that tags are
	only allowed if there is a file.  If a file is there, load it.
	(semantic-analyze-find-tag-sequence): Allow non-variables to be found.
	(semantic-analyze-calculate-bounds): New function
	(semantic-analyze-current-context): Made an override function
	(semantic-analyze-current-context-default): Implementation from
	above.
	(semantic-analyze-princ-sequence): If a non-tag is being displayed,
	mark it so it is obvious.

	* semantic-idle.el (semantic-idle-summary-out-of-context-faces):
	Add string-face.

	* bovine/semantic-el.el (semantic-ctxt-current-assignment):
	Moved and Implemented.
	(semantic-ctxt-current-function): Improved.
	(semantic-format-tag-abbreviate, semantic-format-tag-prototype)
	(semantic-format-tag-concise-prototype)
	(semantic-format-tag-uml-prototype): New implementations.

2004-03-03  David Ponce  <david@dponce.com>

	* doc/overview.texi (Overview): Rewrite.
	(Semantic Components): Fix typos and style.

2004-03-03  Eric M. Ludlam  <zappo@gnu.org>

	* document.el (document-texify-elisp-docstring):
	Support `.' as a char after
	quoted symbols.

2004-03-03  David Ponce  <david@dponce.com>

	* doc/grammar-fw.texi (Overview): Add ref. to sections...
	(BY grammars): Add note and ref. to the bovine manual.
	(WY grammars): Add note and ref. to the wisent manual.

2004-03-03  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-complete.el: (semantic-displayor-window-edges):
	eval-AND-compile this block.

	* semantic-tag-ls.el:
	(semantic-tag-protection, semantic-tag-full-name):
	Add 'semantic-overload' property.
	(semantic-tag-abstract-p, semantic-tag-leaf-p):
	Fix call to default which was renamed.

	* doc/lang-support-guide.texi (Tag Structure):
	Renamed `semantic-expand-nonterminal' reference to
	`semantic-tag-expand-function'.
	(Writing Parsers): Added `Parser Backend Support' section.
	(Parsing a language file): Removed `semantic-bovinate-stream' as it is
	not a 2.0 compatible function.
	(Parser Backend Support): New node and subnodes.
	(Parser Output tools): Fixed formatting of a keymap table.

	* doc/glossary.texi (Glossary): Changed the format.
	Added token table.

	* bovine/semantic-skel.el (semantic-skeleton-expand-tag): Renamed
	(semantic-default-skel-setup): Updated.

2004-03-02  David Ponce  <david@dponce.com>

	* doc/user-guide.texi (Contact information for Senator): Remove.

	Add common ending nodes.

	* doc/semantic.texi (top):
	Remove info ref from menu that produce bad URLs in HTML
	output.  Move them into...
	(Semantic Manuals): New chapter with ref to other manuals.

	* doc/semanticheader.texi: Add common settings in this file.
	(obsolete): Improve readability.

	* doc/lang-support-guide.texi (direntry): Fix typo.
	(Compiling): Rename to...
	(Parsing a language file): Update definitions.
	(Writing Parsers): Add ref. to parser manuals.  Remove from menu.
	(Grammar Programming Environment): Add ref. to grammar framework
	manual.  Remove duplicated things.
	(Parser Output tools): Fix typo.

	Add common ending nodes.

	* doc/grammar-fw.texi (Editing grammars): Add note about
	semantic-grammar-create-package.

	* doc/bovine.texi (top): Update.
	(%start, %languagemode, %token): Remove.
	(Starting Rules): New.
	(Bovine Grammar Rules): Update.
	(How Lexical Tokens Match)
	(Grammar-to-Lisp Details)
	(Order of components in rules): New sections.

	Add common ending nodes.

	* doc/app-dev-guide.texi (top): Fix inforef.

	Add common ending nodes.

2004-03-01  David Ponce  <david@dponce.com>

	* doc/grammar-fw.texi (languagemode Decl): Use mode1 for consistency.
	(Querying grammars): New intro.  Add...
	(Grammar Tags, Querying Declarations): New subsections.

	* doc/grammar-fw.texi (Editing grammars): Better @inforef.
	(Grammar Macros): Typo.
	(Adding a new grammar mode): Add...
	(Specialized Implementation, Querying grammars): New sections.

2004-03-01  Eric M. Ludlam  <zappo@gnu.org>

	* doc/app-dev-guide.texi (Context Analysis):
	Added new menu and three sub chapters.

	* semantic-format.el (semantic-format-tag-type): Autoload cookie.

	* doc/app-dev-guide.texi (Format Tag): Add `semantic-format-tag-type'.

	* doc/tags.texi (Tag Basics):
	Fix name of `semantic-tag-expand-function'.

	* bovine/semantic-el.el (semantic-tag-static): Renamed to
	(semantic-tag-static-p): New name.

	* bovine/semantic-c.el (semantic-c-tag-abstract): Renamed to
	(semantic-c-tag-abstract-p): New name.  Use new name when
	deferring to the default.
	(semantic-default-c-setup): Use new name above.

	* semantic-format.el: (semantic--format-uml-post-colorize)
	(semantic-uml-attribute-string): Use new names for
	`semantic-tag-abstract-p', `semantic-tag-leaf-p',
	`semantic-tag-static-p'.

	* semantic-tag-ls.el (semantic-tag-abstract): Renamed to
	(semantic-tag-abstract-p): New name
	(semantic-tag-abstract-p-default): New name
	(semantic-tag-leaf): Renamed to
	(semantic-tag-leaf-p): New name.
	(semantic-tag-leaf-p-default): New name.
	(semantic-tag-static): Renamed to
	(semantic-tag-static-p): New name
	(semantic-tag-static-p-default): New name

	* doc/app-dev-guide.texi (Tag Details):
	Updated names of some functions.

2004-02-29  Eric M. Ludlam  <zappo@gnu.org>

	* doc/lang-support-guide.texi (Writing Parsers):
	Added menu item pointing to Grammar Framework.

	* INSTALL: Revamped. We are a part of a CEDET install now.

2004-02-27  David Ponce  <david@dponce.com>

	* doc/grammar-fw.texi (use-macros Decl): More things.
	(Editing grammars): Add note about
	semantic-grammar-find-macro-expander and semanticdb.
	(Grammar Macros): More things.
	(Common grammar macros): Add ref.

2004-02-26  David Ponce  <david@dponce.com>

	* semantic-idle.el (semantic-idle-scheduler-max-buffer-size):
	Declare before first
	use.  Fix doc string.
	(define-semantic-idle-service): Use `eval-and-compile' to have
	generated declarations available at compile time.

	* semantic-ia-sb.el (semantic-ia-sb-string-list):
	Use `semantic-ia-sb-tag-info'
	instead of `semantic-ia-sb-token-info'.
	(semantic-ia-sb-completion-list): Ditto.
	(semantic-ia-sb-tag-info): Use `semantic-analyze-tag-type' instead
	of `semantic-analyze-token-type'.

	* semantic-complete.el (semantic-displayor-window-edges):
	New compatibility function.
	(semantic-displayor-point-position): Use it.

	* wisent/wisent-grammar.el (wisent-grammar-menu): New variable.
	(wisent-grammar-mode): Setup the grammar menu.

	* wisent/wisent-comp.el (wisent-toggle-verbose-flag): New command.

	* bovine/bovine-grammar.el (bovine-grammar-menu): New variable.
	(bovine-grammar-mode): Setup the grammar menu.

	* semantic-grammar.el (semantic-grammar-recreate-package): New command.
	(semantic-grammar-menu): New variable.
	(semantic-grammar-setup-menu-emacs)
	(semantic-grammar-setup-menu-xemacs)
	(semantic-grammar-setup-menu): New functions.

2004-02-24  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-cb.el (semantic-cb-speedbar-buttons):
	Do not create a class browser
	if one already exists.  Allow a power click to force a refresh.

2004-02-23  David Ponce  <david@dponce.com>

	* doc/grammar-fw.texi (Grammar Rules): Fix @inforef.

	* semantic-idle.el (semantic-idle-core-handler):
	Only re-parse buffers having the
	same major mode as the current buffer, before eval of scheduled
	services.  Then re-parse other buffers.

	* doc/grammar-fw.texi (Grammar Rules):
	Add %prec, mid-rule actions and $N values.

	* doc/grammar-fw-ov.txt: New diagram.

2004-02-22  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-complete.el: Update credits for tooltip displayor.

	* semantic-format.el (semantic-format-tag-uml-protection): Update doc.

	* bovine/semantic-el.el (semantic-nonterminal-protection): Renamed to
	(semantic-tag-protection): new name
	(semantic-elisp-nonterminal-static): Renamed to
	(semantic-tag-static): new name.

	* semantic-ia-sb.el (semantic-ia-sb-last-analysis): Deleted
	(semantic-speedbar-analysis): Doc Fix
	(semantic-ia-speedbar): Don't use above deleted cache index.

	* semantic-tag-ls.el (semantic-tag-calculate-parent-default):
	After switching buffers,
	add a second `save-excursion' to protect that movement.

	* semantic-analyze.el (semantic-analyze-current-context):
	Do not cache the data if the
	bounds are empty.

2004-02-21  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-idle.el (semantic-idle-scheduler-function):
	Exit if recursively editing.

2004-02-20  David Ponce  <david@dponce.com>

	* semantic-grammar-wy.el: Re-generated.

	* semantic-grammar.wy (prologue):
	Remove `semantic-grammar-wy--tag-value'.
	Define ` semantic-grammar-wy--nterm' and `
	semantic-grammar-wy--rindx'.
	(put_decl): Simplify semantic actions.
	(use_macros_decl): Ditto.
	(put_name_list, use_name_list): Return names instead of tags.
	(put_value_list): Return values instead of tags.
	(put_names): Change tag format.
	(put_values, use_names): Ditto.
	(nonterminal): Initialize nonterminal name and rule index.
	(rule): Rule name based on nonterminal name and rule index.
	Increment rule index.  Signal an error on duplicate %prec.

2004-02-19  David Ponce  <david@dponce.com>

	* semantic-fw.el (semantic-cache-data-to-buffer):
	Use cache-name instead of tag.
	Check for errors before to create the overlay.
	(semantic-cache-data-post-command-hook): Use `oldcache' in the
	loop.
	(semantic-get-cache-data): Use cache-name instead of tag.

2004-02-19  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/semantic-el.el (semantic-get-local-variables): Implemented it.

	* semantic-sort.el (semantic-unique-tag-table):
	Support lists mixed tags with and without
	buffer positions.

	* bovine/semantic-c.el (semantic-c-tag-protection):
	If no protection was specified, and
	the tag has a class, return public only iff that parent is also
	of the 'type class.  This prevents function arguments from
	being given a protection string.

	* bovine/semantic-el.el (semantic-nonterminal-protection):
	Only return 'public for unspecified
	protection if there is a parent class.

	* semantic-analyze.el (semantic-analyze-current-context):
	Use new buffer data cache
	to save the calculated context so a second call in the same small
	area will be faster.

	* semantic-fw.el (semantic-cache-data-overlays): New state variable
	(semantic-cache-data-to-buffer, semantic-cache-data-post-command-hook)
	(semantic-get-cache-data): New functions
	(semantic-test-data-cache): New testing function.

2004-02-18  David Ponce  <david@dponce.com>

	* wisent/wisent-bovine.el (wisent-parse-stream):
	Use `semantic-safe' to help debugging.
	(wisent-parse-region): Likewise.

	* semantic-idle.el (semantic-idle-scheduler-enabled-p):
	Take into account
	`semantic-idle-scheduler-max-buffer-size'.
	(semantic-idle-core-handler): New function.
	(semantic-idle-scheduler-function): Call it through
	`semantic-safe' to help debugging.  Doc fix.
	(semantic-idle-scheduler-refresh-tags): Doc fix.

	* semantic-fw.el (semantic-safe): New macro.
	(semantic-fw-font-lock-keywords): Add
	`define-semantic-idle-service'.

2004-02-17  David Ponce  <david@dponce.com>

	* document.el (document-update-history): Fix doc string.
	(document-update-paramlist): Likewise.

	* doc/wisent.texi: Major update to sync. with semantic version 2.

2004-02-16  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-complete.el (avoid): No longer required.
	(semantic-complete-post-command-hook): Protect against errors.
	(initialize-instance::semantic-displayor-tooltip): Do not require avoid.
	(semantic-displayor-point-position): New fcn
	(semantic-displayor-tooltip-show): Use above.
	Reposition mouse pointer by pixel location.

2004-02-16  David Ponce  <david@dponce.com>

	* doc/grammar-fw.texi: Don't skip line after @deffn.
	(put Decl): Rewrite to look better in HTML output.
	(token Decl): Ditto.  Use match-value instead of token-value.

	* doc/grammar-fw.texi: Fix cross-references.

	* doc/grammar-fw.texi (Grammar outline):
	Remove section.  All sub sections promoted.
	(Common facilities): Ditto.
	(Terminal and Nonterminal Symbols): New section.
	(Declarations): Reference it.
	(Grammar Rules): Complete.
	(Macros): Rename to "Grammar Macros".

2004-02-13  David Ponce  <david@dponce.com>

	* bovine/bovine-grammar.el (bovine-grammar-parsetable-builder):
	start/scopestart generate
	true internal rules.  Use the first grammar rule as default start
	rule.  Check some trivial things about grammar correctness.

2004-02-12  Eric M. Ludlam  <zappo@gnu.org>

	* doc/bovine.texi (Order of MATCH rules): New section

	* tests/Makefile (Tests_AUX): Added scope tests.

	* tests/Project.ede: Project file for the test directory.

	* tests/scopetest.java, tests/scopetest.cpp: Tests for scope analysis.

	* wisent/Makefile (VERSION): Updated.

	* doc/Makefile (semantic-grammar_TEXINFOS): New
	(dist): Add above.

	* doc/Project.ede ("semantic-grammar"): New info file.

	* doc/user-guide.texi (semantic-show-parser-state-mode):
	Updated from code.

	* bovine/Makefile (VERSION): updated.

	* NEWS (Obsoletion Strategy): Add about semantic-varalias-obsolete.
	(semanticdb-find-*-by-name-for-completion): Renamed as apropriate.
	(semantic-idle-*): Updated.

	* semantic.el (semantic-version): updated to beta 2.

	* Makefile (VERSION): Updated.

	* Project.ede (version): Updated.

	* semantic-util-modes.el: (semantic-highlight-edits-mode)
	(semantic-show-unmatched-syntax-mode): Doc string updates.

	* semantic-tag-ls.el (semantic-tag-protected-p): Add autoload cookie.

	* semantic-lex.el (semantic-lex-debug): Doc update.

	* semantic-idle.el: (semantic-idle-summary-current-symbol-info-brutish)
	(semantic-idle-summary-current-symbol-keyword):
	Fixed byte compiler warnings.

	* semantic-fw.el (semantic-test-throw-on-input): Add another test case.

	* semantic-tag.el (cedet-edebug):
	New eval-after-load for edebug support.
	(semantic--tag-expand): Add message in case of debug call.

	* semanticdb-find.el (cedet-edebug):
	New eval-after-load for edebug support.

	* doc/lang-support-guide.texi (Application API Structure):
	Add a menu and menu for:
	(Semantic Analyzer Support): Add comment about what should go in this node.
	(Debugging): Add large menu, move old content to a section.
	(Lexical Debugging, Parser Output tools, Bovine Parser Debugging)
	(Wisent Parser Debugging, Overlay Debugging, Incremental Parser Debugging)
	(Debugging Analysis): New sections.
	(Semantic 1.4 Doc): Location of old Debugging section text.

2004-02-11  David Ponce  <david@dponce.com>

	* doc/grammar-fw.texi: Fix direntry.
	(Overview): Use a graphic image if possible.
	(Adding a new grammar mode): Add function and variable
	definitions.

	* doc/grammar-fw-ov.dia, doc/grammar-fw-ov.png, doc/grammar-fw-ov.txt:
	New file.

2004-02-11  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-sort.el (semantic-string-lessp-ci):
	Accept a value of t from `compare-strings'.
	Thanks Dimitry Gashinsky.

2004-02-10  David Ponce  <david@dponce.com>

	* semantic-idle.el (semantic-idle-summary-out-of-context-faces):
	New variable.
	(semantic-idle-summary-useful-context-p): Use it.

2004-02-10  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-sort.el (semantic-unique-tag-table): Fix doc.

	* doc/app-dev-guide.texi (Tag Sorting): Add semantic-unique-tag-table.

	* semantic-analyze.el (semantic-analyze-tag-prototype-p): New fcn
	(semantic-analyze-find-tag): Skip over prototypes, but return
	one if there is no real version.

	* senator.el (senator-try-expand-semantic): Don't quote 1st arg to
	semantic-lex-catch-errors.

	* semantic-util-modes.el (semantic-show-parser-state-mode): Doc Update
	(semantic-show-parser-state-marker): Show unparseable state.

	* semantic-idle.el (semantic-idle-summary-useful-context-p): New fcn
	(semantic-idle-summary): Don't show summaries if it's boring.
	(semantic-idle-completion-list-default): Don't do completion
	if it's boring context.

2004-02-08  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-analyze.el: Add vocabulary section.

	* semantic-analyze.el (semantic-analyze-tag-type): Comment
	(semantic-analyze-inherited-tags): Recurse across all parents.
	(semantic-analyze-scoped-tags): Allow each element to find
	itself in previously found scopes

	* semantic-idle.el (semantic-idle-scheduler-refresh-tags): Fix use of
	`semantic-lex-catch-errors'.

2004-02-06  David Ponce  <david@dponce.com>

	* semantic-analyze.el (semantic-analyze-find-tags-by-prefix): Use
	`semanticdb-strip-find-results' and
	`semantic-find-tags-for-completion'.
	(semantic-analyze-find-tag): Fix when the TAGCLASS argument is not
	provided.

2004-02-06  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-complete.el (semantic-complete-try-completion):
	Replace old call to `buffer-string'
	with `semantic-completion-text'.

	* semantic-sort.el: (semantic-unique-tag-table-by-name)
	(semantic-unique-tag-table): When sorting, does not modify original
	list by side-effect.

	* semantic-analyze.el (semantic-analyze-find-tag):
	Accept SCOPE tags for additional
	searching.  Make TAGCLASS argument work as documented.
	(semantic-analyze-inherited-tags)
	(semantic-analyze-type-parts): Accept SCOPE tags for additional
	searching.
	(semantic-analyze-scope-nested-tags): Accept SCOPETYPE argument
	for parent data types to search.
	(semantic-analyze-scoped-types): Move code so that a parent can be
	found in the local scope which is also calculated here.
	(semantic-analyze-possible-completions): Pass in the scope from
	the context into top level search.

2004-02-05  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/semantic-c.el (semantic-c-ctxt-scoped-types): New fcn
	(semantic-default-c-setup): Use above.

	* semantic-ctxt.el (semantic-ctxt-scoped-types): Update Doc.

	* semantic-imenu.el (semantic-imenu-sort-bucket-function):
	Add better customization.

	* semantic-sort.el (semantic-sort-tag-type): Change token->tag.
	(semantic-sort-tokens-by-name-increasing): Renamed to
	(semantic-sort-tags-by-name-increasing): new name
	(semantic-sort-tokens-by-name-decreasing): Renamed to
	(semantic-sort-tags-by-name-decreasing): new name
	(semantic-sort-tokens-by-type-increasing): Renamed to
	(semantic-sort-tags-by-type-increasing): new name
	(semantic-sort-tokens-by-type-decreasing): Renamed to
	(semantic-sort-tags-by-type-decreasing): new name
	(semantic-sort-tokens-by-name-increasing-ci): Renamed to
	(semantic-sort-tags-by-name-increasing-ci): new name
	(semantic-sort-tokens-by-name-decreasing-ci): Renamed to
	(semantic-sort-tags-by-name-decreasing-ci): new name
	(semantic-sort-tokens-by-type-increasing-ci): Renamed to
	(semantic-sort-tags-by-type-increasing-ci): new name
	(semantic-sort-tokens-by-type-decreasing-ci): Renamed to
	(semantic-sort-tags-by-type-decreasing-ci): new name
	(semantic-unique-tag-table-by-name): Use new name
	(semantic-unique-tag-table): Sort by position first, then unique.

	* semantic-analyze.el (semantic-analyze-inherited-tags): Fixed typo.

	* semantic-idle.el: (semantic-idle-completion-popup-max-size)
	(semantic-idle-completion-popup-list)
	(semantic-idle-completion-region-map)
	(semantic-idle-completion-TAB)
	(semantic-idle-completion-self-insert)
	(semantic-idle-create-overlay-with-completion-map)
	(semantic-idle-momentary-unoverlay)
	(semantic-idle-momentary-overlay-with-completion-map): Deleted.
	(semantic-idle-completion-list-default):
	Remove old implementation.  Use `semantic-complete-analyze-inline'
	instead, and force the popup display if needed.

	* semantic-complete.el (semantic-completion-inline-active-p):
	New function
	(semantic-complete-post-command-hook): Remove auto-display code
	(semantic-complete-inline-force-display): New fcn from above.
	(semantic-displayor-tooltip::semantic-displayor-show-request):
	Force display to only be unique names.
	(semantic-complete-inline-analyzer): Don't start up iff there is
	nothing useful to display.
	(semantic-complete-analyze-inline): Show message if interactive, and
	the engine didn't start up.

	* semantic-complete.el (semantic-complete-post-command-hook):
	Robust to buffer switch.
	(semantic-displayor-show-request): Changes to messages output
	in the tooltip.

	* semantic-sort.el (semantic-unique-tag-table): New fcn.

	* semantic-analyze.el: (semantic-analyze-possible-completions):
	Make sure all tags in return list are sorted (alphanumerically) and
	unique.

	* doc/app-dev-guide.texi (top): Renamed below
	(Searching Tag Tables): Renamed from "Tag Tables"
	(Breadth Search): New section, old content.
	(Deep Search, Specialty Search, Custom Search): New sections
	(Tag Details)
	(Example Programs): Reference "Searching Tag TAbles" by new name.

	* semantic-complete.el:
	(semantic-displayor-tooltip::semantic-displayor-show-request):
	Also test if tooltip mode is active.

2004-02-04  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-analyze.el (semantic-analyze-inherited-tags): New fcn
	(semantic-analyze-type-parts): Add also inherited tags
	(semantic-analyze-scoped-tags): Moved

	* semantic-find.el (semantic-find-tags-by-scope-protection): New fcn

	* semantic-tag-ls.el (semantic-tag-protected-p): New fcn.

2004-02-03  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-analyze.el (semantic-analyze-scope-nested-tags): New fcn
	(semantic-analyze-scoped-types): Use above, some logic of which came
	from this one.

	* semantic-analyze.el (semantic-analyze-find-tag-sequence): Doc fix
	(semantic-analyze-scoped-types): Fix nesting error in code.

2004-02-02  David Ponce  <david@dponce.com>

	* doc/grammar-fw.texi: Add more things.

	* bovine/semantic-java.el (semantic-ctxt-scoped-types):
	Don't return tags but names.

	* bovine/semantic-java.el (semantic-ctxt-scoped-types):
	New override for `java-mode'.

2004-02-02  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-complete.el (semantic-complete-inline-overlay): Moved here
	(semantic-completion-message): Moved.  Support inline completion.
	(semantic-complete-default-to-tag)
	(semantic-complete-current-match)
	(semantic-complete-do-completion):  Protect completion calculation
	from cursor movement.
	(semantic-complete-inline-map): Changed several keybindings.
	(semantic-complete-inline-quit): New fcn
	(semantic-complete-inline-exit): Make interactive
	(semantic-complete-post-command-hook): Always popup completions.
	(semantic-complete-inline-TAB): non-partial completion.
	(semantic-complete-inline-up): Fix typo
	(semantic-displayor-tooltip): New parent type.  Enable graceful
	degredation of service.  Methods below of this type
	(semantic-displayor-show-request): Call to parent class if tooltips
	are not available.
	(semantic-displayor-scroll-request): New method
	(semantic-complete-inline-analyzer): Use tooltips.  Autoload cookie.
	(semantic-complete-read-tag-buffer-deep)
	(semantic-complete-read-tag-project)
	(semantic-complete-read-tag-analyzer)
	(semantic-complete-anlyze-and-replace): Add autoload cookies.

	* semantic-analyze.el (semantic-analyze-current-context):
	Support "" in bounds.
	(semantic-analyze-possible-completions): Allow variables or methods
	that have a compound data type to be included in completion lists.

	* semantic-find.el (semantic-deep-find-tags-by-name): New function.

	* semantic-tag.el (semantic-tag-type-compound-p): New fcn

2004-02-01  David Ponce  <david@dponce.com>

	* doc/grammar-fw.texi: New grammar framework manual.

2004-01-29  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-complete.el (Commentary:):
	Updated.  Discuss INLINE completion
	(semantic-completion-text, semantic-completion-delete-text):
	New function wrappers.
	(semantic-complete-read-tag-engine): Doc update.
	(semantic-complete-inline-map): New keymap
	(semantic-complete-inline-face): New face
	(semantic-complete-inline-overlay): New variable
	(semantic-complete-inline-text)
	(semantic-complete-inline-delete-text)
	(semantic-complete-inline-exit)
	(semantic-complete-pre-command-hook)
	(semantic-complete-post-command-hook)
	(semantic-complete-inline-tag-engine): New functions
	(semantic-complete-inline-TAB)
	(semantic-complete-inline-up)
	(semantic-complete-inline-down): New commands
	(semantic-complete-current-match)
	(semantic-complete-try-completion)
	(semantic-complete-do-completion)
	(semantic-collector-next-action)
	(semantic-displayor-current-focus)
	(semantic-displayor-focus-request)
	(semantic-complete-inline-analyzer)
	(semantic-complete-analyze-and-replace)
	(semantic-complete-analyze-inline): Use new wrappers for dealing with
	minibuffer text.

	* semantic-analyze.el (semantic-analyze-find-nonterminals-by-prefix):
	Renamed to
	(semantic-analyze-find-tags-by-prefix): New name.
	(semantic-analyze-find-nontermials): Renamed to
	(semantic-analyze-find-tags): new name.
	(semantic-analyze-token-type-to-name): renamed to
	(semantic-analyze-tag-type-to-name): new name
	(semantic-analyze-token-type): renamed to
	(semantic-analyze-tag-type): new name
	(semantic-analyze-find-nonterminal-sequence): renamed to
	(semantic-analyze-find-tag-sequence): new name
	(semantic-analyze-scoped-nonterminals): renamed to
	(semantic-analyze-scoped-tags): new name
	(semantic-analyze-dereference-metatype)
	(semantic-analyze-type-parts)
	(semantic-analyze-scoped-types)
	(semantic-analyze-context)
	(semantic-analyze-context-assignment)
	(semantic-analyze-context-functionarg)
	(semantic-analyze-context-return)
	(semantic-analyze-current-context)
	(semantic-analyze-type-constraint)
	(semantic-analyze-type-constants)
	(semantic-analyze-possible-completions)
	(semantic-analyze-summary-function)
	(semantic-analyze-pric-sequence): Renamed occurances of "token"
	to "tag", and "nonterminal" to "tag".
	Also true for renamed fns above.

2004-01-27  Eric M. Ludlam  <zappo@gnu.org>

	* senator.el ("Idle Summaries", "Idle Completion"): Fix typos.
	(senator-menu-bar): Add narrow-to-tag binding

	* semantic-util-modes.el (semantic-show-unmatched-lex-tokens-fetch):
	New fcn

	* semantic-grammar.el (semantic-grammar-complete): Extend doc.

	* semanticdb-file.el (object-write):
	Keep the unmatched syntax up to date.
	Success is bound to use of `semantic-show-unmatched-syntax-mode'.

	* semanticdb.el (semanticdb-post-bovination-unmatched-syntax): Deleted
	(semanticdb-hooks): Remove above from list.

	* bovine/Makefile (bovinator, languages): --no-site-file

	* bovine/c.by (UNDEFINE): New keyword
	(define): Add UNDEF support.

	* doc/lang-support-guide.texi (Tag Structure): Describe CLASS more.
	(Language Support Overview): Moved old comment.  Added new content.
	(Semantic Overload Mechanism): New intro.
	Describe the default a little more.
	Added more about advice.
	(Semantic Parser Structure): new
	(Application API Structure): New
	(Lexer Overview): Typos
	(Lexer Construction): Discus deprication of semantic-flex.
	Update define-lex.
	(Grammar Files): Removed.  This is in the bovine section.
	(Grammar Programming Environment): New content.

	* doc/bovine.texi (Optional Lambda Expression):
	Added details on new TAG macros.

	* wisent/Makefile (languages_LISP): Removed wisent-java-lex.el
	(tools, wisent, languages): Exclude site-init file.

	* wisent/Project.ede ("languages"): Remove wisent-java-lex.el

2004-01-23  David Ponce  <david@dponce.com>

	* wisent/wisent-java-lex.el: Remove.  No more used.

	* wisent/wisent-grammar.el (wisent-grammar-tokentable-builder):
	Remove.  Not more necessary.
	(wisent-grammar-mode): Updated.

	* wisent/wisent-bovine.el:
	(wisent-lex-token-rules, wisent-lex-token-get)
	(wisent-lex-match, wisent-flex): Remove.  Obsolete.
	(wisent-lex-make-token-table): Alias of
	`semantic-lex-make-type-table'.

	* semantic-lex.el:
	(semantic--lex-delim-spec, semantic--lex-block-specs)
	(semantic-lex-block-type): Remove.  No more necessary.
	(define-lex-block-type-analyzer): Improve doc string.

	* semantic-grammar-wy.el: Re-generated.

	* NEWS: Add "Auto-generation of lexical rules" topic.
	Use "lexical rule" instead of "single lexical analyzer"
	terminology.

2004-01-19  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-ede-grammar.el:
	(ede-buffer-mine::semantic-ede-proj-target-grammar):
	New method.

2004-01-19  David Ponce  <david@dponce.com>

	* semantic-grammar-wy.el: Re-generated.

	* semantic-grammar.wy:
	(<keyword>, <symbol>, <string>, <qlist>, <sexp>, <block>)
	(<punctuation>): Declare as types.
	(PERCENT_PERCENT): Fix regexp.
	(PREFIXED_LIST): Move regexp to <qlist> type syntax.
	(PAREN_BLOCK, BRACE_BLOCK): Fix block definition.
	(LPAREN, RPAREN): New tokens.
	(epilogue): Define `semantic-grammar-lexer' here.

	* semantic-grammar.el (semantic-grammar-wy):
	Require after specific analyzers.
	(semantic-grammar-lex-c-char-re): Move before analyzers.
	(semantic-grammar-lex-symbol, semantic-grammar-lex-string)
	(semantic-grammar-lex-char, semantic-grammar-lex-blocks)
	(semantic-grammar-lex-sexp, semantic-grammar-lex-prefixed-list)
	(semantic-grammar-lexer): Remove.  Defined in grammar.

2004-01-18  David Ponce  <david@dponce.com>

	* wisent/wisent-java-tags.wy, wisent/wisent-java.wy:
	(<block>, <punctuation>, <symbol>, <string>)
	(<number>, <keyword>): Use default values in %type declarations.

	* semantic-lex.el (semantic-lex-preset-default-types): New function.
	(semantic-lex-make-type-table): Use it.

	* semantic-grammar-wy.el: Re-generated.

	* semantic-grammar.wy (plist_opt): New rule.
	(type_decl): Use it.

	* semantic-grammar.el (semantic-grammar-token-%type-properties):
	Remember types
	explicitly declared with a %type statement.
	(semantic-grammar-insert-defanalyzer): Generate analyzer for
	explicitly declared types.
	(semantic-grammar-create-package): Add optional argument force to
	unconditionally re-generate Lisp code.

2004-01-16  David Ponce  <david@dponce.com>

	* semantic-grammar.el (semantic-grammar--lex-block-specs):
	Fix doc and condition-case.

	* wisent/wisent-java.wy: Use %keyword to declare keywords.
	Automatically generate analyzers used to build the lexer.

	(<block>, <punctuation>, <symbol>, <string>)
	(<number>, <keyword>): Add %type declaration.
	(epilogue): Add lexer declaration.

	* wisent/wisent-java.el (require 'wisent-java-lex): Remove.

	* semantic-grammar.el (semantic-grammar-insert-defanalyzer):
	Fix use of quote in
	declaration of regexp analyzer.

	* wisent/wisent-java-tags.wy: Use %keyword to declare keywords.
	Automatically generate analyzers used to build the lexer.

	(<block>, <punctuation>, <symbol>, <string>)
	(<number>, <keyword>): Add %type declaration.
	(epilogue): Add lexer declaration.

	* wisent/wisent-java-tags.el (require 'wisent-java-lex): Remove.

	* semantic-lex.el (semantic-lex-make-type-table):
	Implicitly create types with
	properties but without tokens associated.
	(define-lex-keyword-type-analyzer)
	(define-lex-sexp-type-analyzer): New macros.

	* semantic-grammar.el (semantic-grammar-token-%type-properties):
	%type statements
	unconditionally declare new types.
	(semantic-grammar-token-properties): Updated.
	(semantic-grammar-quoted-form): New function.
	(semantic-grammar-insert-defanalyzer): Use it to fix use of quote
	in analyzer declarations. Enclose type between < > in generated
	analyzer name.  Fix conditions that select the type of analyzer to
	declare.  Add declaration of sexp and keyword analyzers.
	(semantic-grammar-mode-keywords-1): Add highlighting of semantic
	keywords.

	* semantic-fw.el (semantic-fw-font-lock-keywords): Add new macro names.

2004-01-15  David Ponce  <david@dponce.com>

	* tests/gr-test.wy (block):
	Remove unnecessary \( and \) delimiters from the syntax
	regexp.

	* semantic-lex.el (define-lex-string-type-analyzer): Add missing comma.

2004-01-15  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-complete.el (semantic-collector-analyze-completions):
	New collector class
	(semantic-collector-calculate-completions-raw): New method on above.
	(semantic-complete-read-tag-buffer-deep)
	(semantic-complete-read-tag-project): Fix doc string
	(semantic-complete-read-tag-analyzer): New function
	(semantic-complete-analyze-inline): New command

	* semantic-analyze.el (semantic-analyze-context): Fixed doc strings.
	Add :buffer slot.
	(semantic-analyze-current-context): Set the :buffer slot in above.

	* semantic-idle.el (semantic-idle-scheduler-function):
	Move catch inside the condition case.

2004-01-14  David Ponce  <david@dponce.com>

	* semantic-grammar.el: Fix last check-in.

	* semantic-lex.el: (define-lex-regex-type-analyzer)
	(define-lex-string-type-analyzer)
	(define-lex-block-type-analyzer): New macros.

	* semantic-grammar-wy.el: Re-generated.

	* semantic-grammar.wy: Introduce new %type statement.

	(TYPE): New keyword.
	(decl): Handle type_decl.
	(type_decl, plist): New rules.

	Fix errors due to use of ill-formed tags in EXPANDFULL mechanism.

	(prologue): Define function `semantic-grammar-wy--tag-value'.
	(put_decl, use_macros_decl): In semantic actions, use
	`semantic-grammar-wy--tag-value' instead of `semantic-tag-name' to
	retrieve the value of EXPANDFULL tags.
	(put_names, put_values, use_names): Produce valid tags.

	* semantic-grammar.el (require 'pp):
	Moved to top level.  All callers updated.
	(semantic-grammar-token-%type-properties)
	(semantic-grammar-token-%put-properties): New functions.
	(semantic-grammar-token-properties): Use them.
	(semantic-grammar--lex-block-specs): New variable.
	(semantic-grammar-insert-define)
	(semantic-grammar--lex-delim-spec)
	(semantic-grammar--lex-block-specs)
	(semantic-grammar-insert-defanalyzer)
	(semantic-grammar-insert-defanalyzers): New functions.
	(semantic-grammar-create-package): Use the latter.

	* tests/gr-test.wy: New file.

2004-01-13  David Ponce  <david@dponce.com>

	* doc/wisent.texi (Wisent Parsing): Add `wisent-pre-parse-hook' and
	`wisent-post-parse-hook'.
	(Error recovery): Add `wisent-abort'.

2004-01-13  Eric M. Ludlam  <zappo@gnu.org>

	* doc/user-guide.texi (Idle Summary Mode):
	Added `semantic-idle-completions-mode'.

	* doc/app-dev-guide.texi (Tag Sorting):
	Added `semantic-unique-tag-table-by-name'.

	* semantic-idle.el (semantic-idle-completion-region-map):
	New binding for TAB
	(semantic-idle-completion-TAB): New command
	(semantic-idle-complete-self-insert): New command
	(semantic-idle-momentary-unoverlay):
	Reset `this-command' via keymap.
	If self-insert-command is to be run, reset to our own version.

	* semantic-ia.el:
	(semantic-ia-complete-symbol-menu, semantic-ia-complete-tip):
	autoload cookies.

	* semantic-idle.el (semantic-idle-scheduler-function):
	Wrap idle functions in save-excursion.
	Let idle functions run even if there was a lexical failure.
	(semantic-idle-summary): Support trailing dots for long lists.
	(semantic-idle-completion-region-map): New keymap.
	(semantic-idle-create-overlay-with-completion-map)
	(semantic-idle-momentary-unoverlay)
	(semantic-idle-momentary-overlay-with-completion-map): New fcns
	(semantic-idle-completion-list-default): Call above new fcn
	to show what the tooltips is for.  Bind TAB to do the completion.

2004-01-12  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/semantic-make.el (semantic-get-local-variables):
	Override to return nil.

	* semantic-ctxt.el:
	(semantic-end-of-command-default, semantic-beginning-of-command-default)
	(semantic-ctxt-current-symbol-default)
	(semantic-ctxt-current-assignment-default)
	(semantic-ctxt-current-function-default)
	(semantic-ctxt-current-argument-default):
	Wrap body in `with-syntax-table' and the lexical syntax table.
	That way variables and things are matched the same way the lexer
	matches them.

2004-01-12  David Ponce  <david@dponce.com>

	* semantic-idle.el (global-semantic-idle-scheduler-mode):
	defcustom requires
	semantic-idle instead of semantic-util-modes.
	(define-semantic-idle-service): Likewise.
	(semantic-idle-scheduler-mode): Add autoload cookie.

2004-01-10  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-load.el (semantic-idle-completions-mode): Enable as useful.

	* semantic-idle.el: (semantic-idle-scheduler-function):
	Be sure to loop over the queue of idle functions.
	(semantic-idle-summary-current-symbol-info-brutish)
	(semantic-idle-summary-current-symbol-keyword):
	Do nothing if there was no found thing at point.
	(semantic-idle-completion-popup-max-size): New option.
	(semantic-idle-completion-popup-list)
	(semantic-idle-completion-list-default): New functions
	(semantic-idle-completions): New idle service.

	* semantic-sort.el (semantic-unique-tag-table-by-name): New function.

	* semantic-ctxt.el: (semantic-get-local-variables-default):
	Wrap body in `save-excursion'.

2004-01-09  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-idle.el (global-semantic-idle-scheduler-mode):
	More documentation.
	(semantic-idle-scheduler-working-in-modeline-flag): Delete dup.
	(semantic-idle-summary-find-current-symbol-tag): More doc.
	(semantic-idle-summary-current-symbol-info-brutish): Does some of what
	the old print routine did.
	(semantic-idle-summary-current-symbol-keyword): Gets info if the
	current symbol is a keyword.
	(semantic-idle-summary-current-symbol-info-context): New routine
	to get a tag based on the current context (see semantic-analyze.el)
	(semantic-idle-summary-current-symbol-info-default): Rebuilt to use
	a sequence of attempted matches.

	* senator.el (senator-menu-bar): Jump menu items.

	* semantic-tag-file.el: (semantic-dependency-tag-file):
	Setting the buffer to a tag before trying to find the include file
	is now optional.  Note to fix in the future.

	* semantic-tag.el (semantic-tag-copy):
	Do not modify filename/overlay if this tag
	does not include a position.

	* semantic-grammar.el (eldoc-current-symbol-info):
	Use new semantic-idle-summary function
	instead of old senator version.

	* semanticdb.el (semanticdb-file-table-object): Delete buffers to files
	loaded in to refresh a tags table.

	* semanticdb-find.el (semanticdb-find-table-for-include-default):
	fix typo

	* semanticdb-find.el: (semanticdb-find-table-for-include-default):
	Use `expand-file-name' instead of `concat'.
	Use fname (which we calculated) when loading the table for the
	include file.
	(semanticdb-find-log-flag, semanticdb-find-log-buffer-name): New var
	(semanticdb-find-toggle-logging, semanticdb-reset-log): New commands
	(semanticdb-find-log-move-to-end, semanticdb-find-log-new-search)
	(semanticdb-find-log-activity): New logging functions.
	(semanticdb-find-tags-collector): Use new logging functions.

2004-01-09  David Ponce  <david@dponce.com>

	* semantic-load.el:
	Add doc directories into `Info-default-directory-list' instead of
	`Info-directory-list'.  Use `expand-file-name' to manipulate
	directory names.

2004-01-09  Eric M. Ludlam  <zappo@gnu.org>

	* NEWS: Add lexical safety note.
	Add idle-scheduler related data.

	* doc/user-guide.texi (top): Add Idle Scheduler
	(Idle Scheduler): New node, new content
	(Minor Modes): Remove auto-parser mode and summary mode.

	* doc/app-dev-guide.texi (top):
	Renamed Parser Hooks to Parser Features.  Added Idle Scheduling
	(Parser Features): New name.  Add a menu.
	(Parser State): New Node, old content
	(Parser Hooks): New Node, old content
	(Lexical Safety): New Node with new text
	(Idle Scheduling): New node and new content

	* semantic-complete.el (semantic-collector-try-completion-whitespace):
	Be robust to more
	types of non-matching whitespace completion.

2004-01-08  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-load.el (Info-directory-list):
	Add our directory to the master list.

	* doc/Makefile: Regenerated

	* doc/Project.ede:
	(semantic-user.info, semantic-appdev.info, semantic-langdev.info)
	(bovine.info, wisent.info): New manuals split from Documentation.

	* doc/wisent.texi, doc/user-guide.texi, doc/tags.texi:
	Convert to stand alone manual.

	* doc/semantic.texi:
	Convert the users guide, developers guide, an lang support guide into
	standalong manuals.

	* doc/semanticheader.texi: Common macros for semantic manuals.

	* doc/lang-support-guide.texi: Convert to stand alone manual.
	Add notes in sections written for semantic 1.4 not yet updated.

	* doc/installation.texi:
	Add details about semantic being a part of CEDET.

	* doc/bovine.texi: Convert to stand alone manual.

	* doc/app-dev-guide.texi: Convert to stand alone manual.
	Add semanticdb search results node.
	Fixed a couple typos.

2004-01-08  David Ponce  <david@dponce.com>

	* semantic-lex.el (semantic-lex-catch-errors):
	Preserve the values of point, mark
	and the current buffer.

	* senator.el (senator-save-registered-mode-settings): Don't hang when
	`customize-save-variable' fails.

2004-01-03  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-lex.el (semantic-lex-debug-break): Use `semantic-read-char'.

2003-12-29  Eric M. Ludlam  <zappo@gnu.org>

	* senator.el:
	(semantor-eldoc-use-color, semantic-eldoc-summary-function)
	(senator-find-current-symbol-tag)
	(senator-eldoc-print-current-symbol-info-default)
	(senator-eldoc-print-current-symbol-info): Deleted
	(eldoc-print-current-symbol-info): Deleted advice.
	(senator-try-expand-semantic): Catch errors on initial parse.

2003-12-28  Eric M. Ludlam  <zappo@gnu.org>

	* semantic.el:
	(semantic-parse-tree-unparseable, semantic-parse-tree-unparseable-p):
	New functions.
	(semantic-new-buffer-fcn-was-run): New variable
	(semantic-active-p): Change to use above variable.
	(semantic-new-buffer-fcn): Use content of old `semantic-active-p' to
	detect activation state.  Set new variable above to t.
	(bovinate): Don't show the parse dump buffer if CLEAR set.
	(semantic-bovinate-toplevel): Do not parse the buffer it it is
	currently set as "unparseable".

	* semantic-idle.el (semantic-idle-scheduler-idle-time): Fix doc.
	(semantic-before-idle-scheduler-reparse-hooks)
	(semantic-after-idle-scheduler-reparse-hooks): Update doc.
	(semantic-idle-scheduler-refresh-tags): Remove lexical catch
	functions.  Use 'semantic-lex-catch-errors' instead.
	(semantic-idle-summary-current-symbol-info-default):
	Fix senator references.

	* semantic-lex.el (semantic-lex-catch-errors): New macro
	(edebug-setup-hook): Support above.

2003-12-23  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-find.el (semanticdb-find-tags-collector):
	Call `semantic-throw-on-input'
	between each DB search.

	* semantic-idle.el: (smeantic-idle-scheduler-input-function)
	(semantic-idle-scheduler-user-input-waiting-p): Deleted
	(semantic-idle-scheduler-function): Message on caught errors.
	Use `semantic-exit-on-input' macro.

	* semantic-fw.el (semantic-varalias-obsolete):
	Only emit compatibility warnings on
	when byte compiling.
	(semantic-current-input-throw-symbol): New var.
	(semantic-exit-on-input, semantic-throw-on-input): New macros
	(semantic-test-throw-on-input): New test fcn
	(edebug-setup-hook): Add `semantic-exit-on-input' edubug support.

2003-12-22  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-util-modes.el (global-semantic-auto-parse-mode, semantic-auto-parse-*):
	Deleted
	(global-semantic-summary-mode, semantic-summary-mode-*): Deleted
	(semantic-show-tag-boundaries-mode): Fix start message
	(semantic-stb-reparse-hook): Do not delete secondary overlays fcn start.
	Add a sanity check to prove that it wasn't needed.

	* Makefile: Regenerated from Project.ede;
	--no-site-init added to many compile commands.

	* Project.ede ("semantic"): Add semantic-idle.el

	* semantic-grammar.el (semantic-format-tag-abbreviate):
	Renamed from old.
	(semantic-tag-boundary-p): New overload method
	(semantic-format-tag-summarize): Renamed from old.

	* senator.el ("Auto Parse", "Summaries): Delete old menu items
	("Idle Scheduler", "Udle Summaries"): New menu items

	* semantic-load.el:
	(global-semantic-summary-mode, global-semantic-auto-parse-mode):
	Do not initialize.
	(global-semantic-idle-scheduler, global-semantic-idle-summary-mode):
	Enable these new modes.

2003-12-21  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-idle.el (semantic-auto-parse-mode, global-semantic-auto-parse-mode):
	New alias
	(define-semantic-idle-service): Fix cut & paste errors
	(semantic-idle-summary): Add overload symbols.
	(semantic-summary-mode, global-semantic-summary-mode): New alias

	* semantic-decorate.el (semantic-tag-secondary-overlays): Moved.
	(semantic-tag-get-secondary-overlay): New fcn
	(semantic-tag-delete-secondary-overlay): Use above

2003-12-19  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-util-modes.el (semantic-show-parser-state-mode-setup):
	Use idle-scheduler hooks
	instead of auto-pase hooks.
	(semantic-show-tag-boundaries-setup): Use new hook for
	`semantic-after-toplevel-cache-change-hook'
	On disble, completely flush all found boundary overlays.
	(semantic-tag-boundary-p): doc fix
	(semantic-stb-flush-rogue-boundaries): New function
	(semantic-stb-after-full-reparse-hook): New function used as hook
	(semantic-stb-reparse-hook): Delete boundaries on tags before adding
	a new one.

	* semantic-idle.el (semantic-idle-scheduler-idle-time):
	Change to 2 seconds
	(semantic-idle-scheduler-add, semantic-idle-scheduler-remove):
	Add autoload cookies
	(semantic-idle-scheduler-function): Reparse all buffers.
	Manage timers in this routines.
	Protect insides from long-jump.
	(semantic-idle-scheduler-refresh-tags): Remove timer management.
	(define-semantic-idle-service): New macro
	(semanticidle-summary-function)
	(semantic-idle-summary-find-current-symbol-tag)
	(semantic-idle-summary-current-symbol-info-default): New fcns
	(semantic-idle-summary): New idle minor mode.

2003-12-18  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-idle.el: New file.

2003-12-17  Eric M. Ludlam  <zappo@gnu.org>

	* senator.el (senator-prefix-map):
	Have senator use the new semantic-complete
	jump prompt demos instead of senator-jump. (experiment).

	* doc/app-dev-guide.texi (Local Context):
	Added semantic-ctxt-current-thing.

	* semanticdb-find.el:
	(semanticdb-find-results-p, semanticdb-find-result-with-nil-p):
	Made tests more accurate.

2003-12-16  David Ponce  <david@dponce.com>

	* semantic-grammar-wy.el: Re-generated.

	* semantic-grammar.wy:
	Introduce new %keyword statement to declare keywords.
	Allow use of <token-type> forms in %put statements.

	(use_names): Add to start symbols.
	(KEYWORD): New keyword.
	(DEFAULT-PREC, NO-DEFAULT-PREC, KEYWORD, LANGUAGEMODE)
	(LEFT, NONASSOC, PACKAGE, PREC, PUT, QUOTEMODE, RIGHT)
	(SCOPESTART, START, TOKEN, USE-MACROS): Declare with %keyword
	instead of %token.
	(KEYWORDTABLE, OUTPUTFILE, PARSETABLE, SETUPFUNCTION)
	(TOKENTABLE): Remove.  Obsolete.
	(decl): Add keyword_decl rule.  Remove obsolete rules.
	(put_decl): Use put_name rule instead of SYMBOL.
	(put_names): Likewise.
	(put_name, keyword_decl, use_names): New rules.
	(use_name_list): New rule.
	(use_macros_decl): Use it.
	(keywordtable_decl, outputfile_decl, parsetable_decl)
	(setupfunction_decl, tokentable_decl): Remove.  Obsolete.

	* semantic-grammar.el (semantic-grammar-lex-symbol):
	Accept colon as symbol prefix.
	(semantic-grammar-anchored-indentation): Take care of colon used
	as symbol prefix.

2003-12-13  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-complete.el (semantic-complete-do-completion):
	Add 'empty support
	(semantic-complete-next-action): fix doc
	(semantic-collector-abstract): Change type of last-all-completions
	(semantic-collector-next-action): If there are completions, return
	empty state.
	(semantic-collector-calculate-completions-raw): Put in a db table
	instead of nil.
	(semantic-collector-try-completion-whitespace): Handle case of exact
	matches amongst non exact matches
	(semantic-collector-calculate-cache): Put in a db table.

2003-12-11  David Ponce  <david@dponce.com>

	* senator.el (senator-eldoc-print-current-symbol-info): Check that
	`eldoc-echo-area-use-multiline-p' is defined.

2003-12-11  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/semantic-el.el (semantic-ctxt-current-function):
	Make sure strings are returned.

	* semantic-util-modes.el: (semantic-highlight-attribute-face-private)
	(semantic-highlight-attribute-face-protected)
	(semantic-highlight-attribute-face-private): New colors.

	* NEWS: Fix names search-result -> find-result

	* semanticdb-file.el (semanticdb-create-database):
	Provde a more intelligent name for new DBs.

	* semanticdb.el (object-print): New method

	* semantic-cb.el (semantic-cb-new-class-browser): Turn of system DB.
	Use `semanticdb-brute-find-tags-by-class' to scan all files in a project.

	* semanticdb-find.el (semanticdb-find-result-prin1-to-string):
	New debug fcn
	(semanticdb-find-tags-by-class): doc fix.
	(semanticdb-brute-find-tags-by-class): New fcn

	* semantic-complete.el (semantic-collector-calculate-completions):
	Add new argument for PREFIX.
	(semantic-complete-default-to-tag): Use new arg
	(semantic-complete-current-match): Use new arg
	(semantic-complete-hack-word-boundaries): New function.
	(semantic-complete-do-completion): Use new arg and new fcn
	(semantic-complete-try-completion): Support partial completion
	of word boundary characters.
	(semantic-collector-abstract): Add cache for whitespace completion.
	(semantic-collector-next-action): Support whitespace completion
	and 'done state.
	(semantic-complete-next-action): Doc fix. (see previous)
	(semantic-collector-try-completion-whitespace)
	(semantic-collect-r-current-whitespace-completion): New fcns

2003-12-10  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-lex.el (define-lex): Doc fix.

2003-12-05  David Ponce  <david@dponce.com>

	* wisent/wisent-java.wy (PAREN_BLOCK, BRACE_BLOCK, BRACK_BLOCK):
	New tokens.

	* wisent/wisent-java-tags.wy (PAREN_BLOCK): Change type to <block>.
	(BRACE_BLOCK, BRACK_BLOCK): Likewise.

	* wisent/wisent-java-lex.el (wisent-java-lex-blocks): Remove.
	(wisent-java-tags-lexer): Use `semantic-lex-block-type'.
	(wisent-java-lexer): Ditto.

	* semantic-lex.el (semantic--lex-block-specs): New variable.
	(semantic--lex-delim-spec): New function.
	(semantic--lex-block-specs): New function.
	(semantic-lex-block-type): New lexical analyzer.

2003-12-04  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-complete.el (semantic-complete-current-match):
	Account for new return arg of
	`semanticdb-find-result-nth'.  Use `semanticdb-find-result-nth-in-buffer'
	 when getting the final tag to return to the prompt.
	(semantic-complete-jump-local): Renamed from below.
	(semantic-complete-jump): Uses project level prompt for jumping.

	* semantic-complete.el (semantic-complete-choose-default):
	Moved to semantic-ctxt.el
	(semantic-complete-default-to-tag): Use `semantic-ctxt-current-thing'.
	(semantic-displayor-focus-request): Improve focus summary output.
	Make tag highlighting more robust to file loading.
	Show minibuffer message for position of current cycle, AND
	mimic completion on the current minibuffer contents.

	* semantic-ctxt.el (semantic-ctxt-current-thing): new function.

	* semantic-complete.el (semantic-displayor-focus-next-tag):
	Fixed to use new datatype of TABLE.
	(semantic-displayor-focus-request): Fixed to also show summaries if a
	tag cannot be focused on due to lack of position or lack of buffer.

	* semanticdb.el (semanticdb-get-buffer:semanticdb-abstract-table):
	New method.
	(semanticdb-get-buffer:semanticdb-table): New method.
	(semanticdb-set-buffer): Use above.

2003-12-01  David Ponce  <david@dponce.com>

	* semantic-lex.el (semantic-lex-make-type-table):
	Reset ALIST before processing next
	token type spec.

2003-11-29  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-system.el (semanticdb-create-system-database):
	Add autoload cookie.

	* semantic-complete.el: (semantic-complete-read-tag-engine):
	Replaced setup with something simpler.
	Replaced end with single function call.
	(semantic-completion-message): Moved
	(semantic-complete-active-default): New variable
	(semantic-complete-choose-default): Moved
	(semantic-complete-default-to-tag): New
	(semantic-complete-current-matched-tag): New variable
	(semantic-complete-current-match): New fcn
	(semantic-complete-done): Moved and simplified.
	(semantic-complete-try-completion): Pass extra arg to `semantic-collector-try-completion'
	(semantic-complete-do-completion):
	Rebind some globals to local variables.
	Add implementation for 'scroll action type.
	(semantic-complete-next-action): New fcn.
	(semantic-collector-abstract): Make 'last-prefix protected.
	Rename `match-list' to `current-exact-match'.
	(semantic-collector-next-action): Move and simplify.
	(semantic-collector-calculate-completions): Differentiate between
	single and multiple exact matches vs multiple different matches.
	(semantic-collector-current-exact-match): New name.
	(semantic-collector-all-completions, semantic-collector-try-completion):
	Accept and use new prefix argument.
	(semantic-collector-flush): Account for renamed match-list.
	(semantic-displayor-abstract): Make table and last-prefix protected.
	(semantic-displayor-next-action): Return 'scroll instead of 'focus.
	(semantic-displayor-focus-request): Ding
	(semantic-displayor-scroll-request): New method
	(semantic-displayor-focus-abstract): Make 'focus protected.
	(semantic-displayor-next-action): New method.
	(semantic-displayor-current-focus): More protection around search.

2003-11-27  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-el.el: (semanticdb-find-tags-by-name-method)
	(semanticdb-find-tags-by-name-regexp-method)
	(semanticdb-find-tags-for-completion-method)
	(semanticdb-find-tags-by-class-method)
	(semanticdb-deep-find-tags-by-name-method)
	(semanticdb-deep-find-tags-by-name-regexp-method)
	(semanticdb-deep-find-tags-external-children-of-type-method):
	Accept new TAGS argument.  Dispatch to superclass if passed in.

	* semanticdb-find.el (semanticdb-find-translate-path): Update doc
	(semanticdb-find-translate-path-default):
	Support find results as a path.
	(semanticdb-find-result-nth, semantic-find-result-nth-in-buffer):
	Return a cons cell which includes the table the tag was found in.
	(semanticdb-find-tags-collector): Handle find results in the path.
	(semanticdb-find-tags-by-name, semanticdb-find-tags-by-name-regexp)
	(semanticdb-find-tags-for-completion, semanticdb-find-tags-by-class)
	(semanticdb-deep-find-tags-by-name, semanticdb-deep-find-tags-by-name-regexp)
	(semanticdb-deep-find-tags-for-completion)
	(semanticdb-brute-deep-find-tags-by-name)
	(semanticdb-find-tags-external-children-of-type):
	Lambda expression sent to collector taks a TAGS argument.
	(semanticdb-find-tags-by-name-method):
	(semanticdb-find-tags-by-for-completion-method)
	(semanticdb-find-tags-by-class-method)
	(semanticdb-find-deep-tags-by-name-method)
	(semanticdb-find-deep-tags-by-name-regexp-method)
	(semanticdb-find-deep-tags-by-for-completion-method):
	Accept a TAGS argument into the method.  Search that tag list if
	passed in.

2003-11-20  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-complete.el: Update commentary.
	(semantic-complete-read-tag-engine): handle empty match-lists.
	handle tags that do not have positions.
	Use new semanticdb find results API for tags read from a database.
	(semantic-complete-done): Force full recalculation on CR.
	(semantic-complete-try-completion): Use new semanticdb find result
	api.  make sure minibuffer contents are flushed.
	(semantic-collector-abstract): Force the cache to be of :type
	semanticdb-find-result-with-nil.
	(semantic-collector-get-cache,
	semantic-collector-calculate-completions-raw):
	New methods.
	(semantic-collector-calculate-completions):
	Use new accessors.
	(semantic-collector-get-match-list, semantic-collector-get-match):
	New methods.
	(semantic-collector-calculate-cache): Create cache in semanticdb
	format.
	(semantic-collector-project-abstract): New class.
	(semantic-collector-project): New class.
	(semantic-collector-calculate-completions-raw): New method on above.
	9semantic-collector-project-brutish): New class.
	(semantic-collector-calculate-completions-raw): New method on above.
	(semantic-displayor-abstract): Use db find result as table type.
	(semantic-displayor-current-focus): For above, return nil.
	(semantic-displayor-show-request): Use semanticdb-strip-find-results.
	(semantic-displayor-focus-abstract): New slot 'find-file-focus'.
	(semantic-displayor-current-focus): For above, use semanticdb-find-results-nth.
	(semantic-displayor-tradition-with-focus-highlight): Specify
	'find-file-focus' slot value as t.
	(semantic-complete-read-tag-project): New function
	(semantic-complete-test): Change which function is tested here.

	* semantic-format.el (semantic-format-tag-protection-symbol-to-string-assoc-list):
	New
	variable.
	(semantic-format-tag-uml-protection-to-string): Now an override
	method.
	(semantic-format-tag-uml-protection-to-string-default): New function.
	Now uses semantic-format-tag-protection-symbol-to-string-assoc-list.

	* semantic-texi.el (semantic-texi-associated-files):
	Use `semanticdb-get-database-tables' method.

	* semantic-imenu.el (semantic-create-imenu-directory-index):
	Use `semanticdb-get-database-tables' method.

	* semanticdb-search.el:
	(semanticdb-find-nonterminal-by-function-method):
	Use `semanticdb-get-database-tables' method.

	* semanticdb-find.el (semanticdb-find-translate-path-brutish-default):
	Use `semanticdb-get-database-tables' method.
	(semanticdb-strip-find-results, semanticdb-find-results-p)
	(semanticdb-find-results-with-nil-p, semanticdb-find-result-length)
	(semanticdb-find-result-nth): New methods
	(semanticdb-find-tags-collector): Protect action by `save-excursion'.
	(semanticdb-brute-deep-find-tags-for-completion): new function.

	* semanticdb-file.el (semanticdb-load-database):
	Use `semanticdb-get-database-tables' method.

	* semantic-chart.el (semantic-chart-database-size):
	Use `semanticdb-get-database-tables' method.

	* semanticdb-el.el (semanticdb-file-table): Call new below method.
	(emanticdb-get-database-tables): Body was 'semanticdb-file-table'
	Table slot either has a value, or is unbound.  It isn't nil.
	(semanticdb-elisp-sym-function-arglist): Use eieio function that
	returns an arglist.
	(semanticdb-elisp-sym->tag): More robust test for 'user-visible'
	value of functions.

	* semanticdb.el (semanticdb-project-database):
	Make the 'tables' slot protected.
	Add :accessor `semanticdb-get-database-tables'.
	(semanticdb-flush-database-tables): New method
	(semanticdb-current-database-list): Make sure `reference-directory'
	is bound before using it.
	(semanticdb-database-sanity-check): Use
	`semanticdb-get-database-tables' method.

	* Makefile, wisent/Makefile, wisent/Project.ede, Project.ede, bovine/Makefile, bovine/Project.ede, bovine/semantic-erlang.el, bovine/semantic-make.el, semantic-format.el, semantic-fw.el, semantic-grammar.el, semantic-imenu.el, semantic-regtest.el, semantic-sort.el, semantic-tag.el, semanticdb-file.el, semanticdb-find.el, semanticdb-search.el, semanticdb.el, senator.el:
	Merged with cedet-1p0beta1 branch.

2003-11-12  Eric M. Ludlam  <zappo@gnu.org>

	* Project.ede ("semantic"): Moved metagrammar after autoloads.

2003-11-10  David Ponce  <david@dponce.com>

	* semantic-regtest.el: Fix wrong line endings.

	* semantic-grammar.el: XEmacs needs font-lock at runtime.
	(semantic-grammar-item-value): Handle characters as integers in
	XEmacs to fix `pp-to-string' "Unbalanced parentheses" errors.
	(semantic-grammar-package): Don't use `replace-match' which have a
	different behavior in XEmacs and GNU Emacs.
	(semantic-grammar-batch-build-one-package): Use
	`byte-compile-file' instead of `batch-byte-compile-file' which is
	undefined in XEmacs.

	* semantic-fw.el (semantic-varalias-obsolete):
	Take care of `defvaralias' failures.
	For example, XEmacs don't permit to alias a buffer local variable.

	* Makefile (metagrammar): Add missing dependency on autoloads.

2003-11-07  David Ponce  <david@dponce.com>

	* bovine/semantic-make.el (semantic-make-expand-tag):
	Fix expansion of include tags.

2003-11-05  David Ponce  <david@dponce.com>

	* semantic-sort.el (semantic-adopt-external-members):
	Use the tag API to add external
	members.  Thanks to Klaus Berndl <klaus.berndl@sdm.de>.

2003-11-01  David Ponce  <david@dponce.com>

	* senator.el: (semantic-step-at-token-ids)
	(senator-step-at-start-end-token-ids)
	(senator-add-log-tokens): Use `semantic-varalias-obsolete'.

	* semantic-tag.el (semantic-expand-nonterminal):
	Use `semantic-varalias-obsolete'.

	* semantic-imenu.el: (semantic-imenu-bucketize-type-parts)
	(semantic-imenu-expandable-token)
	(semantic-imenu-expand-type-parts): Use
	`semantic-varalias-obsolete'.

	* semantic-fw.el (semantic-varalias-obsolete): New function.
	(semantic-fw-font-lock-keywords): Highlight it.

	* semantic-format.el: (semantic-token->text-functions)
	(semantic-token->text-custom-list)
	(semantic-face-alist):  Use `semantic-varalias-obsolete'.

2003-10-30  David Ponce  <david@dponce.com>

	* bovine/semantic-erlang.el (semantic-erlang-default-setup):
	Fix call to
	`semantic-erlang-by--install-parser'.

2003-10-29  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/Makefile (languages_LISP):
	Added erlang-edoc.el, and semantic-erlang.el.

	* bovine/Project.ede ("languages"):
	Added erlang-edoc.el, and semantic-erlang.el.

	* senator.el (senator-completion-menu-popup):
	Disable imenu jumping while using
	the popup.  The tags are not valid.

	* semanticdb-find.el: (semanticdb-find-table-for-include-default):
	Attempted to get dependency search routine working.  Left commented
	out since it has some bugs still.

	* semanticdb-file.el (semanticdb-create-database):
	Set reference directory to a value.

	* semanticdb.el (semanticdb-create-database):
	Set reference directory to a value.
	(semanticdb-semantic-init-hook-fcn): Do not set reference directory
	to a value anymore.

2003-10-27  Eric M. Ludlam  <zappo@gnu.org>

	* senator.el (senator-completion-menu-item):
	Use semanticdb-printable-name instead
	of directly referencing the file slot.
	Doc fix.

	* semanticdb.el, semanticdb-search.el (semanticdb-printable-name):
	New method.

2003-10-22  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-grammar.el (semantic-grammar-batch-build-one-package):
	Require bytecomp

	* wisent/Makefile (wisent_LISP): add wisent-grammar-macros.el

	* wisent/Project.ede (wisent): add wisent-grammar-macros.el

	* bovine/Makefile (bovinator_LISP): Add bovine-grammar-macros.el

	* bovine/Project.ede (bovinator): Add bovine-grammar-macros.el

	* Project.ede: Remove wy.  Add metagrammar.

	* Makefile (LOADPATH): Updated
	(all): Remove wy, add metagrammar
	(dist): remove wy, add metagrammar

2003-10-15  Eric M. Ludlam  <zappo@gnu.org>

	* doc/user-guide.texi (Summary Mode): Added summary function option.

	* senator.el (senator-eldoc-summary-function): New option.
	(senator-eldoc-print-current-symbol-info):
	Obey `eldoc-echo-area-use-multiline-p'

2003-10-02  David Ponce  <david@dponce.com>

	* doc/wisent.texi:
	Clarify definition of rule precedence in "Grammar format" node.

	* semantic-grammar-wy.el: Re-generate.

	* semantic-grammar.wy:
	Handle %default-prec/%no-default-prec declarations introduced in
	Bison 1.875c, to enable/disable default rule precedences.
	(NO-DEFAULT-PREC): New keyword.
	(default_prec_decl): Remove argument.
	(no_default_prec_decl): New rule.
	(decl): Use it.

2003-10-02  Eric M. Ludlam  <zappo@gnu.org>

	* Project.ede: Now a meta-subproject.

	* wisent/Makefile, tests/Makefile, doc/Makefile, bovine/Makefile (dist):
	Now phony.

	* Makefile (dist): Remove local creation of tar file.
	(dist,tags): Call subprojects differently.

2003-10-01  David Ponce  <david@dponce.com>

	* doc/wisent.texi:
	Add paragraphs on default-prec feature in "Grammar format" node.

	* semantic-grammar-wy.el: Re-generate.

	* semantic-grammar.el (semantic-grammar-create-package):
	Generate Lisp code if the
	grammar in the current buffer is modified.

	* semantic-grammar.wy:
	Handle new %default-prec declaration introduced in Bison 1.875c,
	to enable (the default) or disable default rule precedences.
	(DEFAULT-PREC): New token.
	(default_prec_decl): New rule.
	(decl): Use it.

	* wisent/wisent-comp.el:
	Handle new default-prec feature introduced in Bison 1.875c,
	to enable (the default) or disable default rule precedences.
	Add `default-prec' to compile-grammar context.
	(wisent-parse-grammar): Handle `default-prec' in associativity
	rules.

2003-09-24  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-debug.el, semanticdb.el, semantic-analyze.el:
	Dependent on eieio 0.18beta1.

2003-09-24  David Ponce  <david@dponce.com>

	* sformat.el, working.el: Move to common.

	* Makefile: Re-generate.

	* Project.ede (tools):
	Remove sformat.el and working.el from target sources.

2003-09-18  David Ponce  <david@dponce.com>

	* Makefile: Re-generated.

	* Project.ede (init): Remove semantic-autogen.el from target.

2003-09-17  David Ponce  <david@dponce.com>

	* senator.el (senator-menu-bar): Fix typo.

	* Makefile: Re-generated.

	* Project.ede (autoloads):
	Change semantic-al.el by semantic-loaddefs.el.

	* semantic-fw.el: Load semantic-loaddefs instead of semantic-al.

2003-09-16  David Ponce  <david@dponce.com>

	* Makefile: Re-generated.

	* semantic-edit.el (semantic-changes-in-region):
	Don't go outside buffer's bounds.

	* bovine/erlang.bnf, semantic-autogen.el: Remove.  Obsolete.

	* wisent/Wisent.mk: Remove.  No more used.

	* wisent/Makefile: Re-generated.

	* wisent/Project.ede (make): Remove target.  No more useful.

	* Makefile: Re-generated.

2003-09-12  David Ponce  <david@dponce.com>

	* semantic-tag.el (semantic--tag-hook-value): New variable.
	(semantic-tag-add-hook): Use `add-hook'.
	(semantic-tag-remove-hook): Use `remove-hook'.
	(semantic--tag-run-hooks): Use new variable above.

2003-09-11  Eric M. Ludlam  <zappo@gnu.org>

	* NEWS: (Versioning, Naming conventions, Grammar build process)
	(semanticdb-find.el, semantic-show-tag-boundaries)
	(semantic-highlight-by-attribute-mode): New
	(bovine-grammar-mode): don't support bnf.
	(semanticdb-search.el): Updated.
	(seup): updated
	(Erlang parser added): Updated

2003-09-10  David Ponce  <david@dponce.com>

	* Makefile: Re-generated.

	* Project.ede (autoloads target):
	Add "bovine" and "wisent" sub-directories to
	autoload-dirs.

2003-09-09  David Ponce  <david@dponce.com>

	* senator.el:
	Use a sub-menu for each Semantic minor mode to shorten the
	Senator/Modes menu.

	(senator-base-local-label)
	(senator-base-global-label)
	(senator-uniquify-count): Remove.
	(senator-build-command-menu-item): Simplify.
	(senator-mode-menu-item-format)
	(senator-mode-menu-item-format-tty): Remove.
	(senator-mode-menu-local-toggle-label)
	(senator-mode-menu-global-toggle-label): New options.
	(senator-build-mode-menu-items): Renamed to...
	(senator-build-mode-sub-menu): Build a minor mode sub-menu instead
	of separate menu items.
	(senator-build-modes-menu): Use it.

2003-09-08  David Ponce  <david@dponce.com>

	* wisent/Makefile: Re-generated.

	* wisent/Project.ede (taggers):
	Move after "wisent" target to use byte-compiled
	grammar compiler and speed up build.
	(languages): Remove "wisent-awk-wy.el" from target.

	* semantic-grammar-wy.el: Resurrect.  Needed to parse grammars!

	* wisent/wisent-c-wy.el, wisent/wisent-calc-wy.el, wisent/wisent-java-tags-wy.el, wisent/wisent-java-wy.el, wisent/wisent-python-wy.el:
	Remove.  Generated.

	* wisent/fdl.texi: Remove.  Moved to doc.

	* semantic-grammar-wy.el: Remove.  Generated.

	* wisent/wisent-grammar.el (semantic-find): Require at compile time.

	* doc/Makefile: Re-generated.

	* doc/Project.ede (Documentation): Remove semanticdb.texi from target.

	* bovine/Makefile: Re-generated.

	* bovine/Project.ede (languages): Add semantic-java.el to target.

	* semantic-sort.el: (semantic-tag-external-member-parent)
	(semantic-tag-external-member-p)
	(semantic-tag-external-member-children): Add autoload cookie.

2003-09-07  David Ponce  <david@dponce.com>

	* bovine/semantic-java.el (semantic-java-prototype-nonterminal):
	Add as obsolete alias of
	`semantic-format-prototype-tag-java-mode'.

	* wisent/wisent-bovine.el (wisent-parse-region):
	Fix local variable name and invalid
	function names.

	* semantic-sort.el (semantic-find): Add compile-time require.

	* semantic-sb.el (inversion-require): Fix speedbar version.

	* semantic-grammar.el (semantic-find): Add compile-time require.

	* semantic-find.el (semantic-sort): Remove compile-time require.

2003-09-07  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-cb.el (semantic-dot): autload cookie.

	* semanticdb-el.el (semanticdb-find-tags-by-class-method): New method

	* wisent/Makefile (doc): Removed vars and rule.

	* wisent/Project.ede (doc): Removed

	* Makefile (LOADDEFS): New
	(maintenance_LISP): removed autoload file
	(all): Add autoload
	(semantic-al.el): new rule
	(init): remove semantic-al.el
	(dist): add loaddefs.

	* Project.ede ("init"): Removed autoload generator
	("autoloads"): New

2003-09-06  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/semantic-scm-by.el: autogenerated now

	* bovine/semantic-make-by.el: autogenerated now.

	* bovine/semantic-erlang-by.el: autogenerated now

	* bovine/semantic-c-by.el: Auto generated in makefile

2003-09-05  David Ponce  <david@dponce.com>

	* wisent/wisent-java-tags.el, wisent/wisent-java.el (wisent-java-get-local-variables):
	Replace by a
	define-mode-overload-implementation of
	`semantic-get-local-variables'.
	(semantic-install-function-overrides): Remove call.

	* bovine/semantic-java.el: (semantic-java-prototype-function)
	(semantic-java-prototype-variable)
	(semantic-java-prototype-type): Doc fix.
	(semantic-java-prototype-tag): Replace by a
	define-mode-overload-implementation of
	`semantic-format-prototype-tag'.
	(semantic-java-find-documentation): Replace by a
	define-mode-overload-implementation of
	`semantic-documentation-for-tag'.  Fix implementation.

	* semantic-doc.el (semantic-doc-snarf-comment-for-tag):
	As indicated in doc string
	allow to pass `lex' in NOSNARF argument.
	(semantic-find-documentation): Declare obsolete.

2003-09-05  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/semantic-scm.el:
	(semantic-format-tag-prototype, semantic-documentation-for-tag)
	(semantic-insert-foreign-tag): New name compatible

	* bovine/semantic-el.el (semantic-bovine): New requirement

	* bovine/semantic-bovine.el (semantic-lambda): Add autoload

2003-09-02  Eric M. Ludlam  <zappo@gnu.org>

	* senator.el (senator-transpose-tags-down): doc fix

	* semantic-tag-file.el (semantic-go-to-tag): Doc fix.

	* semantic-sort.el (semantic-adopt-external-members):
	Doc fix.  Use new names.
	(semantic-nonterminal-external-member-parent): Renamed to
	(semantic-tag-external-member-parent): New name.
	(semantic-nonterminal-external-member-parent-default): Renamed to
	(semantic-tag-external-member-parent-default): new name
	(semantic-nonterminal-external-member-p): renamed to
	(semantic-tag-external-member-p): new name
	(semantic-nonterminal-external-member-p-default): renamed to
	(semantic-tag-external-member-p-default): new name
	(semantic-nonterminal-external-member-children): renamed to
	(semantic-tag-external-member-children): new name
	(semantic-nonterminal-external-member-children-default): renamed to
	(semantic-tag-external-member-children-default): new name

	* semantic-fw.el:
	Make documentation aspects of overload functions available to external modules:
	(semantic-overload-symbol-from-function): new function
	(define-overload): Use above
	(semantic-overload-docstring-extension): New function
	(semantic-augment-function-help): Use above

	* semantic-find.el: (semantic-find-tags-external-children-of-type):
	Use `semantic-tag-extenal-member-parent'.

	* semantic-complete.el (semantic-complete-read-tag-buffer-deep):
	doc fix

	* semantic-cb.el (semantic-cb-convert-type):
	Use `semantic-tag-extenal-member-children'.

	* semantic-analyze.el (semantic-analyze-type-parts):
	Use `semantic-tag-extenal-member-children'.

2003-09-02  David Ponce  <david@dponce.com>

	* bovine/semantic-bovine.el (semantic-lambda):
	Move here from semantic/semantic.el.
	(semantic-bovinate-nonterminal-db-nt): Doc fix.

	* bovine/bovine-grammar.el (bovine-grammar-parsetable-builder):
	Doc fix.

	* semantic.el (semantic-toplevel-bovine-table): Doc fix.
	(semantic-toplevel-bovine-table-source): Remove.  No more used.
	(semantic-lambda): Move to bovine/semantic-bovine.el.
	(semantic-bovinate-region-until-error)
	(semantic-bovinate-from-nonterminal-full): Make obsolete.

	* semantic-util.el (semantic-equivalent-major-modes): Doc fix.

2003-09-01  Eric M. Ludlam  <zappo@gnu.org>

	* doc/wisent.texi:
	(Wisent Overview, Wisent Grammar, Grammar format, Example)
	(Compiling a grammar, Conflicts, Grammar Debugging)
	(Understanding the automaton, Wisent Parsing)
	(Writing a lexer, Actions goodies, Report errors)
	(Error recovery, Debugging actions, Wisent Semantic)
	(WY grammar format, Percent-keywords, WY Major Mode)
	(Grammar styles, Iterative style, Bison style)
	(Mixed style, Start nonterminals, Useful functions)
	(Wisent Lex, Wisent Index): Updated @section and @node names
	to be compatible with makeinfo.

	* doc/user-guide.texi (senator): Fixed ref.

	* doc/lang-support-guide.texi (Language Support Developer's Guide):
	Removed empty node.
	(Keywords): @ref updates.
	(Keyword Properties): Added property tables
	(Writing Parsers): Update refs
	(External Parsers, Bovine Parsers, Wisent Parsers, Grammar)
	(Programming Environment): Updated sections to be makeinfo compatible.

	* doc/bovine.texi:
	(%start, %languagemode, %token, Bovine Grammar Rules)
	(Optional Lambda Expression): Updated sectioning names to make
	compatible with makeinfo.

2003-08-31  David Ponce  <david@dponce.com>

	* wisent/wisent-grammar-macros.el: (wisent-grammar-EXPAND)
	(wisent-grammar-EXPANDFULL): Doc fix.
	(wisent-grammar-TAG)
	(wisent-grammar-VARIABLE-TAG)
	(wisent-grammar-FUNCTION-TAG)
	(wisent-grammar-TYPE-TAG)
	(wisent-grammar-INCLUDE-TAG)
	(wisent-grammar-PACKAGE-TAG)
	(wisent-grammar-CODE-TAG)
	(wisent-grammar-EXPANDTAG)
	(wisent-grammar-AST-ADD)
	(wisent-grammar-AST-PUT)
	(wisent-grammar-AST-GET)
	(wisent-grammar-AST-GET1)
	(wisent-grammar-AST-GET-STRING)
	(wisent-grammar-AST-MERGE): Use explicit arguments.

	* bovine/semantic-scm-by.el, bovine/semantic-erlang-by.el:
	Re-generated.

	* bovine/scheme.by (scheme): Fix call to the EXPAND macro.

	* bovine/erlang.by: (module-attr, import-attr, import-name-list)
	(fun-clause, macro-def, include-dir)
	(include-lib-dir): Fix call to the EXPAND macro.
	(record-decl, record-def): Fix call to the EXPANDFULL macro.

	* bovine/bovine-grammar-macros.el: (bovine-grammar-EXPAND)
	(bovine-grammar-EXPANDFULL)
	(bovine-grammar-TAG)
	(bovine-grammar-VARIABLE-TAG)
	(bovine-grammar-FUNCTION-TAG)
	(bovine-grammar-TYPE-TAG)
	(bovine-grammar-INCLUDE-TAG)
	(bovine-grammar-PACKAGE-TAG)
	(bovine-grammar-CODE-TAG): Use explicit arguments.

	* semantic-grammar.el (semantic-grammar-create-package):
	Move insert of declaration
	header into declaration part.

2003-08-31  Eric M. Ludlam  <zappo@gnu.org>

	* senator.el: (senator-transpose-tags-up)
	(senator-transpose-tags-down): New commands.

	* semantic-texi.el (semantic-default-texi-setup):
	Bind f9 to update texi from texi.

	* doc/wisent.texi:
	Converted from stand along documentation to part of semantic manual.
	(Wisent Parsers): Renamed.
	(Wisent Grammar): Renamed
	(Wisent Parsing): Renamed
	(Wisent Index): Unchaptered.

	* doc/semantic.texi: Added Richard to AUTHORS.

	* doc/Project.ede, doc/Makefile: Added bovine and wisent texi files.

	* doc/lang-support-guide.texi (Language Support Developer's Guide):
	Rename BNF section.
	(Language Support Overview): Use semantic macro.
	(Writing Parsers): Divided into three parser type sections.
	(Writing Grammars): Emptied out.

	* doc/bovine.texi: New.

	* doc/app-dev-guide.texi (Override Methods):
	Add pointer to the app dev guide.
	(Tag Details): Anchors and obsolete tags..
	(System Databases): Added Anchor.

	* bovine/semantic-el.el (semantic-elisp-use-read):
	Add an :overloadable attribute.
	(semantic-emacs-lisp-overridable-doc)
	(semantic-emacs-lisp-obsoleted-doc): New functions
	(semantic-documentation-for-tag): Add above new info to doc strings.

	* semantic.texi: Now exists in the doc directory.

	* doc/wisent.texi, wisent/wisent.texi:
	Renamed wisent/wisent.texi to doc/wisent.texi

	* document.el (document-insert-texinfo):
	Add an anchor to all definitions.

2003-08-30  Eric M. Ludlam  <zappo@gnu.org>

	* doc/user-guide.texi: (Script Generated Cache Files)
	(Create System Databases): New sections.

	* doc/app-dev-guide.texi (Semantic Database):
	Added new sections for seraching and system databases.
	(Semanticdb in Programs): Updated
	(Semanticdb Tag Queries): Updated

	* doc/app-dev-guide.texi: (Tag Collectors)
	(Tag Displayors):  Removed class hierarcy.  (subsubsubsections bad.)
	(Override Methods): New node `tag-members'.
	(Format Tag): Updated all functions
	(Tag members): New section
	(Tag Details): Updated all functions
	(Local Context): Updated all functions
	(Parser Hooks): updated all hooks.

2003-08-29  Eric M. Ludlam  <zappo@gnu.org>

	* doc/app-dev-guide.texi (Application Developer's Guide):
	Fix menu.  Add semanticdb.
	(Tags at Point): Add next/prev by overlay.
	(Tag Completion): Delegate previous doc as "old".
	All new doc for the new `semantic-complete.el' code.
	(Format Tag): Fcn name fixes.
	(Semantic Database): new

	* bovine/Makefile (bovinator_LISP): Removed semantic-bnf.el

	* Makefile: Added EDE onto the load path.

	* Project.ede: Added ede as a path extension.

	* semantic-util-modes.el (semantic-decorate): New require.

	* semantic-util.el (semanticdb): New require.

	* semantic-texi.el (semantic-doc): New require
	(semantic-texi-find-documentation): Fix compiler warning.
	(semantic-texi-update-doc-from-texi): Fix prototype doc transfer.
	(semantic-texi-update-doc-from-source): Fix compiler warning.

	* semantic-sort.el (semantic-bucketize-tag-class): Fix doc.

	* semantic-grammar.el (semantic-format): new require.

	* semantic-format.el (semantic-format-tag-summarize-default):
	Don't use bucketize
	function.  Just get the class.

	* semantic-find.el (semantic-sort): New require.

	* semantic-doc.el (semantic-documentation-for-tag):
	Use `semantic-go-to-tag'.

	* semantic-decorate.el (semantic-tag-delete-secondary-overlay):
	Added autoload cookie.

	* semanticdb-el.el (eieio-opt):
	New require for byte-compiler modifications.

	* semantic-cb.el (semanticdb-find, semantic-sort): New require
	(eieio-speedbar-handle-click): Rename token to tag.

	* semantic-analyze.el (semantic-sort): new require.

	* bovine/semantic-bnf.el: *** empty log message ***

	* bovine/Project.ede (bovinator): Remove semantic-bnf.el

	* semantic-util.el (semantic-something-to-tag-table):
	Fixed compiler warnings
	(semantic-recursive-find-nonterminal-by-name):
	Replace obsoleted function call with new call.

2003-08-29  David Ponce  <david@dponce.com>

	* bovine/semantic-erlang-by.el: Re-generated.

	* bovine/erlang.by (record-def): Fix call to TYPE-TAG.
	(include-dir, include-lib-dir): Fix call to INCLUDE-TAG.

	* semantic-grammar.el (semantic-grammar-buffer-file): New function.
	(semantic-grammar-package, semantic-grammar-keywordtable)
	(semantic-grammar-tokentable, semantic-grammar-parsetable)
	(semantic-grammar-setupfunction, semantic-grammar-header)
	(semantic-grammar-footer): Use it.

	(semantic-grammar-batch-build-one-package): Increase some Emacs
	limits to byte-compile complex grammar tables.

2003-08-29  Eric M. Ludlam  <zappo@gnu.org>

	* doc/tags.texi (Semantic Tags): New menu item.
	(Tag Hooks): New section
	(Misc Tag Internals): Add refs to tag hooks.

	* doc/user-guide.texi (senator): Fix Command typo
	(semanticdb): Removed Semanticdb configuration node.

	* doc/overview.texi (Semantic Components):
	Remove BNF and bovine references.

	* doc/user-guide.texi (semanticdb): Doc fix
	(Semanticdb Configuration): Updated.
	(Semanticdb Tag Storage, Semanticdb Search Configuration)
	(Semanticdb System Backends, Changing Backends): New subsubsections.

2003-08-28  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-ede-grammar.el (ede-proj-makefile-insert-dist-dependencies):
	New method

2003-08-28  David Ponce  <david@dponce.com>

	* bovine/semantic-erlang-by.el: Re-generated.

	* bovine/erlang.by (binary-segment-rest):
	Use basic-type instead of integer-literal.
	(binary-unit): Likewise.

2003-08-28  Eric M. Ludlam  <zappo@gnu.org>

	* doc/lang-support-guide.texi: (Writing Lexers)
	(Lexer Overview): Change to `semantic-lex'.
	(Lexer Options): Deleted
	(Lexer Construction): New
	(Lexer Built In Analyzers): New
	(Keywords): Updated
	(Writing Parsers): Added note to self.
	(Rules): Updated just enough so it compiles.

	* bovine/Makefile (by_SEMANTIC_GRAMMAR): Added erlang.by

	* bovine/Project.ede ("by"): Added erlang.by

	* bovine/erlang.bnf: (binary-segment-rest)
	(binary-unit): David Wallin's changes.

2003-08-28  David Ponce  <david@dponce.com>

	* bovine/semantic-erlang.el: Convert old BNF grammar to new BY format.

	(semantic-erlang-by): Require.
	(semantic-erlang-lex-char)
	(semantic-erlang-lexer): New function.
	(semantic-default-erlang-setup): Rename to...
	(semantic-erlang-default-setup): New.  Update all references.
	(semantic-toplevel-erlang-bovine-table)
	(semantic-erlang-keyword-table): Remove.

	* bovine/semantic-erlang-by.el, bovine/erlang.by: New file.

	* semantic-util-modes.el: (semantic-stickyfunc-old-hlf)
	(semantic-stickyfunc-header-line-format): New variables.
	(semantic-stickyfunc-mode-setup): When turning sticky func mode
	on/off, take care of a header line previously there.

2003-08-28  Eric M. Ludlam  <zappo@gnu.org>

	* document.el (document-texify-elisp-docstring):
	Add <> as valid symbols characters.

	* semantic-texi.el (semantic-texi-set-endpoint): New fcn
	(semantic-texi-recursive-combobulate-list): Set section end point to
	the logical end of those sections instead of the end of the regexp.
	(semantic-default-texi-setup): Add stickyfunc support.
	(semantic-texi-update-doc-from-texi): Look for prototype, and
	variable doc strings.  Go for the function first, then variable, then
	prototype.

	* semantic-util-modes.el:
	(semantic-highlight-edits-face, semantic-highlight-edits-mode)
	(semantic-show-unmatched-syntax-mode, semantic-auto-parse-mode)
	(semantic-show-parser-state-mode, semantic-summary-mode)
	(semantic-stickyfunc-mode, semantic-show-tag-boundaries-mode)
	(semantic-highlight-attribute-alist)
	(semantic-highlight-by-attribute-mode): Doc Fix
	(semantic-stickyfunc-sticky-classes): Made buffer local.
	(semantic-stickyfunc-fetch-stickyline): Start at bottom, and find
	first matching tag class.

	* doc/user-guide.texi (Semantic User's Guide): updated the menu.
	(Speedbar): Fixed ref to class browser.
	(Minor Modes): Added Summary Mode, Sticky Functions, Tag Boundaries,
	and attribute highlighting modes.

2003-08-27  Eric M. Ludlam  <zappo@gnu.org>

	* doc/user-guide.texi: (speedbar)
	(imenu): Added @file around .emacs
	(senator): Updated commands with new tag based names.
	Updated all doc strings.
	(Analyzer): Updated doc strings.
	Augmented some documentation.
	(Smart Completion): Updated doc strings.
	(Speedbar Analysis): Updated @ref to capitalized names.
	(Class Browser): Removed explicit reference to EIEIO.
	Formated some text.
	(Document): updated doc strings.
	Fixed target file for document output.
	Augmented text around commands.
	(Charts): Updated doc strings and function names.
	(Minor Modes): added subsection nheaders.
	Replaced obsolete commands with new commands.
	Updated all existing doc.
	Added some new text around each mode.

2003-08-27  David Ponce  <david@dponce.com>

	* senator.el: (senator-search-forward, senator-re-search-forward)
	(senator-word-search-forward): Doc fix.
	(senator-search-backward, senator-re-search-backward)
	(senator-word-search-backward): Doc fix.
	(senator-menu-bar): Fix use of obsolete variable.

2003-08-26  David Ponce  <david@dponce.com>

	* doc/user-guide.texi: Fix node @ref.

2003-08-26  Eric M. Ludlam  <zappo@gnu.org>

	* doc/user-guide.texi (Semantic User's Guide): Added ECB
	(speedbar): token->tag fix
	(ECB): New node
	(imenu): Update all variables.
	(senator): Update all command in first few subsubsections.

	* bovine/semantic-el.el (semantic-elisp-use-read):
	Fixed user-visible typo.
	(semantic-documentation-for-tag): Use substitute command keys on
	found string.

	* senator.el (senator-kill-tag): Doc fix.
	(senator-isearch-toggle-semantic-mode): Doc fix.

	* semantic-texi.el (semantic-default-texi-setup):
	Use new imenu variable names
	(semantic-texi-update-doc-from-texi): If the first doc match is a
	prototype, keep searching for the original.  If there is no original,
	use the prototype.

	* semantic-imenu.el (semantic-imenu-summary-function): Doc fix.
	(semantic-imenu-expand-type-members): Renamed from ...
	(semantic-imenu-expand-type-parts): Obsolete
	(semantic-imenu-bucketize-type-members): Renamed from ...
	(semantic-imenu-bucketize-type-parts): Obsolete
	(semantic-imenu-sort-bucket-function): Doc fix.
	(semantic-imenu-expandable-tag-class): Renamed from ...
	(semantic-imenu-expandable-token): Obsolete
	(semantic-create-imenu-index-1, semantic-create-imenu-subindex)
	(semantic-imenu-toggle-bucketize-type-parts)
	(semantic-default-which-function): Use renamed variables.

	* document.el (document-texify-elisp-docstring):
	Support kbd items followed by punctuation.

2003-08-26  David Ponce  <david@dponce.com>

	* doc/lang-support-guide.texi: Fix node @ref.

2003-08-26  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-edit.el: (define-lex-analyzer)
	(define-lex-regex-analyzer)
	(semantic-lex-number): Use `semantic-format-tag-name' instead of
	obsolete fcn.

	* semantic-lex.el: (define-lex-analyzer)
	(define-lex-regex-analyzer)
	(semantic-lex-number): Doc fix

2003-08-25  Eric M. Ludlam  <zappo@gnu.org>

	* doc/lang-support-guide.texi (Parser Error Handling):
	replace `token' fcns with `tag' fcns.
	(Tag Structure): Removed contents of standard tags.  Refer to creating tags
	chapter instead.
	(Language Support Overview)
	(Semantic Overload Mechanism): Various token->tag updates
	(Writing Lexers)
	(Lexer Overview)
	(Lexer Output): Refer to sematnic-lex.  This needs more work.

	* Makefile (semantic_LISP): Added semantic-ast
	(maintenance_LISP): new
	(maintenance): New
	(dist): Add above new sources.

	* Project.ede ("maintenance"): New target.

	* doc/glossary.texi (Glossary):
	Added more definitions to some keywords.

	* doc/Makefile (Documentation_TEXINFOS): Add tags.texi.

	* doc/Project.ede (Documentation): Add tags.texi.

	* bovine/semantic-el.el (semantic-elisp-store-documentation-in-tag):
	New flag.
	(semantic-elisp-do-doc): New flag
	(semantic-elisp-use-read): Add doc strings to tags iff above flag is enabled.
	(semantic-documentation-for-tag): Get doc string from tag.
	If there isn't one, re-run semantic-elisp-use-read with doc turned on.

	* semantic-texi.el (semantic-texi-update-doc-from-texi):
	Use new search routine.
	Combine all tags into one long list.
	(semantic-texi-update-doc-from-source): Use new doc fetching name.

	* semantic-util.el (semantic-something-to-tag-table):
	Use semanticdb-get-tags instead of oref.

	* semanticdb-find.el (semanticdb-find-translate-path):
	Accept a `brutish' flag.
	(semanticdb-find-translate-path-default): Accept a brutish flag.
	(semanticdb-find-translate-path-brutish-default)
	(semanticdb-find-translate-path-includes-default): New fcns.
	(semanticdb-find-tags-collector): Pass through a brutish flag to the collector.
	(semanticdb-brute-deep-find-tags-by-name): New fcn.

	* semanticdb.el (semanticdb-current-database-list):
	Add optional DIR argument for
	starting directory.

2003-08-25  David Ponce  <david@dponce.com>

	* semantic-grammar.el (semantic-grammar-create-package):
	In message, use the package
	name instead of the Lisp file name.
	(semantic-grammar-batch-build-one-package): Use
	`byte-compile-dest-file' to obtain the compiled file name.

2003-08-23  Eric M. Ludlam  <zappo@gnu.org>

	* doc/app-dev-guide.texi:
	(Application Developer's Guide, Tag Tables, Tags at Point)
	(Tag Sorting, Tag Completion, Override Methods, Format Tag)
	(Tag Details, Parser Hooks, Example Programs):
	Removed references to `token' and `nonterminal' where apropriate.
	Fixed all cross links within this file.

	* semantic-texi.el (semantic-texi-update-doc-from-texi):
	Use brute search when finding
	the tag for the doc.

	* semantic-sort.el (semantic-mark-external-member-function): Doc fix.

	* semantic-edit.el (semantic-after-partial-cache-change-hook): Doc fix.

	* semantic-ede-grammar.el (semantic-ede-proj-target-grammar):
	Added new source and compiler types.
	(semantic-ede-source-grammar): Renamed to
	(semantic-ede-source-grammar-wisent):
	(semantic-ede-grammar-compiler): Renamed to
	(semantic-ede-grammar-compiler-wisent):
	(semandic-ede-source-grammar-bovine, semantic-ede-grammar-compiler-bovine):
	New.

	* bovine/Makefile, bovine/Project.ede:
	Replaced old by target with new by target of semantic grammar type.

2003-08-22  Eric M. Ludlam  <zappo@gnu.org>

	* wisent/Makefile (LOADPATH): New stuf added
	(wy): Removed
	(all): added taggers
	(dist): removed wy, added taggers
	(taggers): new rule for compiling .wy files.

	* wisent/Project.ede (taggers): New
	(wy): deleted

	* semantic-ede-grammar.el (semantic-grammar): move require.
	(semantic-ede-proj-target-grammar): autoload cookie
	(semantic-ede-grammar-compiler): Remove extra rules.  Use one single
	batch of actions.
	(ede-compile-intermediate-objects-p, ede-compiler-intermediate-object-variable):
	Removed.
	(ede-proj-makefile-insert-variables): changed extra variable to be
	the .el files.
	(ede-proj-makefile-insert-rules): Removed intermediate rules used before.
	(end of file): Fixed provide statement, and method for adding this
	project class.

	* semantic-grammar.el (semantic-grammar-create-package):
	Do not create the package if the
	package is not out of date.
	(semantic-grammar-batch-build-one-package): Do not byte compile if the
	compiled file is not out of date.

2003-08-21  David Ponce  <david@dponce.com>

	* semantic-grammar.el (semantic-grammar-create-package):
	Return name of created file.
	(semantic-grammar-create-package-from-file): Replace by...
	(semantic-grammar-batch-build-one-package): New fcn.  Creates the
	package AND byte compiles it.
	(semantic-grammar-batch-create-package): Rename to...
	(semantic-grammar-batch-build-packages): Use new fcn above.  Error
	checks with user comprehensible messages.  Remove vc from
	find-file-hooks.  It causes bad stuff to happen in Emacs 20.

2003-08-20  David Ponce  <david@dponce.com>

	* semantic-grammar.el (eldoc-current-symbol-info): Fix typo.

	* semantic-grammar.el: (semantic-grammar-insert-defconst)
	(semantic-grammar-insert-defun): No more call `eval-defun'.
	(semantic-grammar-file-regexp): New option.
	(semantic-grammar-noninteractive): New function.
	(semantic-grammar-create-package): Doc fix.  Use `eval-region' to
	evaluate declarations and epilogue.  Handle when run in batch
	mode.
	(semantic-grammar-create-package-from-file)
	(semantic-grammar-batch-create-package): New functions.
	(semantic-grammar-mode, semantic-abbreviate-nonterminal)
	(semantic-summarize-nonterminal): Don't use obsolete API.
	(semantic-grammar-function-argstring-from-docstring)
	(semantic-grammar-eldoc-get-macro-docstring): New functions.
	(eldoc-current-symbol-info): Handle grammar macros.

	* semantic-format.el (semantic-colorize-text): Declare obsolete.

2003-08-17  David Ponce  <david@dponce.com>

	* wisent/wisent-c.el (c-mode-hook): Remove autoload cookie.

	* senator.el: (senator-find-nonterminal-by-name)
	(senator-find-nonterminal-by-name-regexp): Remove "." at end of
	error message.
	(senator-search-tag-filter): New option.
	(senator-search-forward-raw)
	(senator-search-backward-raw): Remove.  Replace by...
	(senator-search): New function.
	(senator-re-search-forward, senator-re-search-backward)
	(senator-word-search-forward, senator-word-search-backward)
	(senator-search-forward, senator-search-backward): Use it.
	(senator-last-search-type): New variable.
	(senator-nonincremental-repeat-search-forward)
	(senator-nonincremental-repeat-search-backward): Use it.
	(senator-nonincremental-search-forward)
	(senator-nonincremental-search-backward)
	(senator-nonincremental-re-search-forward)
	(senator-nonincremental-re-search-backward): Set it.
	(senator-nonincremental-repeat-re-search-forward)
	(senator-nonincremental-repeat-re-search-backward): Remove.
	(senator-search-set-tag-class-filter): New command.
	(senator-prefix-map): Add keyboard shortcut for it.
	(senator-menu-bar): Update search sub menu.

2003-08-17  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-ede-grammar.el: EDE interface for grammar files.

	* senator.el (senator-menu-bar):
	Changed names of all charting functions.

	* semantic-util.el (semantic-something-to-tag-table): Update doc.

	* semantic-chart.el:
	(semantic-chart-database-size, semantic-chart-tags-by-class)
	(semantic-chart-tag-complexity):  New fcn name.  Remove all references
	to nonterminal or token.

2003-08-15  David Ponce  <david@dponce.com>

	* semantic-grammar.wy (USE-MACROS): New token.
	(decl): Add following...
	(use_macros_decl): New rule.

	* semantic-grammar.el (semantic-grammar-epilogue-start):
	Ensure the start location will
	never be reached when there is no epilogue.
	(semantic-grammar-tokens): Use `semantic-tag-type'.
	(semantic-summarize-nonterminal): Likewise.
	(semantic-grammar-use-macros): New function.
	(semantic-grammar-macros): Use it.
	(semantic--grammar-macdecl-re)
	(semantic--grammar-macros-regexp-2): New variables.
	(semantic--grammar-clear-macros-regexp-2): New function.
	(semantic--grammar-macros-regexp-2): Implement.
	(semantic-grammar-map): Add shortcut key for
	`semantic-grammar-find-macro-expander'.
	(semantic-grammar-mode): Install
	`semantic--grammar-clear-macros-regexp-2' in local
	`before-change-functions' hooks.
	(semantic--grammar-macro-function-tag)
	(semantic--grammar-macro-lib-part)
	(semantic--grammar-macro-compl-elt)
	(semantic--grammar-macro-compl-dict): New functions.
	(semantic-grammar-find-macro-expander): New command.

	* semantic-grammar-wy.el: Re-generated.

2003-08-15  Richard Y. Kim <ryk@ap.com>

	* doc/app-dev-guide.texi, doc/lang-support-guide.texi, doc/semantic.texi, doc/tags.texi:
	Created a new file, tags.texi, which documents the API for accessing semantic tags.  This file is a section @include'd by app-dev-guide.texi.

2003-08-14  David Ponce  <david@dponce.com>

	* semanticdb-find.el (semanticdb-find-translate-path-default):
	Make code more efficient
	and compatible with old versions of Emacs.
	(semanticdb-find-tags-collector): Skip tables not associated to a
	file when FIND-FILE-MATCH is non-nil.

2003-08-11  David Ponce  <david@dponce.com>

	* wisent/wisent-grammar.el (wisent-grammar-macros): Require it.
	(wisent-grammar-region-placeholder)
	(wisent-grammar-EXPAND)
	(wisent-grammar-EXPANDFULL)
	(wisent-grammar-TAG)
	(wisent-grammar-VARIABLE-TAG)
	(wisent-grammar-FUNCTION-TAG)
	(wisent-grammar-TYPE-TAG)
	(wisent-grammar-INCLUDE-TAG)
	(wisent-grammar-PACKAGE-TAG)
	(wisent-grammar-EXPANDTAG)
	(wisent-grammar-CODE-TAG)
	(wisent-grammar-AST-ADD)
	(wisent-grammar-AST-PUT)
	(wisent-grammar-AST-GET)
	(wisent-grammar-AST-GET1)
	(wisent-grammar-AST-GET-STRING)
	(wisent-grammar-AST-MERGE)
	(wisent-grammar-builtins)
	(wisent-grammar-builtin-names): Remove.  New definition in
	wisent-grammar-macros library.
	(wisent-grammar-expand-builtins): Move and rename...
	(wisent-grammar-expand-macros): New function.
	(wisent-grammar--macros): New variable.
	(wisent-grammar-nonterminals): Use `wisent-grammar-expand-macros'.
	Initialize macro definitions.
	(wisent-grammar-mode): Don't setup
	`semantic-grammar-builtin-names'.

	* wisent/wisent-grammar-macros.el: New file.

	* bovine/bovine-grammar.el (bovine-grammar-macros): Require it.
	(bovine--grammar-macros): New variable.
	(bovine-grammar-expand-EXPAND)
	(bovine-grammar-expand-EXPANDFULL)
	(bovine-grammar-expand-ASSOC)
	(bovine-grammar-expand-TAG)
	(bovine-grammar-expand-VARIABLE-TAG)
	(bovine-grammar-expand-FUNCTION-TAG)
	(bovine-grammar-expand-TYPE-TAG)
	(bovine-grammar-expand-INCLUDE-TAG)
	(bovine-grammar-expand-PACKAGE-TAG)
	(bovine-grammar-expand-CODE-TAG): Remove.  New definition in
	bovine-grammar-macros library.
	(bovine-grammar-expand-form): Don't use hard-coded expanders.
	(bovine-grammar-expand-action): Likewise.
	(bovine-grammar-parsetable-builder): Initialize macro definitions.

	* bovine/bovine-grammar-macros.el: New file.

	* semantic-grammar.wy (decl): Remove extra empty rule.

	* semantic-grammar.el (semantic-grammar-macros):
	New variable and function.
	(semantic-grammar-header-template): Use %C and %V for respectively
	the copyright line and the version keyword.
	(semantic-grammar-copyright-line): New function.
	(semantic-grammar-header): Use it.  Setup %C and %V.  No more
	inlined.
	(semantic-grammar-footer): Doc fix.  No more inlined.
	(semantic-grammar-token-data)
	(semantic-grammar-keyword-data)
	(semantic-grammar-parser-data)
	(semantic-grammar-setup-data): No more inlined.
	(semantic-grammar-create-package): Improve generation-evaluation
	of lisp code.
	(semantic--grammar-macros-regexp-1): New variable and function.
	(semantic--grammar-macros-regexp-2): New variable.
	(semantic--grammar-macros-matcher): New function.
	(semantic-grammar-builtin-names)
	(semantic-grammar-builtin-names-regexp)
	(semantic-grammar-builtin-names-matcher): Remove.
	(semantic-grammar-mode-keywords-1): Use
	`semantic--grammar-macros-matcher'.
	(semantic-grammar-map): Add ':' to electric punctuations.
	(semantic-grammar-skip-comments-backward)
	(semantic-grammar-goto-grammar-indent-anchor)
	(semantic-grammar-between-name-and-colon-p)
	(semantic-grammar-grammar-compute-indentation): Remove.
	(semantic-grammar-backward-item)
	(semantic-grammar-anchored-indentation): New function.
	(semantic-grammar-do-grammar-indent): Simplify.  Use above new
	functions.

	* semantic-grammar-wy.el: Re-generated.

2003-08-11  Richard Y. Kim <ryk@ap.com>

	* doc/semantic.texi: Added @semantic{} macro.

	* doc/lang-support-guide.texi:
	Added sections titled "Tag Structure" and "Semantic Overload Mechanism".

2003-08-06  David Ponce  <david@dponce.com>

	* semantic-find.el (semantic-find-first-tag-by-name): Use `assoc' and
	`assoc-ignore-case' instead of `assoc-string'.

2003-08-05  Eric M. Ludlam  <zappo@gnu.org>

	* wisent/Makefile (languages_LISP): Removed unneeded lisp code
	(Wisent.mk): Include this file
	(dist): Aux makefile added to dist.

	* wisent/Wisent.mk: Makefile extension for autogenerated Wisent code.

2003-08-02  David Ponce  <david@dponce.com>

	* wisent/wisent-awk.el, wisent/wisent-cim.el: Obsolete file removed.

	* wisent/wisent-python.el (wisent-python-wy): Require.
	(wisent-python-parser-tables, wisent-python-keywords)
	(wisent-python-tokens): Remove.
	(wisent-python-default-setup): Moved.  Call generated function to
	setup parser internals.  Do user's setup here.

	* wisent/wisent-java-tags.el (wisent-java-tags-wy): Require.
	(wisent-java-parser-tables, wisent-java-keywords)
	(wisent-java-tokens): Remove.
	(wisent-java-default-setup): Call generated function to setup
	parser internals.  Do user's setup here.  Use new variable
	`senator-step-at-tag-classes'.

	* wisent/wisent-java.el (wisent-java-wy): Require.
	(wisent-java-parser-tables, wisent-java-keywords)
	(wisent-java-tokens): Remove.
	(wisent-java-default-setup): Call generated function to setup
	parser internals.  Do user's setup here.  Use new variable
	`senator-step-at-tag-classes'.
	(semantic-default-java-setup): Remove obsolete `remove-hook'.

	* wisent/wisent-java-tags.wy, wisent/wisent-java.wy, wisent/wisent-python.wy:
	(%outputfile, %parsetable, %tokentable)
	(%keywordtable, %setupfunction, setupcode): Remove.

	* wisent/wisent-grammar.el (require 'cl): Remove.
	(wisent-grammar-EXPAND)
	(wisent-grammar-EXPANDFULL): Fix error message.
	(wisent-grammar-CODE-TAG): Add missing comma.
	(wisent-grammar-expand-builtins): No more expand macros.
	(wisent-grammar-expand-sexpr): Remove.  All callers changed.
	(wisent-grammar-setupcode-builder): Return only code to setup
	parser internals.

	* wisent/wisent-calc.el (wisent-calc-wy): Require.
	(wisent-calc-automaton, wisent-c-keyword-table)
	(wisent-calc-tokens): Remove.
	(wisent-calc-setup-parser): Moved in grammar epilogue.
	(wisent-calc): No more depend on `wisent-calc-automaton'.

	* wisent/wisent-calc.wy: (%outputfile, %parsetable, %tokentable)
	(%setupfunction, setupcode): Remove.
	(epilogue) <wisent-calc-setup-parser>: New.

	* wisent/wisent-c.el (wisent-c-wy): Require.
	(semantic-ast): Remove.  It is required in above library.
	(wisent-c-parser-automaton, wisent-c-keyword-table)
	(wisent-c-token-table): Remove.
	(wisent-c-default-setup): Call generated function to setup
	parser internals.  Do user's setup here.  Use new variable
	`senator-step-at-tag-classes'.

	* wisent/wisent-c.wy: (%outputfile, %parsetable, %tokentable)
	(%keywordtable, %setupfunction): Remove.
	(prologue): New.

	* wisent/wisent-awk.wy, wisent/wisent-cim.wy:
	(%outputfile, %parsetable, %tokentable)
	(%keywordtable, %setupfunction): Remove.

	* wisent/wisent-c-wy.el, wisent/wisent-calc-wy.el, wisent/wisent-java-tags-wy.el, wisent/wisent-java-wy.el, wisent/wisent-python-wy.el:
	New generated file.

	* bovine/semantic-skel.el (semantic-skeleton-by): Require.
	(semantic-toplevel-skeleton-bovine-table)
	(semantic-scheme-skeleton-table): Remove.
	(semantic-default-skel-setup): Call generated function to setup
	parser internals.  Do user's setup here.

	* bovine/semantic-scm.el (semantic-scm-by): Require.
	(semantic-toplevel-scheme-bovine-table)
	(semantic-scheme-keyword-table): Remove.
	(semantic-default-scheme-setup): Call generated function to setup
	parser internals.  Do user's setup here.

	* bovine/semantic-make.el (semantic-make-by): Require.
	(semantic-toplevel-make-bovine-table)
	(semantic-make-keyword-table): Remove.
	(semantic-default-make-setup): Call generated function to setup
	parser internals.  Do user's setup here.

	* bovine/semantic-c.el (semantic-c-by): Require.
	(semantic-toplevel-c-bovine-table)
	(semantic-c-keyword-table): Remove.
	(semantic-default-c-setup): Call generated function to setup
	parser internals.  Do user's setup here.  Use new variable
	`senator-step-at-tag-classes'.

	* bovine/c.by, bovine/make.by, bovine/scheme.by, bovine/skeleton.by:
	(setupcode, %outputfile, %parsetable)
	(%keywordtable, %setupfunction): Remove.
	(%package): New.

	* bovine/bovine-grammar.el (bovine-grammar-setupcode-builder):
	Only setup parser internals.

	* bovine/semantic-c-by.el, bovine/semantic-make-by.el, bovine/semantic-scm-by.el, bovine/semantic-skeleton-by.el:
	New generated file.

	* semantic-grammar.wy: Parse new grammar outline.

	(setupcode, %outputfile, %parsetable)
	(%tokentable, %setupfunction): Remove.
	(%start) Add prologue epilogue.
	(LANGUAGEMODE, LEFT, NONASSOC, PREC, PUT, QUOTEMODE)
	(RIGHT, SCOPESTART, START, TOKEN)
	(KEYWORDTABLE, OUTPUTFILE, PARSETABLE)
	(SETUPFUNCTION, TOKENTABLE): Keywords begin with `%'.
	(PACKAGE): New keyword.
	(PERCENT_PERCENT, PROLOGUE, EPILOGUE): New tokens.
	(PERCENT): Remove.
	(grammar): Add prologue and epilogue rules.
	(prologue, epilogue): New rules.
	(decl): Add package_decl, precedence_decl rules.  Remove
	left_decl, right_decl and nonassoc decl.
	(package_decl, precedence_decl, associativity): New rules.
	(any_symbol, level): Remove.  All callers changed.

	* semantic-grammar.el:
	New outline of semantic input grammars, conform to bison's one.
	Lisp code generated from a grammar is now in its own library.

	(semantic-grammar-wy, sformat): Require.
	(semantic-grammar-lex-prologue)
	(semantic-grammar-lex-epilogue): New lex analyzers.
	(semantic-grammar-lexer): Use them.
	(semantic-grammar-lex-epilogue-start): New function.
	(semantic-grammar-automaton)
	(semantic-grammar-keywords)
	(semantic-grammar-tokens): Remove.
	(semantic-grammar-prologue)
	(semantic-grammar-epilogue)
	(semantic-grammar-package): New functions.
	(semantic-grammar-setupcode-text)
	(semantic-grammar-setupcode-forms)
	(semantic-grammar-outputfile): Remove.
	(semantic-grammar-setupfunction)
	(semantic-grammar-tokentable)
	(semantic-grammar-parsetable)
	(semantic-grammar-keywordtable): New implementation.
	(semantic-grammar-autogen-cookie)
	(semantic-grammar-autogen-cookie-re)
	(semantic-grammar-buffer)
	(semantic-grammar-beginning-of-code)
	(semantic-grammar-beginning-of-body)
	(semantic-grammar-with-outputfile)
	(semantic-grammar-with-grammar-buffer)
	(semantic-grammar-update-def)
	(semantic-grammar-update-parsetable)
	(semantic-grammar-update-keywordtable)
	(semantic-grammar-update-tokentable)
	(semantic-grammar-update-setupfunction)
	(semantic-grammar-update-outputfile)
	(semantic-grammar-setupcode-value)
	(semantic-grammar-keywordtable-value)
	(semantic-grammar-tokentable-value)
	(semantic-grammar-parsetable-value): Remove.
	(semantic--grammar-input-buffer)
	(semantic--grammar-output-buffer)
	(semantic-grammar-insert-defconst)
	(semantic-grammar-insert-defun)
	(semantic-grammar-header-template)
	(semantic-grammar-footer-template)
	(semantic-grammar-header)
	(semantic-grammar-footer)
	(semantic-grammar-token-data)
	(semantic-grammar-keyword-data)
	(semantic-grammar-parser-data)
	(semantic-grammar-setup-data)
	(semantic-grammar-create-package): New.
	(semantic-grammar-syntax-table): Give word syntax class to '%'.
	(semantic-grammar-mode-keywords-1): Update for new syntax.
	(semantic-grammar-map): Map C-c C-c to
	`semantic-grammar-create-package'.
	(semantic-grammar-in-lisp-p): Take into account the epilogue code.
	(emantic-grammar-do-lisp-indent): Likewise.
	(semantic-grammar-mode): Doc fix.  Update semantic setup.

	* semantic-grammar-wy.el: New generated file.

2003-08-01  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/c.by (setq): Use new names.
	(knr-arguments): Use new name of expand fcn.

	* bovine/semantic-c.el (semantic-toplevel-c-bovine-table): new c.by
	(semantic-expand-c-tag): new name
	(semantic-c-tag-protection): new name
	(semantic-c-tag-template): new name
	(semantic-c-format-tag-uml-prototype): use new names
	(semantic-c-tag-abstract): new name
	(semantic-default-c-setup): use new override methods.

	* semantic-cb.el (semantic-cb-new-class-browser):
	Use `semanticdb-find-tags-by-class',
	instead of old method.

	* senator.el:
	(senator-step-at-tag-classes, senator-step-at-start-end-tag-classes):
	Added autoload cookies.

	* semantic-tag-file.el (semantic-dependency-include-path):
	autoload cookie.

	* semantic-sort.el (semantic-orphaned-member-metaparent-type):
	Autoload cookie.

	* semanticdb-find.el (semanticdb-find-table-for-include):
	autoload cookie.
	(semanticdb-find-tags-by-class): New function
	(semanticdb-find-tags-by-class-method): New method.

	* bovine/semantic-c.el: (semantic-default-c-setup):
	Use new name `semantor-step-at-tag-classes'

	* semantic-texi.el: (semantic-default-texi-setup):
	Use new name `semantor-step-at-start-end-tag-classes'
	Use `insert-forgeign-tag' as new override methods.

	* senator.el (senator-step-at-tag-classes): Renamed, obsolete old.
	(senator-step-at-start-end-tag-classes): Renamed, obsolete old.
	(senator-current-tag): renamed
	(senator-step-at-start-end-p): Use new names
	(senator-middle-of-tag-p): Renamed
	(senator-previous-tag-or-parent): Renamed
	(senator-full-tag-name): Renamed
	(senator-current-type-context): Use new names
	(senator-search-tag-name): Renamed
	(senator-search-forward-raw): use new names
	(senator-search-backward-raw): use new names
	(senator-next-tag): renamed
	(senator-previous-tag): renamed
	(senator-previous-token): renamed
	(senator-toggle-read-only): Use new names
	(senator-toggle-intangible): use new names
	(senator-set-face): use new names
	(senator-clear-tag): renamed
	(senator-prefix-map): use new names
	(senator-menu-bar): use new names
	(senator-beginning-of-defun): use new names
	(senator-end-of-defun): use new names
	(senator-add-log-tags): renamed
	(add-log-current-defun): use new names
	(senator-insert-foreign-tag): renamed.  Aliased, made compatible.
	(insert-register): use new names

2003-07-31  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-file.el: (semanticdb-default-file-name)
	(semanticdb-persistent-path): Doc fix
	(semanticdb-project-database-file): Rename token-version to tag-version.
	(semanticdb-create-database): Initialize renamed field
	(semanticdb-load-database): Test renamed field.
	(semanticdb-save-db): Print messages with tag instead of token.

2003-07-29  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-load.el (semantic-load-imenu-string): New variable
	(imenu init): Use above new variable for string.

2003-07-25  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-search.el (semanticdb-refresh-table):
	Doc fix (replace token with tag)

	* semanticdb-el.el (semanticdb-elisp-sym->tag):
	Doc fix (replace token with tag)

	* semanticdb.el: (semanticdb-refresh-table)
	(semanticdb-needs-refresh-p): doc fix (replace 'token' with tag)
	(semanticdb-save-current-db, semanticdb-save-all-db):doc fix.
	Message fix.
	(semanticdb-project-predicate-functions): doc fix
	(semanticdb-kill-hook)
	(semanticdb-table-oob-sanity-check): message fix

2003-07-23  Eric M. Ludlam  <zappo@gnu.org>

	* doc/Makefile: EDE Generated Makefile.

	* doc/Project.ede: Project file for semantic doc.

2003-07-22  David Ponce  <david@dponce.com>

	* bovine/semantic-el.el (lisp-mode):
	Define as child of `emacs-lisp-mode'.
	(lisp-mode-hook): Add hook `semantic-default-elisp-setup' and
	autoload cookie.

	* semantic-fw.el: (semantic-set-parent-mode)
	(semantic-get-parent-mode): New functions.
	(define-semantic-child-mode): New macro.
	(semantic-current-bindings): Use `semantic-get-parent-mode'.
	(semantic-fw-font-lock-keywords): Add highlighting of
	`define-semantic-child-mode'.

2003-07-18  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-load.el:
	(semantic-show-tag-boundaries-mode, semantic-highlight-by-attribute-mode):
	Turn on by default (for a little while anyway.)

	* senator.el (menu):
	Added stickyfunc, tag-boundary, and attribute highlighting
	mode menus.

	* semantic-util-modes.el (global-semantic-highlight-edits-mode):
	Fix doc.
	(global-semantic-show-tag-boundaries-mode)
	(global-semantic-highlight-by-attribute-mode)
	(global-semantic-show-tag-boundaries-mode)
	(semantic-highlight-attribute-alist_
	(semantic-highlight-by-attribute-hook)
	(semantic-show-tag-boundaries-hook)
	(defvar semantic-highlight-by-attribute-mode)
	(defvar semantic-show-tag-boundaries-mode): New variables
	(semantic-highlight-attribute-face-private)
	(semantic-highlight-attribute-face-protected)
	(semantic-tag-boundary-face): New faces
	(semantic-tag-boundary-p)
	(global-semantic-highlight-by-attribute-mode)
	(semantic-hba-clear-highlighting)
	(semantic-hba-highlight-tag)
	(semantic-hba-reparse-hook)
	(semantic-highlight-by-attribute-mode)
	(semantic-highlight-by-attribute-setup)
	(semantic-show-tag-boundaries-mode)
	(semantic-show-tag-boundaries-setup)
	(semantic-stb-clear-boundaries)
	(semantic-stb-highlight-tag-line1)
	(semantic-stb-reparse-hook)
	(semantic-tag-boundary-overlay-p)
	(semantic-tag-boundary-p-default): New functions

	* semantic-format.el (ezimage): New dependency
	(semantic-format-use-images-flag): New variable
	(semantic-format-tag-protection-image-alist): New variable
	(semantic-format-tag-uml-protection-to-string)
	(semantic-format-tag-uml-protection): Add color parameter.
	Add image if applicable.
	(semantic-format-tag-uml-abbreviate-default)
	(semantic-format-tag-uml-prototype-default)
	(semantic-format-tag-uml-concise-prototype-default):
	Call format-tag-uml-protection with new color parameter.

2003-07-16  Eric M. Ludlam  <zappo@gnu.org>

	* document.el:
	(document-insert-texinfo, document-generate-documentation)
	(document-generate-new-documentation, document-function-name-comment)
	(document-parameter-comment, document-update-paramlist)
	(document-massage-to-texinfo): Use -tag- based names instead of
	-nonterminal- names.  Rename variables 'nonterm' to 'tag'.

	* semantic-tag-ls.el (semantic-tag-calculate-parent): New function
	(semantic-tag-protection): Use above.

	* semantic-decorate.el:
	(semantic-tag-create-secondary-overlay, semantic-tag-delete-secondary-overlay)
	(semantic--tag-unlink-secondary-overlays, semantic--tag-link-secondary-overlays)
	(semantic-tag-secondary-overlays): New functions.

	* semantic-tag.el: (semantic-tag-add-hook, semantic-tag-remove-hook)
	(semantic--tag-run-hooks): New functions
	(semantic--tag-unlink-from-buffer, semantic--tag-link-to-buffer):
	Run hooks specific to each action.

	* semantic-format.el:
	(semantic--format-uml-post-colorize, semantic-uml-attribute-string)
	(semantic-format-tag-uml-protection): Use new names
	semantic-tag-abstract, semantic-tag-static, semantic-tag-leaf and
	semantic-tag-protection.

2003-07-09  Eric M. Ludlam  <zappo@gnu.org>

	* Makefile ("semantic_LISP"):
	Added semantic-tag-file, semantic-doc, and semantic-tag-ls.

	* Project.ede ("semantic"):
	Added semantic-tag-file, semantic-doc, and semantic-tag-ls.

	* semantic-util.el:
	(semantic-dependency-include-path, semantic-find-dependency)
	(semantic-find-nonterminal, semantic-find-documentation)
	(semantic-find-doc-snarf-comment, semantic-prototype-file)
	(semantic-nonterminal-protection)
	(semantic-nonterminal-protection-default)
	(semantic-nonterminal-abstract, semantic-nonterminal-abstract-default)
	(semantic-nonterminal-leaf, semantic-nonterminal-leaf-default)
	(semantic-nonterminal-static-default, semantic-nonterminal-full-name)
	(semantic-nonterminal-full-name-default, semantic-narrow-to-token)
	(semantic-with-buffer-narrowed-to-current-token)
	(semantic-with-buffer-narrowed-to-token):
	Deleted.  Moved to other files and renamed.

	* semantic-sb.el (semantic-sb-token-jump):
	use semantic-go-to-tag instead of old name.

	* semantic-tag-file.el (semantic-go-to-tag):
	Use semantic-dependency-tag-file instead of old name.

	* semantic-tag-ls.el:
	(semantic-tag-protection, semantic-tag-protection-default, semantic-tag-abstract)
	(semantic-tag-abstract-default, semantic-tag-leaf, semantic-tag-leaf-default)
	(semantic-tag-static-default, semantic-tag-full-name, semantic-tag-full-name-default):
	Copied from semantic-util.el
	Renamed to new naming conventions
	Obsoleted old names.

	* semantic-doc.el:
	(semantic-documentation-for-tag, semantic-doc-snarf-comment-for-tag)
	Copied from semantic-util.el.
	Renamed functions to better suit new naming conventions.
	Obsoleted old names.

	* semantic-tag-file.el:
	(semantic-go-to-tag, semantic-dependency-include-path)
	(semantic-dependency-tag-file, semantic-prototype-file)
	Copied from semantic-util.el.
	Renamed functions to better suit new naming conventions.
	Obsoleted old names.

	* semantic-tag.el:
	(semantic-narrow-to-tag, semantic-with-buffer-narrowed-to-current-tag)
	(semantic-with-buffer-narrowed-to-tag): Copied from semantic-util.el.
	Renamed.  Obsoleted old names.

	* semantic-format.el (semantic-format-tag-functions):
	Add autoload cookie to.
	(semantic-token->text-functions): Alias to the replacement.

	* semantic-complete.el (require): Make loading of tooltip optional.
	(semantic-displayor-focus-request, semantic-complete-jump): Use
	`semantic-momentary-highlight-tag' instead of the `-token' version.

2003-07-07  David Ponce  <david@dponce.com>

	* wisent/wisent-c.el, wisent/wisent-c.wy, doc/C99-gram.texi: New file.

	* wisent/wisent-grammar.el:
	(wisent-grammar-AST-ADD, wisent-grammar-AST-PUT)
	(wisent-grammar-AST-GET, wisent-grammar-AST-GET1)
	(wisent-grammar-AST-GET-STRING)
	(wisent-grammar-AST-MERGE): New functions.
	(wisent-grammar-builtins): Add above new AST built-ins.
	(wisent-grammar-builtin-names): New function.
	(wisent-grammar-expand-builtins): Expand car of expression too.
	(semantic-grammar-mode): Set built-in names.

	* semantic-grammar.el: (semantic-grammar-builtin-names)
	(semantic-grammar-builtin-names-regexp): New variables.
	(semantic-grammar-builtin-names-matcher): New function.
	(semantic-grammar-mode-keywords-1): Use it.

	* semantic-ast.el: New library.

2003-07-04  David Ponce  <david@dponce.com>

	* senator.el (senator-momentary-highlight-token): Renamed to...
	(senator-momentary-highlight-tag): All callers updated.  Use new
	semantic-decorate API.
	(senator-toggle-read-only, senator-toggle-intangible)
	(senator-set-face, senator-clear-token)
	(senator-menu-bar): Use new semantic-decorate API.

	* semantic-decorate.el:
	(semantic-highlight-token, semantic-unhighlight-token)
	(semantic-momentary-highlight-token)
	(semantic-momentary-unhighlight-token)
	(semantic-set-token-face, semantic-set-token-invisible)
	(semantic-token-invisible-p, semantic-set-token-intangible)
	(semantic-token-intangible-p, semantic-set-token-read-only)
	(semantic-token-read-only-p): Add autoload cookies.

2003-07-03  Eric M. Ludlam  <zappo@gnu.org>

	* Project.ede ("semantic"): Added semantic-decorate.el

	* Makefile (semantic_LISP): Added semantic-decorate.el

	* semantic-util.el:
	(semantic-highlight-token, semantic-unhighlight-token)
	(semantic-momentary-unhighlight-token, semantic-momentary-highlight-token)
	(semantic-set-token-face, semantic-set-token-invisible)
	(semantic-token-invisible-p, semantic-set-token-intangible)
	(semantic-token-intangible-p, semantic-overlay-signal-read-only)
	(semantic-set-token-read-only, semantic-token-read-only-p):
	Removed into semantic-decorate.el.

	* semantic-decorate.el: Coped from semantic-util.
	Renamed all fns to new `tag' notation.

2003-06-29  David Ponce  <david@dponce.com>

	* wisent/wisent.el (wisent-loop): New internal variable.
	(wisent-clearin): Doc fix.
	(wisent-abort): New macro.
	(wisent-pre-parse-hook, wisent-post-parse-hook): New hooks.
	(wisent-parse): Use above new stuff.

	* semantic-grammar.el (semantic-grammar-mode-keywords-1):
	In rules, highlight reserved
	terminal `error' in bold face.
	(semantic-grammar-in-lisp-p): New function.

2003-06-20  David Ponce  <david@dponce.com>

	* semanticdb-find.el: (semanticdb-find-tags-by-name)
	(semanticdb-find-tags-by-name-regexp)
	(semanticdb-find-tags-for-completion)
	(semanticdb-deep-find-tags-by-name)
	(semanticdb-deep-find-tags-by-name-regexp)
	(semanticdb-deep-find-tags-for-completion)
	(semanticdb-find-tags-external-children-of-type): Add autoload
	cookies.

	* semantic-grammar.el (semantic-grammar-goto-grammar-indent-anchor):
	In certain cases
	`forward-sexp' ignore important punctuations.  Use
	`skip-syntax-backward' instead to skip punctuations.

2003-06-19  David Ponce  <david@dponce.com>

	* semantic-grammar.el (semantic-grammar-mode):
	Set buffer local value of
	`parse-sexp-ignore-comments' to non-nil to fix indentation
	problems when there are unbalanced parenthesis in comments.
	(semantic-grammar-goto-grammar-indent-anchor): Consider %prec like
	another symbol in rule.
	(semantic-grammar-grammar-compute-indentation): Don't consider
	%prec like other percent keywords that are aligned at beginning of
	line.

2003-06-08  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-complete.el (require): Add dependency on avoid and tooltips.
	(semantic-complete-read-tag-buffer-deep): Moved
	(semantic-displayor-focus-abstract,semantic-displayor-tooltip)
	(semantic-displayor-show-request): Cleaned up white space and doc.

	* semanticdb.el (semanticdb-current-database-list):
	Use reference directory, not file
	storage.

2003-06-06  David Ponce  <david@dponce.com>

	* tests/test.cpp: Sync. with HEAD.
	New test cases for nested classes or structs defined outside of
	the containing class/struct, and for "short int".

	* semantic-c.el: Sync. with HEAD.
	(semantic-toplevel-c-bovine-table): Re-generated.

	* c.bnf: Sync. with HEAD.
	From Jens Rock <jens.rock@asamnet.de>:
	(typesimple): Handle an opt-class before the type name, and return
	it in the `parent' extra-spec of the tag.
	(builtintype-types): Handle "short int".

2003-06-05  David Ponce  <david@dponce.com>

	* tests/test.cpp:
	New test cases for nested classes or structs defined outside of
	the containing class/struct, and for "short int".

	* bovine/semantic-c.el (semantic-toplevel-c-bovine-table):
	Re-generated.

	* bovine/c.by: Updated comments.

	From Jens Rock <jens.rock@asamnet.de>:
	(typesimple): Handle an opt-class before the type name, and return
	it in the `parent' attribute of the tag.
	(builtintype-types): Handle "short int".

2003-06-04  David Ponce  <david@dponce.com>

	* semantic-grammar.el (semantic-grammar-goto-grammar-indent-anchor):
	Fixed infinite
	loop when indenting after a %prec clause.

2003-06-03  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/erlang.bnf:
	Incorporated changes from David Wallin and Vladimir G. Sekissov.

2003-05-29  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-find.el (semantic-flatten-tags-table):
	Removed.  Moved to semantic-sort.el

	* semantic-sort.el (semantic-flatten-tags-table):
	New, from semantic-find.el

	* semantic-util-modes.el: (global-semantic-highlight-edits-mode)
	(global-semantic-show-unmatched-syntax-mode)
	(global-semantic-show-parser-state-mode)
	(global-semantic-summary-mode)
	(global-semantic-stickyfunc-mode): Improve doc strings.
	(semantic-stickyfunc-indent-string): New variable
	(semantic-stickyfunc-mode-setup): Use above.

	* semantic-sb.el (semantic-sb-info-format-tag-function):
	Add this back in.  It is used
	in speedbar.el.

	* semantic-load.el (header-line-format):
	Quote in this symbol when testing.

	* semantic-find.el (semantic-flatten-tags-table):
	Flatten only tags with positions.

	* semanticdb-find.el: Added todo list.

	* Makefile (semantic_LISP): Added semantic-complete and semantic-sort
	(.PHONY): Documentation target
	(Documentation): build target for the doc directory
	(tags): tags in the doc dir
	(dist): distribute the doc dir.

	* Project.ede (semantic): Added semantic-sort and semantic-complete
	(tools): Added semantic-regtest

	* semantic-util.el: - (defvar semantic-bucketize-token-token
	- (defun semantic-bucketize (tags &optional parent filter)
	- (defvar semantic-orphaned-member-metaparent-type "class"
	- (defvar semantic-mark-external-member-function nil
	- (defun semantic-adopt-external-members (tags)
	(semantic-string-lessp-ci)
	(semantic-sort-token-type)
	(semantic-sort-tokens-by-name-increasing)
	(semantic-sort-tokens-by-name-decreasing)
	(semantic-sort-tokens-by-type-increasing)
	(semantic-sort-tokens-by-type-decreasing)
	(semantic-sort-tokens-by-name-increasing-ci)
	(semantic-sort-tokens-by-name-decreasing-ci)
	(semantic-sort-tokens-by-type-increasing-ci)
	(semantic-sort-tokens-by-type-decreasing-ci)
	(semantic-nonterminal-external-member-parent)
	(semantic-nonterminal-external-member-parent-default)
	(semantic-nonterminal-external-member-p)
	(semantic-nonterminal-external-member-p-default)
	(semantic-nonterminal-external-member-children)
	(semantic-nonterminal-external-member-children-default):
	Deleted.  Moved to semantic-sort.el

	* semantic-format.el (semantic-format-tag-prin1): Doc fix
	(semantic-format-tag-summarize-default): Use
	`semantic-bucketize-tag-class' instead of old name.

	* semantic-sort.el: Sorting routines pulled from semantic-util.el

2003-05-27  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/semantic-c.el (semantic-c-reconstitute-token):
	Support function pointers
	(semantic-c-format-tag-name): New override method
	(semantic-default-c-setup): Added `semantic-c-format-tag-name'
	override method.

	* bovine/c.by: Support function pointers.

2003-05-21  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/semantic-c.el:
	(semantic-toplevel-c-bovine-table),(semantic-c-keyword-table),
	(semantic-default-c-setup): new c.by v 1.13

	* bovine/c.by (arg-sub-list): Support ... as a variable.

2003-05-19  David Ponce  <david@dponce.com>

	* senator.el (senator-completion-menu-popup):
	Reverted 2002-12-29 change:

	"Use a local `imenu-default-goto-function' to avoid conflicts with
	another buffer local definition of that function.  Ensure that the
	local goto function will return the selected imenu item."

	That conflicted with `imenu--mouse-menu' specification, and worked
	only with buggy version in GNU Emacs 21.3.50.1 HEAD.

2003-05-13  David Ponce  <david@dponce.com>

	* semantic-complete.el (semantic-complete-read-tag-engine):
	 Fixed condition that was
	always true.
	(semantic-complete-done):  Use `semantic-complete-try-completion'
	instead of `semantic-complete-do-completion' to not alter last
	focused tag.  Accept input that match displayor focus entry.
	(semantic-complete-try-completion): New function.
	(semantic-complete-do-completion): Moved the actual completion
	code into the above new function.  Use it.
	(semantic-complete-jump): New command.

2003-05-12  David Ponce  <david@dponce.com>

	* semantic-complete.el (semantic-complete-done):
	Accept input that matches one element of
	calculated completions.

2003-05-10  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-complete.el:
	(semantic-minibuffer-conents, semantic-delete-minibuffer-conents):
	New aliases.
	(semantic-complete-done, semantic-complete-do-completion)
	(semantic-collector-next-action, semantic-displayor-next-action):
	Use new aliases instead of the original.

	* semantic-complete.el (semantic-complete-read-tag-buffer-deep):
	Comment about tooltip displayor.
	(semantic-displayor-tooltip): New class
	(semantic-displayor-show-request:semantic-displayor-tooltip): New method
	(semantic-displayor-tooltip-show): New function.

2003-05-02  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-complete.el (semantic-complete-read-tag-engine):
	Be aware of a displayor's ability
	to focus in on a specific tag.
	(semantic-complete-do-completion): Use updated displayor APIs.
	Account for new 'focus state.
	(semantic-complete-read-tag-buffer-deep): Try out new focusing displayor.
	(semantic-collector-next-action): Use displayor to determine
	display's state.
	(semantic-displayor-abstract): Remove initarg for table.
	Add `last-prefix' slot.
	(semantic-displayor-next-action): New methods
	(semantic-displayor-set-completions): Add argument.
	(semantic-displayor-focus-request): New method
	(semantic-displayor-current-focus): New method
	(semantic-displayor-focus-abstract): New class
	(semantic-displayor-set-completions, semantic-displayor-focus-next-tag)
	(semantic-displayor-current-focus): New methods on above new class.
	(semantic-displayor-traditional-with-focus-highlight): New class.
	(semantic-displayor-focus-request): New method on above.
	(semantic-complete-test): New name.

2003-04-26  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-complete.el (semantic-ctxt): New dependency
	(semantic-complete-read-tag-engine): Update doc.
	Add full support for default-tag parameter.  Dynamically add it to the
	prompt.  Fetch the default if the user just hits RET.
	(semantic-complete-done): Accept if prompt is empty.
	(semantic-complete-choose-default): New fcn
	(semantic-complete-read-tag-buffer-deep): Doc fix
	(constructor): Unbind `match-list'.
	(semantic-completion-test): Use %S format string.

	* semantic-complete.el (semantic-complete-key-map):
	Add history navigation
	(semantic-complete-read-tag-engine): Provide default history symbol.
	(semantic-complete-help): Deleted
	(semantic-complete-done): Don't exit unless there is a match.
	(semantic-complete-do-completion): Use `delete-minibuffer-contents'.

	* semantic-complete.el (semantic-collector-per-buffer-list):
	make buffer local
	(semantic-collector-calculate-completions): Use complare strings better.
	Do not optimize when last-prefix is used.
	(semantic-collector-all-completions): Safe reference of
	last-all-completions slot.

	* semantic-complete.el: Completion tools.

2003-04-22  David Ponce  <david@dponce.com>

	* semantic.el (semantic-version): Updated to 1.4.4.

	* Project.ede (ede-proj-project "semantic"): Updated :version to 1.4.4.

2003-04-19  Richard Y. Kim <ryk@ap.com>

	* semantic-tag.el: Rephrased the doc-string for semantic-tag-file-name.
	Also added semantic-alias-obsolete form for semantic-equivalent-tokens-p.

	* semantic-util.el: Corrected spelling in comments and strings.

2003-04-14  Klaus Berndl <klaus.berndl@sdm.de>

	* semantic-regtest.el:
	Added first try of compatibility code so this library works with semantic
	2.0 as well as with semantic 1.4.

2003-04-12  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-regtest.el: (semantic-regtest-convert-tag-table)
	(semantic-regtest-convert-tag): New functions.

2003-04-12  Klaus Berndl <klaus.berndl@sdm.de>

	* semantic-regtest.el: Initial version of the regression-test library

2003-04-11  Klaus Berndl <klaus.berndl@sdm.de>

	* semantic-util-modes.el (semantic-stickyfunc-fetch-stickyline):
	Search forward to the tag-name to get
	more useful information in the header line.

	* semantic-util-modes.el (semantic-stickyfunc-fetch-stickyline):
	Searching the token-name to get more
	useful information in the header line

2003-04-10  Klaus Berndl <klaus.berndl@sdm.de>

	* NEWS: Added news for bugfixes of the c++-grammar

2003-04-09  David Ponce  <david@dponce.com>

	* wisent/wisent-python.el (wisent-python-parser-tables): Re-generated.

	* wisent/wisent-java-tags.wy, wisent/wisent-java.wy (setupcode):
	Use `semantic-format-tag-prototype' for the
	`semantic-imenu-summary-function'.

	* wisent/wisent-java-tags.el, wisent/wisent-java.el (wisent-java-default-setup):
	Re-generated.
	Override `format-tag-prototype' instead of `prototype-nonterminal'.

	* bovine/semantic-java.el: (semantic-java-prototype-function)
	(semantic-java-prototype-variable)
	(semantic-java-prototype-type): Use semantic-format-tag API.
	(semantic-java-prototype-nonterminal): Renamed...
	(semantic-java-prototype-tag): New function.  Use
	semantic-format-tag API.
	(semantic-java-find-documentation): Use `semantic-current-tag'.

	* senator.el: (senator-completion-menu-summary-function)
	(senator-completion-menu-item)
	(senator-insert-foreign-token-default)
	(senator-insert-foreign-token, senator-copy-token)
	(senator-eldoc-print-current-symbol-info): Use semantic-format-tag
	API.
	(senator-add-log-tokens): Doc fix.
	(senator-find-current-symbol-tag): New function.
	(senator-eldoc-print-current-symbol-info-default): Use it.

	* semantic-format.el (semantic-format-tag-prototype-default):
	Only set args if
	appropriate.

2003-04-09  Richard Y. Kim <ryk@ap.com>

	* doc/app-dev-guide.texi, doc/glossary.texi, doc/lang-support-guide.texi, doc/semantic.texi, doc/user-guide.texi:
	Cut and pasted the content of old semantic.texi into separate files.

	Also started documenting new API functions.

2003-04-09  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/semantic-c.el (semantic-c-nonterminal-protection):
	Defaultprotection is now nil.
	(semantic-c-format-tag-type): New override.
	(semantic-c-template-string-body)
	(semantic-c-concise-prototype-nonterminal)
	(semantic-c-uml-prototype-nonterminal): Use `semantic-format-tag*'
	for tag formating.
	(semantic-default-c-setup): Setup above new overrides.

	* Makefile (semantic_LISP): Add semantic-format.el

	* Project.ede (semantic): Add semantic-format.el

	* semantic-ia-sb.el (semantic-ia-sb-key-map):
	Use `semantic-ia-sb-show-tag-info'.
	(semantic-ia-sb-show-tag-info): New name

	* semantic-ia-sb.el: (semantic-ia-speedbar)
	(semantic-ia-sb-string-list)
	(semantic-ia-sb-completion-list)
	(semantic-ia-sb-tag-info)
	(semantic-ia-sb-line-path)
	(semantic-ia-sb-complete): Use new semantic-tag, and
	semantic-format-tag methods.

	* semantic-ia.el: (semantic-ia-completion-format-tag-function)
	(semantic-ia-completion-menu-format-tag-function):  New name.
	Use `semantic-format-tag-custom-list
	(semantic-ia-cache): doc fix.
	(semantic-ia-complete-symbol)
	(semantic-ia-complete-symbol-menu)
	(semantic-ia-complete-tip): Use `tag' instead of `token' for names.

	* semantic-example.el:
	(se-jump, se-summary-function, se-show, se-db-apropos-show):
	Use new -tag- API calls.

	* semanticdb-system.el (Commentary): Doc fix.

	* semanticdb-search.el: (semanticdb-find-nonterminal-by-token-method)
	(semanticdb-find-nonterminal-by-name-method)
	(semanticdb-find-nonterminal-by-name-regexp-method)
	(semanticdb-find-nonterminal-by-type-method)
	(semanticdb-find-nonterminal-by-property-method)
	(semanticdb-find-nonterminal-by-extra-spec-method)
	(semanticdb-find-nonterminal-by-extra-spec-value-method)
	(semanticdb-find-nonterminal-external-children-of-type-method):
	Use `semantic-brute-find-tags*' functions..

	* semanticdb.el (semanticdb-table-oob-sanity-check):
	Use semantic-format-tag-summarize

	* semantic-cb.el (semantic-cb-token): Use semantic-tag for :type
	(semantic-cb-complete-type, semantic-cb-find-parent)
	(semantic-cb-convert-type, semantic-cb-convert-children)
	(initialize-instance, eieio-speedbar-description): Use new semantic-tag*,
	semantic-format-tag* functions

	* semantic-analyze.el (semantic-analyze-summary-function):
	Use `semantic-format-tag-custom-list'
	(semantic-analyze-princ-sequence): Use `semantic--format-colorize-text'.

	* semantic-sb.el (semantic-sb-button-format-tag-function): New name
	(semantic-sb-info-token->text-function): Commented out (not used)
	(semantic-sb-one-button): Use new name of above variable.

	* semantic-texi.el: (semantic-texi-update-doc-from-texi)
	(semantic-texi-goto-source): Use `semanticdb-deep-find-*' for searches.

	* semantic-imenu.el (semantic-imenu-summary-function):
	Use `semantic-format-tag-custom-list'.
	(semantic-imenu-tag-overlay): Doc fix.
	(semantic-create-imenu-subindex): Make sure tags have a position
	before adding them to imenu.
	(semantic-default-which-function): Use `semantic-format-tag*' for
	tag translation.

	* semantic-util.el (semantic-describe-token):
	Use semantic-format-tag-summarize.
	(semantic-sanity-check): Use semantic-format-tag-concise-prototype.

	* semantic-util.el: (semantic-recursive-find-nonterminal-by-name)
	(semantic-token->text-functions, semantic-token->text-custom-list)
	(semantic-function-argument-separator)
	(semantic-test-all-token->text-functions, semantic-face-alist)
	(semantic-colorize-text, semantic-colorize-merge-text)
	(semantic-prin1-nonterminal, semantic-name-nonterminal)
	(semantic-name-nonterminal-default, semantic-abbreviate-nonterminal)
	(semantic-abbreviate-nonterminal-default, semantic-summarize-nonterminal)
	(semantic-summarize-nonterminal-default, semantic-prototype-nonterminal)
	(semantic-prototype-nonterminal-default-args)
	(semantic-prototype-nonterminal-default)
	(semantic-concise-prototype-nonterminal)
	(semantic-concise-prototype-nonterminal-default)
	(semantic-uml-colon-string, semantic-uml-no-protection-string)
	(semantic-uml-post-colorize, semantic-uml-attribute-string)
	(semantic-uml-protection-to-string)
	(semantic-uml-token-or-string-to-string)
	(semantic-uml-abbreviate-nonterminal)
	(semantic-uml-abbreviate-nonterminal-default)
	(semantic-uml-arguments-to-string, semantic-uml-prototype-nonterminal)
	(semantic-uml-prototype-nonterminal-default)
	(semantic-uml-concise-prototype-nonterminal)
	(semantic-uml-concise-prototype-nonterminal-default):
	Deleted.  Moved to semantic-format.el

2003-04-08  David Ponce  <david@dponce.com>

	* semantic-util.el (semantic-uml-nonterminal-protection): New macro.
	(semantic-uml-abbreviate-nonterminal-default)
	(semantic-uml-prototype-nonterminal-default)
	(semantic-uml-concise-prototype-nonterminal-default): Use it.

2003-04-08  Eric M. Ludlam  <zappo@gnu.org>

	* NEWS: Added section for semantic 1.4.4.
	Discuss stickyfunc mode.

	* wisent/wisent-python.el: (wisent-python-parser-tables)
	(wisent-python-tokens)
	(wisent-python-default-setup): Regenerated from wisent-python.wy

	* wisent/wisent-python.wy:
	(print_stmt, expr_stmt, del_stmt, pass_stmt, break_stmt, yield_stmt)
	(global_stmt, exec_stmt, assert_stmt, if_stmt, while_stmt, for_stmt)
	(try_stmt): Add argument to CODE-TAG statements
	(import_stmt): Add argument to INCLUDE-TAG call

	* semantic-format.el (semantic-format-tag-type):
	Renamed as public, and as an overload.
	(semantic-format-tag-prototype-default)
	(semantic--format-tag-uml-type): New name for format-tag-type
	(semantic-format-tag-uml-prototype-default): Fix compiler warning

2003-04-07  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-load.el (global-semantic-stickyfunc-mode):
	On by default if available.

	* semantic-util-modes.el: (global-semantic-stickyfunc-mode)
	(global-semantic-stickyfunc-mode-hook)
	(semantic-stickyfunc-mode-map)
	(semantic-stickyfunc-mode)
	(semantic-stickyfunc-mode-setup)
	(semantic-stickyfunc-sticky-classes)
	(semantic-stickyfunc-fetch-stickyline): New minor mode.

2003-04-07  David Ponce  <david@dponce.com>

	* bovine/semantic-make.el (semantic-expand-make-nonterminal):
	Removed.  Replaced by...
	(semantic-make-expand-tag): New function.
	(semantic-default-make-setup): Re-generated.

	* bovine/make.by (setupcode): Use `semantic-make-expand-tag' as
	`semantic-tag-expand-function'.

	* semanticdb-el.el: (semanticdb-deep-find-tags-by-name-method)
	(semanticdb-deep-find-tags-by-name-regexp-method)
	(semanticdb-deep-find-tags-for-completion-method): New methods.

	* senator.el (senator-completion-flatten-stream): Use
	`semantic-tag-components' instead of
	`semantic-tag-components-with-overlays'.
	(senator-find-nonterminal-by-name)
	(senator-find-nonterminal-by-name-regexp): No more supported.
	(senator-find-tag-for-completion): New function.
	(senator-complete-symbol, senator-completion-menu-popup): Use it.

	* semanticdb-find.el: (semanticdb-deep-find-tags-by-name)
	(semanticdb-deep-find-tags-by-name-regexp)
	(semanticdb-deep-find-tags-for-completion): New functions.
	(semanticdb-deep-find-tags-by-name-method)
	(semanticdb-deep-find-tags-by-name-regexp-method)
	(semanticdb-deep-find-tags-for-completion-method): New methods.

	* semantic-find.el (semantic--find-tags-by-macro):
	For consistency, argument TABLE is
	optional.
	(semantic-find-tags-by-name): Removed extra call to
	`semantic-something-to-tag-table'.
	(semantic-deep-find-tags-by-name)
	(semantic-deep-find-tags-for-completion)
	(semantic-deep-find-tags-by-name-regexp): New functions.

2003-04-07  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-format.el: Copied all token->text functions in.
	Convert all token and nonterminal references to 'tag'.

	* semanticdb-java.el: Removed old definitions
	Derived new definitions from semanticdb.el

2003-04-06  Eric M. Ludlam  <zappo@gnu.org>

	* bovine/semantic-el.el (semantic-elisp-use-read):
	Support require directory part
	(semantic-tag-include-filename): New overload.

	* Makefile (tools_LISP): Added semanticdb-find.el.

	* Project.ede (tools): Added semanticdb-find.

	* semantic-analyze.el (require):
	Use semanticdb-find instead of semanticdb-search
	(semantic-analyze-find-nonterminals-by-prefix): Use new
	semanticdb-find-tags-for-completion fcn.
	(semantic-analyze-find-nonterminal): Use new
	semanticdb-find-tags-by-name fcn.

	* semantic-util.el (semantic-something-to-tag-table):
	Support semanticdb-tables as something.
	(semantic-find-dependency): Rename all token vars to tag.
	(semantic-nonterminal-external-member-children-default): Use new
	sematnicdb-find-tags-external-children-of-type fn.

	* semanticdb-el.el (semanticdb-find-tags-for-completion-method):
	Fixed typo.

	* semanticdb-el.el: (semanticdb-find-table)
	(semanticdb-get-tags)
	(semanticdb-equivalent-mode): New methods
	(sematnicdb-elisp-sym-tag): New name.  Allow string input.
	(semanticdb-find-nonterminal-*): deleted
	(semanticdb-find-tags-by-name-method)
	(semanticdb-find-tags-by-name-regexp-method): Renamed from old methods.
	(semanticdb-find-tags-for-completion-method): New method
	(sematnicdb-find-tags-external-children-of-type-method): New name.

	* semanticdb-search.el: (semanticdb-find-nonterminal-by-token)
	(semanticdb-find-nonterminal-by-name)
	(semanticdb-find-nonterminal-by-name-regexp)
	(semanticdb-find-nonterminal-by-type)
	(semanticdb-find-nonterminal-by-property)
	(semanticdb-find-nonterminal-by-extra-spec)
	(semanticdb-find-nonterminal-by-extra-spec-value)
	(semanticdb-find-nonterminal-by-function): made obsolete
	(semanticdb-find-nonterminal-by-function-method): doc fix.
	Use semanticdb-get-tags.

	* semantic-find.el (semantic-find-tags-external-children-of-type): New
	(semantic-find-nonterminal-by-extra-spec-value): Better obsolete call

	* semanticdb-find.el (semanticdb-find-translate-path-default): Moved
	Better logic for not testing the same file twice.
	(semanticdb-find-table-fo-include-default): Moved.
	(semanticdb-find-tags-external-children-of-type-method): New fcn

	* semanticdb-file.el (object-write):
	use semantic--tag-[un]link-cache-[to|from]-buffer.

	* semanticdb-file.el (semanticdb-persistent-path): Doc fix
	(semanticdb-project-database-file): Doc fix
	(replace-regexp-in-string): doc fix

	* semanticdb.el (semanticdb-abstract-table): Renamed tokens to tags
	(semanticdb-table): Doc fix
	(semanticdb-get-database): Use `semanticdb-create-database' only
	which does the logic this fn used to do.
	(semanticdb-directory-loaded-p): Doc fix.
	(semanticdb-needs-refresh-p): Use 'tags slot name
	(semanticdb-equivalent-mode): New method on a table
	(semanticdb-semantic-init-hook-fcn): Use 'tags slot name
	(semanticdb-post-bovination): Use 'tags slot name
	(semanticdb-table-oob-sanity-check): Use tags slot name
	(semanticdb-table-sanity-check): Use tags slot name
	(semanticdb-file-stream): Replace contents with call too...
	(semanticdb-find-table-object): New fcn

2003-04-05  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-debug.el: (semantic-debug-highlight-rule)
	(semantic-debug-set-breakpoint): Use new -tag- and -find-tag- API.

	* bovine/bovine-debug.el (semantic-debug-frame-highlight):
	Use new -tag- API

	* bovine/semantic-scm.el: (semantic-scheme-prototype-nonterminal)
	(semantic-scheme-find-documentation)
	(semantic-scheme-insert-foreign-token): Use new tag API.

	* bovine/semantic-bnf.el: (semantic-bovine-bnf-table)
	(semantic-bnf-keyword-table)
	(semantic-bnf-token-name-symbol)
	(semantic-bnf-ASSOC)
	(semantic-bnf-to-bovine)
	(semantic-bnf-to-lalr-ASSOC)
	(semantic-bnf-terminal-token-p)
	(semantic-bnf-token-table)
	(semantic-bnf-find-terminal-assocs)
	(semantic-bnf-to-lalr)
	(semantic-bnf-find-table-destination)
	(semantic-bnf-find-keyword-destination)
	(semantic-bnf-find-languagemode)
	(semantic-bnf-find-setup-code)
	(semantic-bnf-find-parser-mode)
	(semantic-bnf-find-token-destination)
	(semantic-bnf-generate-and-load)
	(semantic-bnf-generate-one-rule)
	(semantic-bnf-find-state-position)
	(semantic-bnf-looking-at-%token-not-keyword)
	(semantic-bnf-summarize-nonterminal): Replace calls to
	`semantic-token-*' with `semantic-tag-*', and from
	`semantic-find-nonterminal*' with `semantic-find-tags-*'.
	(semantic-bnf-mode): As above, and new override for
	`nonterminal-componenets'.
	(semantic-bnf-tag-components): As above and
	changed from `semantic-bnf-nonterminal-children'.

	* bovine/semantic-make.el (semantic-expand-make-nonterminal):
	Use new -tag- APIs

	* semantic-find.el (semantic--find-tags-by-function):
	Replaced mapc w/ while loop
	(semantic--find-tags-by-macro): New macro
	(semantic-find-tags-by-name)
	(semantic-find-tags-for-completion)
	(semantic-find-tags-by-name-regexp)
	(semantic-find-tags-by-class)
	(semantic-find-tags-by-type): Use `semantic--find-tags-by-macro'
	(semantic-brute-find-first-tag-by-name): Use
	`semantic-something-to-tag-table'.

	* semantic-tag.el (semantic-tag-of-type-p): Remove error message
	(semantic-tag-include-filename): New overload fcn
	(semantic-tag-include-filename-default): New overload implementation
	(semantic-tag-components-with-overlays): Remove IGNORE argument
	(semantic-tag-components-with-overlays-default): Remove INGNORE argument

2003-04-04  David Ponce  <david@dponce.com>

	* semantic-fw.el: (defvar-mode-local)
	(defconst-mode-local): Call `semantic-symbol' with arguments in
	the right order.

	* tests/test.cpp: Sync. with v1p4 branch.
	Two additional tests for latest c.by modifications.

	* bovine/semantic-c.el: Sync. with v1p4 branch.
	(semantic-toplevel-c-bovine-table): Re-generated.

	* bovine/c.by: Sync. with v1p4 branch.
	(namespace-symbol): Fixed so also template-specifiers can be
	parsed here.
	(typeformbase): ajusted for new namespace-symbol definition.

2003-04-04  Klaus Berndl <klaus.berndl@sdm.de>

	* tests/test.cpp: Two additional tests for latest c.bnf modifications

	* c.bnf, semantic-c.el (namespace-symbol):
	fixed so also template-specifiers can be parsed here.

	(typeformbase): ajusted for new namespace-symbol definition

	* c.bnf (macro-expression-list):
	Removed a backslash from the comment before which
	prevented the whole file from being lexed and/or parsed.

2003-04-04  David Ponce  <david@dponce.com>

	* senator.el: Fix for bug #692919.
	Unconditionally add `senator-hippie-expand-hook' to
	`senator-minor-mode-hook'.

	* senator.el: Applied fix for bug #692919 from v1p4 branch.
	Unconditionally add `senator-hippie-expand-hook' to
	`senator-minor-mode-hook'.

2003-04-04  Eric M. Ludlam  <zappo@gnu.org>

	* semanticdb-find.el:
	Find routines for semanticdb.  Searches done via `include' tags.

2003-04-02  David Ponce  <david@dponce.com>

	* bovine/semantic-make.el: (semantic-toplevel-make-bovine-table)
	(semantic-make-keyword-table)
	(semantic-default-make-setup): Re-generated.

	* bovine/make.by, wisent/wisent-java-tags.wy, wisent/wisent-java.wy (setupcode):
	Set `semantic-tag-expand-function' instead of
	obsolete `semantic-expand-nonterminal'.

	* wisent/wisent-java-tags.el, wisent/wisent-java.el:
	(wisent-java-parser-tables)
	(wisent-java-keywords, wisent-java-tokens)
	(wisent-java-default-setup): Re-generated.
	(wisent-java-expand-nonterminal): Renamed to...
	(wisent-java-expand-tag): New.

	* semantic-fw.el (define-overload):
	Removed unnecessary autoload cookie.

2003-04-02  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-find.el (semantic-find-tags-by-type): Fix typo

	* semantic-find.el (semantic-find-tags-by-type):
	Use `semantic-tag-of-type-p' for comparison.

	* semantic-tag.el (semantic-tag-of-type-p): New.

	* semantic-analyze.el (inversion-require): Eval when compile
	(semantic-analyze-find-nonterminals-by-prefix)
	(semantic-analyze-find-nonterminal)
	(semantic-analyze-dereference-metatype)
	(semantic-analyze-token-type)
	(semantic-analyze-type-parts)
	(semantic-analyze-scoped-types)
	(semantic-analyze-current-context)
	(semantic-analyze-type-constraint)
	(semantic-analyze-type-constants)
	(semantic-analyze-possible-completions)
	(semantic-analyze-princ-sequence): Use new `semantic-tag*' API
	instead of `semantic-token*'.
	Use new `semantic-find-tag*' API instead of `semantic-find-nonterminal*'.
	(semantic-analyze-find-nonterminal-sequence): As above.
	Reordered search so that inner scope items are found first.

	* bovine/semantic-c.el (semantic-toplevel-c-bovine-table): New c.by
	(semantic-c-nonterminal-abstract): Use `semantic-brute-find-tag-by-attribute'
	instead of `semantic-find-nonterminal-by-extra-spec'

	* bovine/c.by (template-type): Fix call to TYPE-TAG
	(typeformbase): Use TYPE-TAG instead of forming my own tags.

	* semanticdb.el, semantic-sb.el (inversion-require):
	Wrap in eval-and-compile.

	* semanticdb.el (semanticdb-semantic-init-hook-fcn): Use
	`semantic--tag-link-cache-to-buffer' instead of
	`semantic-overlay-cache'.
	(semanticdb-kill-hook): Use
	`semantic--tag-unlink-cache-to-buffer' instead of
	`semantic-deoverlay-cache'.
	(semanticdb-table-oob-sanity-check): Use new `semantic-tag*' API.

	* semantic-ctxt.el: (semantic-up-context)
	(semantic-get-local-arguments-default): Use `semantic-current-tag*'
	insteado of `semantic-current-nonterminal*'.

	* document.el: (document-insert-function-comment-new)
	(document-parameter-comment)
	(document-update-paramlist): Fix typos in last conversion.

	* document.el: (document)
	(document-inline)
	(document-insert-texinfo)
	(document-insert-defun-comment)
	(document-update-comment)
	(document-insert-function-comment-new)
	(document-function-name-comment)
	(document-insert-parameters)
	(document-parameter-comment)
	(document-argument-name)
	(document-update-paramlist)
	(document-longest-name): Move from old `-token-' or
	`-find-nonterminal-' API calls to new `-tag-' and `-find-tag-' API calls.

	* semantic-util-modes.el: (semantic-clean-token-of-unmatched-syntax)
	(semantic-stickyfunc-mode)
	(semantic-stickyfunc-fetch-stickyline): Use new `semantic-tag-*'
	functions instead of `semantic-token*'.

	* semantic-util.el (semantic-prototype-nonterminal-default):
	Handle a list of type modifiers.

	* semantic-token.el: Replaced by semantic-tag.el

	* semantic-texi.el: (semantic-texi-find-documentation)
	(semantic-texi-update-doc-from-texi)
	(semantic-texi-update-doc-from-source)
	(semantic-texi-goto-source): Use `semantic-find-tag*' instead of
	`semantic-find-nonterminal*'.

	* semantic-find.el (semantic-current-nonterminal-of-type):
	Fixed obsolete name.

	* semantic-chart.el: (semantic-chart-token-complexity)
	(semantic-chart-nonterminal-complexity-token): Use new
	`semantic-find-tag*' API instead of old `semantic-find-nonterminal*'

	* semantic-edit.el: (semantic-edits-change-in-one-token-p)
	(semantic-edits-change-leaf-token)
	(semantic-edits-change-between-tokens)
	(semantic-edits-change-over-tokens)
	(semantic-edits-incremental-parser)
	(semantic-edits-splice-remove)
	(semantic-edits-splice-insert)
	(semantic-edits-splice-replace): Use `semantic-tag-*' instead of
	`semantic-token-*' functions.

	* bovine/semantic-c.el (semantic-toplevel-c-bovine-table): Updated c.by
	(semantic-expand-c-nonterminal): Better `extern' support.

	* bovine/c.by (extern-c): Fixed the extern tag
	(classsubparts): Set label name as a string
	(namespacesubparts): Set label name as a string

2003-04-01  Eric M. Ludlam  <zappo@gnu.org>

	* semantic.el: (semantic-bovinate-toplevel)
	(semantic-repeat-parse-whole-stream): Use new semantic-tag* API.

2003-04-01  David Ponce  <david@dponce.com>

	* senator.el (senator-eldoc-print-current-symbol-info-default): Use
	semantic-lex API.

	* semantic.el (semantic-unmatched-syntax-hook):
	Doc fix.  Reference semantic-lex
	functions.

	* semantic-tag.el: (semantic-tag-new-variable)
	(semantic-tag-new-function)
	(semantic-tag-new-type)
	(semantic-tag-new-include)
	(semantic-tag-new-package)
	(semantic-tag-new-code): Inline functions instead of macros.

	* semantic-ia-sb.el (semantic-ia-sb-token-info): Use semantic-lex API.

	* document.el (document-update-history, document-update-paramlist): Use
	semantic-lex API.

	* wisent/wisent-grammar.el:
	(wisent-grammar-assocs, wisent-grammar-terminals)
	(wisent-grammar-nonterminals): Use new semantic-find API.

	* senator.el: (senator-current-token, senator-step-at-parent)
	(senator-previous-token-or-parent)
	(senator-current-type-context)
	(senator-find-nonterminal-by-name)
	(senator-find-nonterminal-by-name-regexp)
	(senator-search-forward-raw, senator-search-backward-raw)
	(senator-next-token, senator-previous-token)
	(senator-menu-bar, add-log-current-defun)
	(senator-eldoc-print-current-symbol-info-default): Use new
	semantic-find API.

	* semantic-load.el:
	(require 'semantic-fw) instead of loading semantic-al.el.

	* semantic-imenu.el (which-function): Use new semantic-find API.

	* semantic-grammar.el (semantic-summarize-nonterminal): Use
	`semantic--find-tags-by-function' instead of
	`semantic-brute-find-tag-by-function'.

	* semantic-fw.el (semantic-alias-obsolete):
	Moved with compatibility code.
	(load "semantic-al") after compatibility code.

	* semantic-find.el: (semantic-brute-find-first-tag-by-name)
	(semantic-brute-find-tag-by-class)
	(semantic-brute-find-tag-standard)
	(semantic-brute-find-tag-by-type)
	(semantic-brute-find-tag-by-type-regexp)
	(semantic-brute-find-tag-by-name-regexp)
	(semantic-brute-find-tag-by-property)
	(semantic-brute-find-tag-by-attribute)
	(semantic-brute-find-tag-by-attribute-value)
	(semantic-brute-find-tag-by-function)
	(semantic-brute-find-first-tag-by-function)
	(semantic-brute-find-tag-by-position)
	(semantic-brute-find-innermost-tag-by-position): Added autoload
	cookies.
	(semantic-find-nonterminal-by-overlay)
	(semantic-find-nonterminal-by-overlay-in-region)
	(semantic-find-nonterminal-by-overlay-next)
	(semantic-find-nonterminal-by-overlay-prev)
	(semantic-find-nonterminal-parent-by-overlay)
	(semantic-current-nonterminal)
	(semantic-current-nonterminal-parent)
	(semantic-current-nonterminal-of-class)
	(semantic-find-nonterminal-by-name)
	(semantic-find-nonterminal-by-token)
	(semantic-find-nonterminal-standard)
	(semantic-find-nonterminal-by-type)
	(semantic-find-nonterminal-by-type-regexp)
	(semantic-find-nonterminal-by-name-regexp)
	(semantic-find-nonterminal-by-property)
	(semantic-find-nonterminal-by-extra-spec)
	(semantic-find-nonterminal-by-attribute-value)
	(semantic-find-nonterminal-by-function)
	(semantic-find-nonterminal-by-function-first-match)
	(semantic-find-nonterminal-by-position)
	(semantic-find-innermost-nonterminal-by-position): Added autoload
	cookies to `semantic-alias-obsolete' definitions.
	(semantic-find-first-nonterminal-by-name): Alias replaced by
	`semantic-find-nonterminal-by-name'.

2003-04-01  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-sb.el (semantic-sb-one-button):
	Use tag as an argument.  Use new tag API.
	If there is a type, also make tag expandable.
	(semantic-sb-insert-details): Use tag as an argument.  Use new tag API.
	Variables can also insert their type.
	(semantic-sb-detail-parent): Use new -tag- API.

	* semantic-tag.el (semantic-token-variable-default):
	Added alias-obsolete

	* semantic-util.el (semantic-bucketize):
	Rename local variables and arg to be derived of 'tag'
	(semantic-recursive-find-nonterminal-by-name):
	(semantic-read-symbol):
	(semantic-nonterminal-external-member-children-default):
	(semantic-current-token):
	Use new `semantic-find-tag*' API

	* bovine/bovine-grammar.el (bovine-grammar-parsetable-builder):
	Use new `semantic-find-tag*' API
	instead of `semantic-find-nonterminal*'

	* semantic-find.el: (semantic-find-nonterminal-by-position)
	(semantic-find-innermost-nonterminal-by-position): Fix alias/obsolete name.

	* semantic-util.el: (semantic-recursive-find-nonterminal-by-name)
	(semantic-read-symbol)
	(semantic-test-all-token->text-functions)
	(semantic-find-dependency)
	(semantic-find-nonterminal)
	(semantic-find-documentation)
	(semantic-hack-search):
	Use `semantic-brute-find-tag-*' or `semantic-find-tag-*' APIs instead
	of old nonterminal verison.

	* semantic-grammar.el (semantic-grammar-ASSOC):
	Use semantic-tag-make-assoc-list.
	(semantic-grammar-as-string): Doc fix
	(semantic-grammar-edits-new-change-hook-fcn)
	(semantic-grammar-first-tag-name)
	(semantic-grammar-tag-symbols)
	(semantic-grammar-setupcode-text)
	(semantic-grammar-keywords)
	(semantic-grammar-tokens)
	(semantic-grammar-token-properties)
	(semantic-grammar-complete)
	(semantic-summarize-nonterminal):
	Use new semantic-find-tag* functions instead of semantic-find-nonterminal*

	* Makefile (semantic_LISP): Add semantic-find.el

	* Project.ede (semantic): add semantic-find.el

	* semantic-util.el (semantic-file-token-stream): Renamed to...
	(semantic-file-tag-table): Updated doc string.
	(semantic-something-to-stream): Renamed to...
	(semantic-something-to-tag-table): Add support for tag filenames
	(semantic-find-nonterminal-by-*): Deleted.  See semantic-find.el
	(semantic-current-nonterminal-*): Deleted.  See semantic-find.el
	(semantic-bucketize-token-token)
	(semantic-adopt-external-members)
	(semantic-sort-token-type)
	(semantic-sort-tokens-by-name-increasing)
	(semantic-sort-tokens-by-name-increasing-ci)
	(semantic-recursive-find-nonterminal-by-name)
	(semantic-read-variable)
	(semantic-read-function)
	(semantic-read-type)
	(semantic-test-all-token->text-functions)
	(semantic-name-nonterminal-default)
	(semantic-abbreviate-nonterminal-default)
	(semantic-prototype-nonterminal-default-args)
	(semantic-prototype-nonterminal-default)
	(semantic-concise-prototype-nonterminal-default)
	(semantic-uml-token-or-string-to-string)
	(semantic-uml-prototype-nonterminal-default)
	(semantic-uml-concise-prototype-nonterminal-default)
	(semantic-find-dependency)
	(semantic-find-nonterminal)
	(semantic-find-documentation)
	(semantic-nonterminal-external-member-parent-default)
	(semantic-nonterminal-external-member-p-default)
	(semantic-nonterminal-external-member-children-default)
	(semantic-nonterminal-protection-default)
	(semantic-nonterminal-abstract-default)
	(semantic-nonterminal-leaf-default)
	(semantic-nonterminal-static-default)
	(semantic-nonterminal-full-name)
	(semantic-highlight-token)
	(semantic-unhighlight-token)
	(semantic-set-token-face)
	(semantic-set-token-read-only)
	(semantic-token-read-only-p)
	(semantic-narrow-to-token)
	(semantic-describe-token)
	(semantic-add-label)
	(semantic-show-label)
	(semantic-assert-valid-token)
	(semantic-sanity-check):
	Use new semantic-tag- functions instead of semantic-token*
	Use new semantic-find-tag* functions instead of semantic-find-nonterminal*
	Use new semantic-current-tag* functions instead of
	semantic-current-nonterminal*

	* semantic-tag.el (semantic-equivalent-tag-p): Fix fcn name typo.
	(semantic-tag-docstring): Use new lex API
	(semantic-tag-children-compatibility): New fcn
	(semantic-nonterminal-children): Use above for alias

	* semantic-lex.el (semantic-lex-test-region): New command

2003-03-31  David Ponce  <david@dponce.com>

	* semantic-texi.el: (semantic-texi-parse-region)
	(semantic-texi-bovinate-headings)
	(semantic-texi-find-documentation)
	(semantic-texi-update-doc-from-texi)
	(semantic-texi-update-doc-from-source)
	(semantic-texi-update-doc)
	(semantic-texi-goto-source): Use semantic-tag API and terminology.

	(semantic-texi-raw-to-cooked-token): Renamed to...
	(semantic-texi-expand-tag): New.
	(semantic-texi-new-section-tag)
	(semantic-texi-new-def-tag): New functions.
	(semantic-texi-recursive-combobulate-list): Use them.
	(semantic-texi-nonterminal-children): Renamed to...
	(semantic-texi-components): New.
	(semantic-texi-insert-foreign-token): Renamed to...
	(semantic-texi-insert-foreign-tag): New.
	(semantic-default-texi-setup): Reflect above changes.

	* semantic-imenu.el: (semantic-imenu-bucketize-file)
	(semantic-imenu-buckets-to-submenu)
	(semantic-imenu-expandable-token)
	(semantic-create-imenu-index)
	(semantic-create-imenu-directory-index)
	(semantic-create-imenu-index-1)
	(semantic-create-imenu-subindex)
	(semantic-which-function)
	(semantic-default-which-function): Use semantic-tag API and
	terminology.
	(semantic-imenu-token-overlay): Renamed to...
	(semantic-imenu-tag-overlay): New.

	* wisent/wisent-grammar.el: (wisent-grammar-assocs)
	(wisent-grammar-terminals)
	(wisent-grammar-nonterminals): Use semantic-tag API.

	* semantic-grammar.wy (put_decl): Use semantic-tag API.

	* semantic-grammar.el: (semantic-grammar-automaton)
	(semantic-grammar-keywords, semantic-grammar-tokens)
	(semantic-grammar-setup-semantic): Re-generated.
	(semantic-grammar-edits-new-change-hook-fcn)
	(semantic-grammar-first-tag-name)
	(semantic-grammar-tag-symbols)
	(semantic-grammar-setupcode-text)
	(semantic-grammar-keywords)
	(semantic-grammar-keyword-properties)
	(semantic-grammar-tokens)
	(semantic-grammar-token-properties)
	(semantic-abbreviate-nonterminal)
	(semantic-summarize-nonterminal): Use semantic-tag API.

2003-03-30  Eric M. Ludlam  <zappo@gnu.org>

	* semantic-find.el (toplevel): Added many autoload cookies
	(semantic-find-tags-by-type): Fixed typo.
	(semantic-brute-find-tag-by-function): Use semantic-something-to-tag-table.
	(semantic-brute-find-first-tag-by-function): As above
	(semantic-alias-obsolete ...*): Fixed order.
	Fixed some names which were wrong.

	* semantic-find.el: (semantic-find-tag-by-overlay)
	(semantic-find-tag-by-overlay-in-region)
	(semantic-find-tag-by-overlay-next)
	(semantic-current-tag, semantic-current-tag-parent)
	(semantic-current-tag-of-class): Doc fix
	(semantic--find-tags-by-function)
	(semantic-find-first-tag-by-name)
	(semantic-find-tags-by-name)
	(semantic-find-tags-for-completion)
	(semantic-find-tags-by-name-regexp)
	(semantic-find-tags-by-class)
	(semantic-find-tags-by-type): New FIND API functions.
	(semantic-flatten-tags-table): New function
	(semantic-brute-find-first-tag-by-name)
	(semantic-brute-find-tag-by-class)
	(semantic-brute-find-tag-by-type)
	(semantic-brute-find-tag-by-type-regexp)
	(semantic-brute-find-tag-by-function): Doc fix

	* bovine/bovine-grammar.el (bovine-grammar-parsetable-builder):
	Rename all "token" variables
	with "tag".  Use new -tag- accessor functions.
	Use new `semantic-tag-components-semantic-grammar-mode' instead of
	the `-nonterminal-children' version.

	* bovine/semantic-c.el (semantic-toplevel-c-bovine-table): New c.by
	(semantic-expand-c-nonterminal): Use new -tag- functions for tags.
	Use `semantic-tag-new-*' for rebuilt tags.
	(semantic-c-reconstitute-token)
	(semantic-c-reconstitute-template)
	(semantic-c-nonterminal-protection)
	(semantic-c-nonterminal-abstract): Use new -tag- functions.
	(semantic-default-c-setup): Rebulit.
	Overload `tag-components' instead of `nonterminal-children'.

	* bovine/c.by (setq): Use new `semantic-tag-expand-function' variable.
	(extern-c): Turn `extern' list into a TAG that is later eliminated
	(classsubparts): Quote in label
	(namespacesubparts): Quote in label

2003-03-28  David Ponce  <david@dponce.com>

	* senator.el (senator-menu-bar): Fixed item help string.

	* senator.el:
	All these functions updated to use the new semantic-tag API and
	terminology.

	(senator-step-at-token-ids, senator-step-at-start-end-token-ids)
	(senator-highlight-found, senator-parse)
	(senator-completion-cache-flush-fcn)
	(senator-completion-uniquify-names)
	(senator-completion-list, senator-find-nonterminal-by-name)
	(senator-find-nonterminal-by-name-regexp)
	(senator-completion-menu-insert-function)
	(senator-search-forward, senator-re-search-forward)
	(senator-word-search-forward, senator-search-backward)
